# Docfox SDK

A NodeJS SDK based on the [DocFox API Documentation](https://www.docfoxapp.com/api/v2/documentation)

| License | Test Coverage | Documentation |
| ------- | ------------- | ---------------------- |
| ![License](./license.svg) | ![Test Coverage](./test-coverage.svg) | ![Doc Coverage Badge](./coverage.svg) |

## Versioning

In order to allow for fast releases and bug fixes, every commit and version are published to the package registry. Production-ready releases are versioned using the standard semvar versioning,
while development builds are versioned using the following scheme: `0.0.0-%%branch%%-%%commit hash%%`. This allows for easy identification of the commit that was used to build the package, and
allows for easy upgrades to newer versions, while preventing unstable versions from clashing with stable versions.

## Installation

### npm

First, add the registry for the package to your project's `.npmrc` file. You can do this by running the following command:

```bash
echo @docfox:registry=https://gitlab.jak.guru/api/v4/projects/387/packages/npm/ >> .npmrc
```

or just add `@docfox:registry=https://gitlab.jak.guru/api/v4/projects/387/packages/npm/` to your `.npmrc` file.

Then, install the package:

```bash
npm i @docfox/docfox-software-development-kit@%%VERSION%%
```

### yarn

First, add the registry for the package to your project's `.yarnrc` file. You can do this by running the following command:

```bash
echo "\"@docfox:registry\" \"https://gitlab.jak.guru/api/v4/projects/387/packages/npm/\"" >> .yarnrc
```

or just add `"@docfox:registry" "https://gitlab.jak.guru/api/v4/projects/387/packages/npm/"` to your `.yarnrc` file.

Then, install the package:

```bash
yarn add @docfox/docfox-software-development-kit@%%VERSION%%
```

## Usage

### Typescript / ES6

```typescript
import DocFoxSDK from '@docfox/docfox-software-development-kit'
const client = new DocFoxSDK('<docfox api key>', '<docfox api secret>')
```

### CommonJS

```javascript
const DocFoxSDK = require('@docfox/docfox-software-development-kit')
const client = new DocFoxSDK('<docfox api key>', '<docfox api secret>')
```
