import type { AxiosResponse } from 'axios'

export class DocFoxAuthenticationError extends Error {
  public readonly response?: AxiosResponse

  constructor(message?: string, response?: AxiosResponse) {
    super(message)
    this.name = this.constructor.name
    Error.captureStackTrace(this, this.constructor)
    this.response = response
  }
}

export class DocFoxError extends Error {
  public readonly response?: AxiosResponse

  constructor(message?: string, response?: AxiosResponse) {
    super(message)
    this.name = this.constructor.name
    Error.captureStackTrace(this, this.constructor)
    this.response = response
  }
}
