import type { OpenAPIV3 } from 'openapi-types'

export const definitionDocument: OpenAPIV3.Document = {
  openapi: '3.0.1',
  info: {
    title: 'Docfox API Documentation',
    description: '',
    contact: {
      name: 'API Support',
      url: 'https://www.docfoxapp.com/api/v2/documentation',
      email: 'support@docfox.co.za',
    },
    version: '2.0.0',
  },
  servers: [
    {
      url: 'https://www.docfoxapp.com',
    },
  ],
  tags: [
    {
      name: 'Authentication',
      description: '',
    },
    {
      name: 'KYC Applications',
      description: '',
    },
    {
      name: 'Status Summaries',
      description: '',
    },
    {
      name: 'Profiles',
      description: '',
    },
    {
      name: 'KYC Profile Names',
      description: '',
    },
    {
      name: 'KYC Profile Numbers',
      description: '',
    },
    {
      name: 'KYC Profile Contact Informations',
      description: '',
    },
    {
      name: 'KYC Profile Addresses',
      description: '',
    },
    {
      name: 'KYC Profile Additional Details',
      description: '',
    },
    {
      name: 'Invitation Tokens',
      description: '',
    },
    {
      name: 'Data Requirement Permissions',
      description: '',
    },
    {
      name: 'Data Requirements',
      description: '',
    },
    {
      name: 'KYC Entity Templates',
      description: '',
    },
    {
      name: 'Data Comparisons',
      description: '',
    },
    {
      name: 'Comparison Results',
      description: '',
    },
    {
      name: 'Evidence Submissions',
      description: '',
    },
    {
      name: 'Qualitative Checks',
      description: '',
    },
    {
      name: 'Rejection Reasons',
      description: '',
    },
    {
      name: 'Documents',
      description: '',
    },
    {
      name: 'Document Tokens',
      description: '',
    },
    {
      name: 'Download Documents',
      description: '',
    },
    {
      name: 'Document Uploads',
      description: '',
    },
    {
      name: 'Forms',
      description: '',
    },
    {
      name: 'Form Data',
      description: '',
    },
    {
      name: 'Related Entities',
      description: '',
    },
    {
      name: 'PDF Report Summaries',
      description: '',
    },
    {
      name: 'Users',
      description: '',
    },
    {
      name: 'Risk Rating Evaluations',
      description: '',
    },
    {
      name: 'Risk Ratings',
      description: '',
    },
    {
      name: 'Bank Account Verification',
      description: '',
    },
    {
      name: 'Consumer Report Query',
      description: '',
    },
    {
      name: 'Onboarding Invitation',
      description: '',
    },
    {
      name: 'Form PDF Exports',
      description: '',
    },
    {
      name: 'Related Entity Designations',
      description: '',
    },
    {
      name: 'Product Addons',
      description: '',
    },
    {
      name: 'Account Addons',
      description: '',
    },
    {
      name: 'Product Disclosures',
      description: '',
    },
    {
      name: 'Disclosures',
      description: '',
    },
    {
      name: 'Products',
      description: '',
    },
    {
      name: 'KycEntityTemplates Products',
      description: '',
    },
    {
      name: 'Account Application Pdf Summary',
      description: '',
    },
    {
      name: 'KycEntityTemplates Disclosures',
      description: '',
    },
    {
      name: 'Product Product Addon Disclosures',
      description: '',
    },
    {
      name: 'Account Application Summary',
      description: '',
    },
    {
      name: 'Account Applications',
      description: '',
    },
    {
      name: 'Disclosure Acceptances',
      description: '',
    },
  ],
  paths: {
    '/api/v2/authentications/new': {
      get: {
        tags: ['Authentication'],
        summary: 'Step 1 - Request Authentication',
        description: 'Step 1 - Request Authentication',
        parameters: [
          {
            name: 'X-Client-Api-Key',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for authentication',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '76a4c46c-da18-4ef0-9c8b-ddced99c346a',
                    type: 'authentication_request',
                    attributes: {
                      nonce: 'l82v8pRixpbYJILePTb35m4dz5p4bQNgB7dy6BOJhWqgrIfRb5vlZ8jcIxISquW271U',
                      digest_algorithm: 'HMAC-SHA256',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request without the required X-Client-Api-Key header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: X-Client-Api-Key',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Request with an invalid Client API Key',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'requestAuthentication',
      },
    },
    '/api/v2/tokens/new': {
      get: {
        tags: ['Authentication'],
        summary: 'Step 2 - Request Token',
        description: 'Step 2 - Request Token',
        parameters: [
          {
            name: 'X-Client-Signature',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'X-Client-Api-Key',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for JWT',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '6d5562d0-fa38-481a-8d92-9514ff743773',
                    type: 'token_request',
                    attributes: {
                      token:
                        'eyJhbGciOiJSUzI1NiJ9.eyJpYXQiOjE3MDIwNDI2MzEsImV4cCI6MTcwMjA0MjY0NSwiaXNzIjoiaHR0cDovL2xvY2FsaG9zdDozMDAwIiwic3ViIjoiN2cxZXRORWFvOVJLaGZQQndkTF8yQXRXdGtCM1FQdkpUb2ZRYnNJWkVlNEY0dS0ta1dVbThBS1VWMEpQZEFLTVF2WSJ9.P-fSWi5BZ04AAL4QN55uqJ_cbvsmlvqigCbwYfkybwik7cZTvTyCEmYrfYFsgtUPAjVcrsH-iu0TCKezzNmKpddrIzNNl4Yzqk-h4sY8or3E1UhNEBSGbLVfwoiJKtyEzqf-etKgdmgf9Y8R2yOKu0Pj9DEXFr82--mQpkol4eRjQ2Su-lWCVxaMTsjSDi5d6EraEOBU_94W3jm-DbXiSG2tk5J0nBRvLTa5C3OYEKdOV_8C3zSWKoCCBEVsJsq5W60cldVelRgQZp2aFCO9mrzkvBn-cKHfOdIMZxqh-fKrPX_o1cG7b-QNKTJbKc6rqWloIlFnON3Rn4P12GAANQ',
                      expires_at: '2023-12-08T15:37:25.000+02:00',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request without the required X-Client-Signature header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: X-Client-Signature',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Request with an invalid Client Signature',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'requestToken',
      },
    },
    '/api/v2/kyc_applications': {
      get: {
        tags: ['KYC Applications'],
        summary: 'List KYC Applications',
        description: 'List KYC Applications',
        parameters: [
          {
            name: 'filter',
            in: 'query',
            description: '',
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'f384b804-d6ef-4312-b564-05929fdf1c22',
                      type: 'kyc_application',
                      attributes: {
                        created_at: '2023-12-08T15:37:17.827+02:00',
                        updated_at: '2023-12-08T15:37:17.949+02:00',
                        renew_at: null,
                        approved_at: null,
                        kyc_entity_type_name: 'Credit Union Member',
                        status: {
                          name: 'overall_kyc_application_status',
                          status: 'in_progress',
                          status_description: 'Some modules are not yet complete.',
                        },
                        archived: false,
                        archived_reason: null,
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '80f82de9-8a8b-4845-b9b9-a9b0a2bffce7',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/80f82de9-8a8b-4845-b9b9-a9b0a2bffce7',
                          },
                        },
                        data_requirements: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/f384b804-d6ef-4312-b564-05929fdf1c22/data_requirements',
                          },
                        },
                        data_comparisons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/f384b804-d6ef-4312-b564-05929fdf1c22/data_comparisons',
                          },
                        },
                        status_summaries: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/f384b804-d6ef-4312-b564-05929fdf1c22/status_summaries',
                          },
                        },
                        pdf_report_summaries: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/f384b804-d6ef-4312-b564-05929fdf1c22/pdf_report_summaries',
                          },
                        },
                        related_entities: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/f384b804-d6ef-4312-b564-05929fdf1c22/related_entities',
                          },
                        },
                        parent_related_entities: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/f384b804-d6ef-4312-b564-05929fdf1c22/related_entities',
                          },
                        },
                        risk_rating_evaluations: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/f384b804-d6ef-4312-b564-05929fdf1c22/risk_rating_evaluations',
                          },
                        },
                        bank_accounts: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/f384b804-d6ef-4312-b564-05929fdf1c22/bank_accounts',
                          },
                        },
                        managed_by: {
                          data: {
                            id: '85a74022-7535-40a4-93fd-a058397dfaf0',
                            type: 'user',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/85a74022-7535-40a4-93fd-a058397dfaf0',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/kyc_applications/f384b804-d6ef-4312-b564-05929fdf1c22',
                      },
                    },
                    {
                      id: '1a8f0a3e-d470-4ee7-acea-eae8a494048c',
                      type: 'kyc_application',
                      attributes: {
                        created_at: '2023-12-08T15:37:17.654+02:00',
                        updated_at: '2023-12-08T15:37:17.798+02:00',
                        renew_at: null,
                        approved_at: null,
                        kyc_entity_type_name: 'Credit Union Member',
                        status: {
                          name: 'overall_kyc_application_status',
                          status: 'in_progress',
                          status_description: 'Some modules are not yet complete.',
                        },
                        archived: false,
                        archived_reason: null,
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: 'd017e1af-24fa-466e-b9b0-988dd003e573',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/d017e1af-24fa-466e-b9b0-988dd003e573',
                          },
                        },
                        data_requirements: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/1a8f0a3e-d470-4ee7-acea-eae8a494048c/data_requirements',
                          },
                        },
                        data_comparisons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/1a8f0a3e-d470-4ee7-acea-eae8a494048c/data_comparisons',
                          },
                        },
                        status_summaries: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/1a8f0a3e-d470-4ee7-acea-eae8a494048c/status_summaries',
                          },
                        },
                        pdf_report_summaries: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/1a8f0a3e-d470-4ee7-acea-eae8a494048c/pdf_report_summaries',
                          },
                        },
                        related_entities: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/1a8f0a3e-d470-4ee7-acea-eae8a494048c/related_entities',
                          },
                        },
                        parent_related_entities: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/1a8f0a3e-d470-4ee7-acea-eae8a494048c/related_entities',
                          },
                        },
                        risk_rating_evaluations: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/1a8f0a3e-d470-4ee7-acea-eae8a494048c/risk_rating_evaluations',
                          },
                        },
                        bank_accounts: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/1a8f0a3e-d470-4ee7-acea-eae8a494048c/bank_accounts',
                          },
                        },
                        managed_by: {
                          data: {
                            id: '088c352c-f363-4ba3-9dbe-4b8a26f3d79c',
                            type: 'user',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/088c352c-f363-4ba3-9dbe-4b8a26f3d79c',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/kyc_applications/1a8f0a3e-d470-4ee7-acea-eae8a494048c',
                      },
                    },
                    {
                      id: 'fc4925f4-5994-4d79-b734-4a731b2057c1',
                      type: 'kyc_application',
                      attributes: {
                        created_at: '2023-12-08T15:37:17.491+02:00',
                        updated_at: '2023-12-08T15:37:17.944+02:00',
                        renew_at: null,
                        approved_at: null,
                        kyc_entity_type_name: 'Pty Ltd',
                        status: {
                          name: 'overall_kyc_application_status',
                          status: 'in_progress',
                          status_description: 'Some modules are not yet complete.',
                        },
                        archived: false,
                        archived_reason: null,
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '4bf6ed03-3707-4441-8809-562d456e9d17',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/4bf6ed03-3707-4441-8809-562d456e9d17',
                          },
                        },
                        data_requirements: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/fc4925f4-5994-4d79-b734-4a731b2057c1/data_requirements',
                          },
                        },
                        data_comparisons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/fc4925f4-5994-4d79-b734-4a731b2057c1/data_comparisons',
                          },
                        },
                        status_summaries: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/fc4925f4-5994-4d79-b734-4a731b2057c1/status_summaries',
                          },
                        },
                        pdf_report_summaries: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/fc4925f4-5994-4d79-b734-4a731b2057c1/pdf_report_summaries',
                          },
                        },
                        related_entities: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/fc4925f4-5994-4d79-b734-4a731b2057c1/related_entities',
                          },
                        },
                        parent_related_entities: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/fc4925f4-5994-4d79-b734-4a731b2057c1/related_entities',
                          },
                        },
                        risk_rating_evaluations: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/fc4925f4-5994-4d79-b734-4a731b2057c1/risk_rating_evaluations',
                          },
                        },
                        bank_accounts: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/fc4925f4-5994-4d79-b734-4a731b2057c1/bank_accounts',
                          },
                        },
                        managed_by: {
                          data: {
                            id: '277cc0c0-d8d6-4b4b-a173-8ab758e39fc9',
                            type: 'user',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/277cc0c0-d8d6-4b4b-a173-8ab758e39fc9',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/kyc_applications/fc4925f4-5994-4d79-b734-4a731b2057c1',
                      },
                    },
                    {
                      id: '4af1ea09-8626-46af-84c4-6dc985a7bc14',
                      type: 'kyc_application',
                      attributes: {
                        created_at: '2023-12-08T15:37:17.345+02:00',
                        updated_at: '2023-12-08T15:37:17.461+02:00',
                        renew_at: null,
                        approved_at: null,
                        kyc_entity_type_name: 'Pty Ltd',
                        status: {
                          name: 'overall_kyc_application_status',
                          status: 'in_progress',
                          status_description: 'Some modules are not yet complete.',
                        },
                        archived: false,
                        archived_reason: null,
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '8eeefa48-99c0-4254-a10f-7a1bb0a3729e',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/8eeefa48-99c0-4254-a10f-7a1bb0a3729e',
                          },
                        },
                        data_requirements: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/4af1ea09-8626-46af-84c4-6dc985a7bc14/data_requirements',
                          },
                        },
                        data_comparisons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/4af1ea09-8626-46af-84c4-6dc985a7bc14/data_comparisons',
                          },
                        },
                        status_summaries: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/4af1ea09-8626-46af-84c4-6dc985a7bc14/status_summaries',
                          },
                        },
                        pdf_report_summaries: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/4af1ea09-8626-46af-84c4-6dc985a7bc14/pdf_report_summaries',
                          },
                        },
                        related_entities: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/4af1ea09-8626-46af-84c4-6dc985a7bc14/related_entities',
                          },
                        },
                        parent_related_entities: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/4af1ea09-8626-46af-84c4-6dc985a7bc14/related_entities',
                          },
                        },
                        risk_rating_evaluations: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/4af1ea09-8626-46af-84c4-6dc985a7bc14/risk_rating_evaluations',
                          },
                        },
                        bank_accounts: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/4af1ea09-8626-46af-84c4-6dc985a7bc14/bank_accounts',
                          },
                        },
                        managed_by: {
                          data: {
                            id: 'cfece70e-57c3-4e0b-a236-a016c5379c2b',
                            type: 'user',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/cfece70e-57c3-4e0b-a236-a016c5379c2b',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/kyc_applications/4af1ea09-8626-46af-84c4-6dc985a7bc14',
                      },
                    },
                    {
                      id: '80b93adf-793e-4e26-905d-5caf29ad1400',
                      type: 'kyc_application',
                      attributes: {
                        created_at: '2023-12-08T15:37:17.201+02:00',
                        updated_at: '2023-12-08T15:37:17.330+02:00',
                        renew_at: null,
                        approved_at: null,
                        kyc_entity_type_name: 'Pty Ltd',
                        status: {
                          name: 'overall_kyc_application_status',
                          status: 'in_progress',
                          status_description: 'Some modules are not yet complete.',
                        },
                        archived: false,
                        archived_reason: null,
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '05f385d3-0a54-4e9b-8b8b-2e6da226523a',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/05f385d3-0a54-4e9b-8b8b-2e6da226523a',
                          },
                        },
                        data_requirements: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/80b93adf-793e-4e26-905d-5caf29ad1400/data_requirements',
                          },
                        },
                        data_comparisons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/80b93adf-793e-4e26-905d-5caf29ad1400/data_comparisons',
                          },
                        },
                        status_summaries: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/80b93adf-793e-4e26-905d-5caf29ad1400/status_summaries',
                          },
                        },
                        pdf_report_summaries: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/80b93adf-793e-4e26-905d-5caf29ad1400/pdf_report_summaries',
                          },
                        },
                        related_entities: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/80b93adf-793e-4e26-905d-5caf29ad1400/related_entities',
                          },
                        },
                        parent_related_entities: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/80b93adf-793e-4e26-905d-5caf29ad1400/related_entities',
                          },
                        },
                        risk_rating_evaluations: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/80b93adf-793e-4e26-905d-5caf29ad1400/risk_rating_evaluations',
                          },
                        },
                        bank_accounts: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/80b93adf-793e-4e26-905d-5caf29ad1400/bank_accounts',
                          },
                        },
                        managed_by: {
                          data: {
                            id: '6da293a6-42cf-46be-957c-a263d7f94b39',
                            type: 'user',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/6da293a6-42cf-46be-957c-a263d7f94b39',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/kyc_applications/80b93adf-793e-4e26-905d-5caf29ad1400',
                      },
                    },
                  ],
                  meta: {
                    total: 5,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '403': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_authorized',
                      status: '403',
                      detail: 'You are not authorized to perform this action',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycApplication',
      },
      post: {
        tags: ['KYC Applications'],
        summary: 'Create Kyc Application',
        description: 'Create Kyc Application',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Content-Type',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    type: 'object',
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '34253a3e-7b84-4c1c-9520-953fc4b60b17',
                    type: 'kyc_application',
                    attributes: {
                      created_at: '2023-12-08T15:37:24.822+02:00',
                      updated_at: '2023-12-08T15:37:25.374+02:00',
                      renew_at: null,
                      approved_at: null,
                      kyc_entity_type_name: 'Individual',
                      status: {
                        name: 'overall_kyc_application_status',
                        status: 'in_progress',
                        status_description: 'Some modules are not yet complete.',
                      },
                      archived: false,
                      archived_reason: null,
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: 'c62040f7-051c-4cc5-b722-0af9a45f70f7',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/c62040f7-051c-4cc5-b722-0af9a45f70f7',
                        },
                      },
                      data_requirements: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/34253a3e-7b84-4c1c-9520-953fc4b60b17/data_requirements',
                        },
                      },
                      data_comparisons: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/34253a3e-7b84-4c1c-9520-953fc4b60b17/data_comparisons',
                        },
                      },
                      status_summaries: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/34253a3e-7b84-4c1c-9520-953fc4b60b17/status_summaries',
                        },
                      },
                      pdf_report_summaries: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/34253a3e-7b84-4c1c-9520-953fc4b60b17/pdf_report_summaries',
                        },
                      },
                      related_entities: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/34253a3e-7b84-4c1c-9520-953fc4b60b17/related_entities',
                        },
                      },
                      parent_related_entities: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/34253a3e-7b84-4c1c-9520-953fc4b60b17/related_entities',
                        },
                      },
                      risk_rating_evaluations: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/34253a3e-7b84-4c1c-9520-953fc4b60b17/risk_rating_evaluations',
                        },
                      },
                      bank_accounts: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/34253a3e-7b84-4c1c-9520-953fc4b60b17/bank_accounts',
                        },
                      },
                      managed_by: {
                        data: {
                          id: 'f072162f-d91c-44e8-8200-1c39311aa70b',
                          type: 'user',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/f072162f-d91c-44e8-8200-1c39311aa70b',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/kyc_applications/34253a3e-7b84-4c1c-9520-953fc4b60b17',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description:
              'Request with a well formatted payload referencing the wrong entity template',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'registered_name is missing from Names',
                      source: {
                        pointer: '/names',
                      },
                      meta: {
                        data: {
                          first_names: 'Kina',
                          last_names: 'Dibbert',
                        },
                        schema: {
                          title: 'Names',
                          type: 'object',
                          properties: {
                            registered_name: {
                              minLength: 1,
                              maxLength: 255,
                              type: 'string',
                              title: 'Registered name',
                            },
                            trading_name: {
                              minLength: 1,
                              maxLength: 255,
                              type: 'string',
                              title: 'Trading name',
                            },
                          },
                          additionalProperties: false,
                          required: ['registered_name'],
                        },
                      },
                    },
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Attribute first_names is invalid',
                      source: {
                        pointer: '/names/first_names',
                      },
                      meta: {
                        data: 'Kina',
                        schema: false,
                      },
                    },
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Attribute last_names is invalid',
                      source: {
                        pointer: '/names/last_names',
                      },
                      meta: {
                        data: 'Dibbert',
                        schema: false,
                      },
                    },
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'registration_number is missing from Numbers',
                      source: {
                        pointer: '/numbers',
                      },
                      meta: {
                        data: {
                          national_id_number: {
                            value: '7406254477088',
                            issued_by: 'za',
                          },
                          passport_number: {
                            value: '1163849085',
                            issued_by: 'us',
                            expiry_date: '2024-01-02',
                          },
                        },
                        schema: {
                          title: 'Numbers',
                          type: 'object',
                          properties: {
                            registration_number: {
                              type: 'object',
                              title: 'Registration number',
                              properties: {
                                value: {
                                  type: 'string',
                                  title: 'Value',
                                  pattern:
                                    '(^(CK)\\d{2}\\/\\d{5}\\/(23)$)||(^\\d{4}\\/\\d{6}\\/(23)$)',
                                  message: {
                                    pattern: 'CKYY/NNNNN/23. YYYY/NNNNNN/23',
                                  },
                                },
                                issued_by: {
                                  type: 'string',
                                  title: 'Issued By',
                                  enum: ['za_cipc'],
                                  select_options: [
                                    {
                                      value: 'za_cipc',
                                      label: 'CIPC',
                                    },
                                  ],
                                  default: 'za_cipc',
                                },
                              },
                              additionalProperties: false,
                              required: ['value', 'issued_by'],
                              dependencies: {
                                value: ['issued_by'],
                                issued_by: ['value'],
                              },
                            },
                            vat_number: {
                              type: 'object',
                              title: 'VAT number',
                              properties: {
                                value: {
                                  type: 'string',
                                  title: 'Value',
                                  pattern: '(^(ZA)?\\d{10,11}$)',
                                  message: {
                                    pattern: 'Optional ZA followed by a 10 or 11 digit number',
                                  },
                                },
                                issued_by: {
                                  type: 'string',
                                  title: 'Issued By',
                                  enum: ['za_sars'],
                                  select_options: [
                                    {
                                      value: 'za_sars',
                                      label: 'South African Revenue Services',
                                    },
                                  ],
                                },
                              },
                              additionalProperties: false,
                              required: ['value', 'issued_by'],
                              dependencies: {
                                value: ['issued_by'],
                                issued_by: ['value'],
                              },
                            },
                          },
                          additionalProperties: false,
                          required: ['registration_number'],
                        },
                      },
                    },
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Attribute national_id_number is invalid',
                      source: {
                        pointer: '/numbers/national_id_number',
                      },
                      meta: {
                        data: {
                          value: '7406254477088',
                          issued_by: 'za',
                        },
                        schema: false,
                      },
                    },
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Attribute passport_number is invalid',
                      source: {
                        pointer: '/numbers/passport_number',
                      },
                      meta: {
                        data: {
                          value: '1163849085',
                          issued_by: 'us',
                          expiry_date: '2024-01-02',
                        },
                        schema: false,
                      },
                    },
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'registered_address is missing from Addresses',
                      source: {
                        pointer: '/addresses',
                      },
                      meta: {
                        data: {
                          residential_address: {
                            country: 'za',
                            address_line_one: '12 sandton road',
                            address_line_two: '',
                            suburb: 'sandown',
                            city: 'johannesburg',
                            area_code: '2192',
                            state_or_province_or_region: 'gauteng',
                          },
                        },
                        schema: {
                          title: 'Addresses',
                          type: 'object',
                          properties: {
                            registered_address: {
                              $ref: '#/components/schemas/address',
                              title: 'Registered address',
                              placeholder: 'Registered address',
                            },
                            operating_address: {
                              $ref: '#/components/schemas/address',
                              title: 'Operating address',
                              placeholder: 'Operating address',
                            },
                            head_office_address: {
                              $ref: '#/components/schemas/address',
                              title: 'Head office address',
                              placeholder: 'Head office address',
                            },
                          },
                          additionalProperties: false,
                          required: ['registered_address'],
                        },
                      },
                    },
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Attribute residential_address is invalid',
                      source: {
                        pointer: '/addresses/residential_address',
                      },
                      meta: {
                        data: {
                          country: 'za',
                          address_line_one: '12 sandton road',
                          address_line_two: '',
                          suburb: 'sandown',
                          city: 'johannesburg',
                          area_code: '2192',
                          state_or_province_or_region: 'gauteng',
                        },
                        schema: false,
                      },
                    },
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Attribute additional_details is invalid',
                      source: {
                        pointer: '/additional_details',
                      },
                      meta: {
                        data: {
                          date_of_birth: '1951-02-28',
                          nationality: 'gb',
                        },
                        schema: false,
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createKycApplication',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}': {
      get: {
        tags: ['KYC Applications'],
        summary: 'Retrieve KYC Application',
        description: 'Retrieve KYC Application',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'include',
            in: 'query',
            description: '',
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '14e25ffb-4e9d-4752-bf46-820a1da088e4',
                    type: 'kyc_application',
                    attributes: {
                      created_at: '2023-12-08T15:37:23.204+02:00',
                      updated_at: '2023-12-08T15:37:23.293+02:00',
                      renew_at: null,
                      approved_at: null,
                      kyc_entity_type_name: 'Pty Ltd',
                      status: {
                        name: 'overall_kyc_application_status',
                        status: 'in_progress',
                        status_description: 'Some modules are not yet complete.',
                      },
                      archived: false,
                      archived_reason: null,
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: 'e612df31-359f-49b5-a7e6-34ac4dd019f8',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8',
                        },
                      },
                      data_requirements: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/14e25ffb-4e9d-4752-bf46-820a1da088e4/data_requirements',
                        },
                      },
                      data_comparisons: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/14e25ffb-4e9d-4752-bf46-820a1da088e4/data_comparisons',
                        },
                      },
                      status_summaries: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/14e25ffb-4e9d-4752-bf46-820a1da088e4/status_summaries',
                        },
                      },
                      pdf_report_summaries: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/14e25ffb-4e9d-4752-bf46-820a1da088e4/pdf_report_summaries',
                        },
                      },
                      related_entities: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/14e25ffb-4e9d-4752-bf46-820a1da088e4/related_entities',
                        },
                      },
                      parent_related_entities: {
                        data: [],
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/14e25ffb-4e9d-4752-bf46-820a1da088e4/related_entities',
                        },
                      },
                      risk_rating_evaluations: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/14e25ffb-4e9d-4752-bf46-820a1da088e4/risk_rating_evaluations',
                        },
                      },
                      bank_accounts: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/14e25ffb-4e9d-4752-bf46-820a1da088e4/bank_accounts',
                        },
                      },
                      managed_by: {
                        data: {
                          id: '8ba9a2ee-4de4-4e08-aa5b-010e24aea313',
                          type: 'user',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/8ba9a2ee-4de4-4e08-aa5b-010e24aea313',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/kyc_applications/14e25ffb-4e9d-4752-bf46-820a1da088e4',
                    },
                  },
                  included: [
                    {
                      id: '8ba9a2ee-4de4-4e08-aa5b-010e24aea313',
                      type: 'user',
                      attributes: {
                        first_names: null,
                        last_names: null,
                        email: null,
                        deactivation_date: null,
                        deactivated: false,
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/users/8ba9a2ee-4de4-4e08-aa5b-010e24aea313',
                      },
                    },
                    {
                      id: '828ec1b8-ee0b-48d0-865d-ec4e66b7673d',
                      type: 'additional_detail',
                      attributes: {
                        value: '1966-06-07',
                        slug: 'date_of_birth',
                        created_at: '2023-12-08T15:37:23.291+02:00',
                        updated_at: '2023-12-08T15:37:23.291+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: 'e612df31-359f-49b5-a7e6-34ac4dd019f8',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/additional_details/828ec1b8-ee0b-48d0-865d-ec4e66b7673d',
                      },
                      meta: null,
                    },
                    {
                      id: '82732610-fe94-49fb-b161-a8ee2e369eb6',
                      type: 'address',
                      attributes: {
                        name: 'Registered Address',
                        full_address:
                          'Suite 723, 795 Pagac Haven, Eagle Gardens, Tuanfort, 70165-6683, New Mexico, Brunei Darussalam',
                        address_line_one: 'Suite 723',
                        address_line_two: '795 Pagac Haven',
                        suburb: 'Eagle Gardens',
                        city: 'Tuanfort',
                        state_or_province_or_region: 'New Mexico',
                        country: 'Brunei Darussalam',
                        country_code: 'bn',
                        area_code: '70165-6683',
                        slug: 'registered_address',
                        created_at: '2023-12-08T15:37:23.287+02:00',
                        updated_at: '2023-12-08T15:37:23.287+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: 'e612df31-359f-49b5-a7e6-34ac4dd019f8',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/addresses/82732610-fe94-49fb-b161-a8ee2e369eb6',
                      },
                      meta: null,
                    },
                    {
                      id: '674322d0-0bfa-43e4-92ff-69d5a42910cc',
                      type: 'address',
                      attributes: {
                        name: 'Operating Address',
                        full_address:
                          'Suite 972, 9238 Annmarie Forest, Summer Estates, East Diegotown, 83581-9457, Rhode Island, Barbados',
                        address_line_one: 'Suite 972',
                        address_line_two: '9238 Annmarie Forest',
                        suburb: 'Summer Estates',
                        city: 'East Diegotown',
                        state_or_province_or_region: 'Rhode Island',
                        country: 'Barbados',
                        country_code: 'bb',
                        area_code: '83581-9457',
                        slug: 'operating_address',
                        created_at: '2023-12-08T15:37:23.288+02:00',
                        updated_at: '2023-12-08T15:37:23.288+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: 'e612df31-359f-49b5-a7e6-34ac4dd019f8',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/addresses/674322d0-0bfa-43e4-92ff-69d5a42910cc',
                      },
                      meta: null,
                    },
                    {
                      id: 'f8998c7d-1f60-4f53-a877-30e362a1ddd8',
                      type: 'contact',
                      attributes: {
                        first_names: 'Alita',
                        last_names: 'Sporer',
                        email: 'brice@nicolas-treutel.info',
                        mobile_number: '27820001234',
                        work_phone_number: '27110001234',
                        slug: 'primary_contact_information',
                        created_at: '2023-12-08T15:37:23.289+02:00',
                        updated_at: '2023-12-08T15:37:23.289+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: 'e612df31-359f-49b5-a7e6-34ac4dd019f8',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8',
                          },
                        },
                        invitation_tokens: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/contacts/f8998c7d-1f60-4f53-a877-30e362a1ddd8/invitation_tokens',
                          },
                        },
                        data_requirement_permissions: {
                          links: {
                            related:
                              '/api/v2/contacts/f8998c7d-1f60-4f53-a877-30e362a1ddd8/data_requirement_permissions',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/contacts/f8998c7d-1f60-4f53-a877-30e362a1ddd8',
                      },
                      meta: null,
                    },
                    {
                      id: '6d712bff-6fbd-4f4c-8fe3-eccb0cfd9982',
                      type: 'name',
                      attributes: {
                        value: 'Hessel Group',
                        slug: 'registered_name',
                        created_at: '2023-12-08T15:37:23.279+02:00',
                        updated_at: '2023-12-08T15:37:23.279+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: 'e612df31-359f-49b5-a7e6-34ac4dd019f8',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/names/6d712bff-6fbd-4f4c-8fe3-eccb0cfd9982',
                      },
                      meta: null,
                    },
                    {
                      id: '84e7366f-6061-48a5-885a-203c5dea3482',
                      type: 'name',
                      attributes: {
                        value: 'Future-proofed foreground neural-net',
                        slug: 'trading_name',
                        created_at: '2023-12-08T15:37:23.281+02:00',
                        updated_at: '2023-12-08T15:37:23.281+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: 'e612df31-359f-49b5-a7e6-34ac4dd019f8',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/names/84e7366f-6061-48a5-885a-203c5dea3482',
                      },
                      meta: null,
                    },
                    {
                      id: 'd2a0cf63-fd3f-4d28-9f80-5f0a6d2d7845',
                      type: 'number',
                      attributes: {
                        value: '5814/456599/07',
                        slug: 'registration_number',
                        issued_by: 'za_cipc',
                        expiry_date: '2023-12-16',
                        created_at: '2023-12-08T15:37:23.284+02:00',
                        updated_at: '2023-12-08T15:37:23.284+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: 'e612df31-359f-49b5-a7e6-34ac4dd019f8',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/numbers/d2a0cf63-fd3f-4d28-9f80-5f0a6d2d7845',
                      },
                      meta: null,
                    },
                    {
                      id: '910de9fe-acd8-4e8e-b060-8f5cd662ab0d',
                      type: 'number',
                      attributes: {
                        value: 'ZA7770126992',
                        slug: 'vat_number',
                        issued_by: 'za_sars',
                        expiry_date: '2024-05-13',
                        created_at: '2023-12-08T15:37:23.285+02:00',
                        updated_at: '2023-12-08T15:37:23.285+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: 'e612df31-359f-49b5-a7e6-34ac4dd019f8',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/numbers/910de9fe-acd8-4e8e-b060-8f5cd662ab0d',
                      },
                      meta: null,
                    },
                    {
                      id: 'e612df31-359f-49b5-a7e6-34ac4dd019f8',
                      type: 'profile',
                      attributes: {
                        created_at: '2023-12-08T15:37:23.278+02:00',
                        updated_at: '2023-12-08T15:37:23.292+02:00',
                      },
                      relationships: {
                        names: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8/names',
                          },
                        },
                        numbers: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8/numbers',
                          },
                        },
                        contacts: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8/contacts',
                          },
                        },
                        addresses: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8/addresses',
                          },
                        },
                        additional_details: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8/additional_details',
                          },
                        },
                        data_comparisons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8/data_comparisons',
                          },
                        },
                        kyc_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/14e25ffb-4e9d-4752-bf46-820a1da088e4',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/profiles/e612df31-359f-49b5-a7e6-34ac4dd019f8',
                      },
                    },
                  ],
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getKycApplication',
      },
      delete: {
        tags: ['KYC Applications'],
        summary: 'Delete KYC Application',
        description: 'Delete KYC Application',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '204': {
            description: '',
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'deleteKycApplication',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/approve': {
      patch: {
        tags: ['KYC Applications'],
        summary: 'Approve a KYC Application',
        description: 'Approve a KYC Application',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Content-Type',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    type: 'object',
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '99c2f4a0-d6a7-4be9-a341-a53652e6a6b6',
                    type: 'kyc_application',
                    attributes: {
                      created_at: '2023-12-08T15:37:27.561+02:00',
                      updated_at: '2023-12-08T15:37:27.827+02:00',
                      renew_at: '2024-12-07T00:00:00.000+02:00',
                      approved_at: '2023-12-08T15:37:27.815+02:00',
                      kyc_entity_type_name: 'Pty Ltd',
                      status: {
                        name: 'overall_kyc_application_status',
                        status: 'approved',
                        status_description: 'The application has been approved.',
                      },
                      archived: false,
                      archived_reason: null,
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: '151fbe4b-598a-44f0-9fa7-fd4f572ffcb3',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/151fbe4b-598a-44f0-9fa7-fd4f572ffcb3',
                        },
                      },
                      data_requirements: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/99c2f4a0-d6a7-4be9-a341-a53652e6a6b6/data_requirements',
                        },
                      },
                      data_comparisons: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/99c2f4a0-d6a7-4be9-a341-a53652e6a6b6/data_comparisons',
                        },
                      },
                      status_summaries: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/99c2f4a0-d6a7-4be9-a341-a53652e6a6b6/status_summaries',
                        },
                      },
                      pdf_report_summaries: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/99c2f4a0-d6a7-4be9-a341-a53652e6a6b6/pdf_report_summaries',
                        },
                      },
                      related_entities: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/99c2f4a0-d6a7-4be9-a341-a53652e6a6b6/related_entities',
                        },
                      },
                      parent_related_entities: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/99c2f4a0-d6a7-4be9-a341-a53652e6a6b6/related_entities',
                        },
                      },
                      risk_rating_evaluations: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/99c2f4a0-d6a7-4be9-a341-a53652e6a6b6/risk_rating_evaluations',
                        },
                      },
                      bank_accounts: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/99c2f4a0-d6a7-4be9-a341-a53652e6a6b6/bank_accounts',
                        },
                      },
                      managed_by: {
                        data: {
                          id: 'ee6ffc94-f671-449a-994b-144456fd682f',
                          type: 'user',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/ee6ffc94-f671-449a-994b-144456fd682f',
                        },
                      },
                      approved_by: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/ee6ffc94-f671-449a-994b-144456fd682f',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/kyc_applications/99c2f4a0-d6a7-4be9-a341-a53652e6a6b6',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with a valid kyc application in an invalid state',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Update application is not in a valid state to perform this action',
                      source: {
                        name: 'overall_kyc_application_status',
                        status: 'in_progress',
                        status_description: 'Some modules are not yet complete.',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateKycApplicationApprove',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/unapprove': {
      patch: {
        tags: ['KYC Applications'],
        summary: 'Unapprove a KYC Application',
        description: 'Unapprove a KYC Application',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Content-Type',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    type: 'object',
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '6d56170a-a75b-4371-a6ee-67ba5eb5d3eb',
                    type: 'kyc_application',
                    attributes: {
                      created_at: '2023-12-08T15:37:28.576+02:00',
                      updated_at: '2023-12-08T15:37:28.987+02:00',
                      renew_at: null,
                      approved_at: null,
                      kyc_entity_type_name: 'Trust',
                      status: {
                        name: 'overall_kyc_application_status',
                        status: 'ready_for_final_approval',
                        status_description:
                          'All modules are complete. The application can now be final approved.',
                      },
                      archived: false,
                      archived_reason: null,
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: '4e31c641-130f-493b-be32-6120549920b7',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/4e31c641-130f-493b-be32-6120549920b7',
                        },
                      },
                      data_requirements: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/6d56170a-a75b-4371-a6ee-67ba5eb5d3eb/data_requirements',
                        },
                      },
                      data_comparisons: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/6d56170a-a75b-4371-a6ee-67ba5eb5d3eb/data_comparisons',
                        },
                      },
                      status_summaries: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/6d56170a-a75b-4371-a6ee-67ba5eb5d3eb/status_summaries',
                        },
                      },
                      pdf_report_summaries: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/6d56170a-a75b-4371-a6ee-67ba5eb5d3eb/pdf_report_summaries',
                        },
                      },
                      related_entities: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/6d56170a-a75b-4371-a6ee-67ba5eb5d3eb/related_entities',
                        },
                      },
                      parent_related_entities: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/6d56170a-a75b-4371-a6ee-67ba5eb5d3eb/related_entities',
                        },
                      },
                      risk_rating_evaluations: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/6d56170a-a75b-4371-a6ee-67ba5eb5d3eb/risk_rating_evaluations',
                        },
                      },
                      bank_accounts: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/6d56170a-a75b-4371-a6ee-67ba5eb5d3eb/bank_accounts',
                        },
                      },
                      managed_by: {
                        data: {
                          id: 'afbf8737-7bfa-4716-a7a8-b9771e33d7a1',
                          type: 'user',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/afbf8737-7bfa-4716-a7a8-b9771e33d7a1',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/kyc_applications/6d56170a-a75b-4371-a6ee-67ba5eb5d3eb',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with a valid kyc application in an invalid state',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Unapprove application has not yet been approved!',
                      source: {
                        name: 'overall_kyc_application_status',
                        status: 'ready_for_final_approval',
                        status_description:
                          'All modules are complete. The application can now be final approved.',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateKycApplicationUnapprove',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/transfer': {
      patch: {
        tags: ['KYC Applications'],
        summary: 'Transfer a KYC Application',
        description: 'Transfer a KYC Application',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Content-Type',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    type: 'object',
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'e2f8ae33-13c2-4feb-8451-7d90b9c481df',
                    type: 'kyc_application',
                    attributes: {
                      created_at: '2023-12-08T15:37:29.699+02:00',
                      updated_at: '2023-12-08T15:37:29.913+02:00',
                      renew_at: null,
                      approved_at: null,
                      kyc_entity_type_name: 'Trust',
                      status: {
                        name: 'overall_kyc_application_status',
                        status: 'in_progress',
                        status_description: 'Some modules are not yet complete.',
                      },
                      archived: false,
                      archived_reason: null,
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: '6623fc0e-e0f8-4049-a34c-d2cb98d7186b',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/6623fc0e-e0f8-4049-a34c-d2cb98d7186b',
                        },
                      },
                      data_requirements: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/e2f8ae33-13c2-4feb-8451-7d90b9c481df/data_requirements',
                        },
                      },
                      data_comparisons: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/e2f8ae33-13c2-4feb-8451-7d90b9c481df/data_comparisons',
                        },
                      },
                      status_summaries: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/e2f8ae33-13c2-4feb-8451-7d90b9c481df/status_summaries',
                        },
                      },
                      pdf_report_summaries: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/e2f8ae33-13c2-4feb-8451-7d90b9c481df/pdf_report_summaries',
                        },
                      },
                      related_entities: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/e2f8ae33-13c2-4feb-8451-7d90b9c481df/related_entities',
                        },
                      },
                      parent_related_entities: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/e2f8ae33-13c2-4feb-8451-7d90b9c481df/related_entities',
                        },
                      },
                      risk_rating_evaluations: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/e2f8ae33-13c2-4feb-8451-7d90b9c481df/risk_rating_evaluations',
                        },
                      },
                      bank_accounts: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/e2f8ae33-13c2-4feb-8451-7d90b9c481df/bank_accounts',
                        },
                      },
                      managed_by: {
                        data: {
                          id: 'a5a5302d-de7d-499a-b8f2-8d3b5fb4630d',
                          type: 'user',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/a5a5302d-de7d-499a-b8f2-8d3b5fb4630d',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/kyc_applications/e2f8ae33-13c2-4feb-8451-7d90b9c481df',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with a valid application but missing or wrong attribute',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Transfer param is missing or the value is empty: attributes',
                      source: {
                        name: 'overall_kyc_application_status',
                        status: 'in_progress',
                        status_description: 'Some modules are not yet complete.',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateKycApplicationTransfer',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/archive': {
      post: {
        tags: ['KYC Applications'],
        summary: 'Archive a KYC Application',
        description: 'Archive a KYC Application',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Content-Type',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    type: 'object',
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '204': {
            description: '',
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
            },
          },
          '400': {
            description: 'Request with archived application',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'Missing or empty request parameter: data',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'archiveKycApplication',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/unarchive': {
      post: {
        tags: ['KYC Applications'],
        summary: 'Unarchive a KYC Application',
        description: 'Unarchive a KYC Application',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Content-Type',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    type: 'object',
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Operation Successful',
            headers: {},
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                    },
                  },
                  description: '',
                },
              },
            },
          },
          '400': {
            description: 'Request with unarchived application',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'Missing or empty request parameter: attributes',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'unarchiveKycApplication',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/status_summaries': {
      get: {
        tags: ['Status Summaries'],
        summary: 'Retrieve Status Summaries',
        description: 'Retrieve Status Summaries',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '715e04c7-ec20-46c3-bc3b-e09c2861dcbe',
                    type: 'status_summaries',
                    attributes: {
                      overall_kyc_application_status: {
                        name: 'overall_kyc_application_status',
                        status: 'in_progress',
                        status_description: 'Some modules are not yet complete.',
                      },
                      module_statuses: [
                        {
                          name: 'account_opening',
                          status: 'invitation_accepted',
                          status_description: 'Invitation accepted',
                        },
                        {
                          name: 'document_collection_and_verification',
                          status: 'complete',
                          status_description: 'All required documents are uploaded and approved.',
                        },
                        {
                          name: 'related_entities',
                          status: 'ready_for_information_upload',
                          status_description:
                            'Link Related Entities to this application and then approve them. You may also link Related Entities that are already approved.',
                        },
                        {
                          name: 'risk_rating',
                          status: 'not_started',
                          status_description: 'Risk Rating may be completed.',
                        },
                        {
                          name: 'watchlist_screening',
                          status: 'not_available',
                          status_description:
                            'Watchlist Screening is not available for your institution.',
                        },
                        {
                          name: 'adverse_media',
                          status: 'not_started',
                          status_description: 'Adverse Media is not active on this application.',
                        },
                        {
                          name: 'bank_account_verification',
                          status: 'complete',
                          status_description: 'Bank Account Verification is not required.',
                        },
                        {
                          name: 'consumer_report',
                          status: 'complete',
                          status_description: 'ChexSystems Report is not required.',
                        },
                        {
                          name: 'business_verification',
                          status: 'complete',
                          status_description: 'Business Verification is not required.',
                        },
                      ],
                    },
                    relationships: {
                      kyc_application: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/715e04c7-ec20-46c3-bc3b-e09c2861dcbe',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/kyc_applications/715e04c7-ec20-46c3-bc3b-e09c2861dcbe/status_summaries',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Request with an invalid identifying path parameter',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycApplicationStatusSummarie',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/profiles': {
      get: {
        tags: ['Profiles'],
        summary: 'List Profiles',
        description: 'List Profiles',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '41da1105-c851-4a14-bce7-32396b6bde5e',
                      type: 'profile',
                      attributes: {
                        created_at: '2023-12-08T15:37:31.839+02:00',
                        updated_at: '2023-12-08T15:37:31.854+02:00',
                      },
                      relationships: {
                        names: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/41da1105-c851-4a14-bce7-32396b6bde5e/names',
                          },
                        },
                        numbers: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/41da1105-c851-4a14-bce7-32396b6bde5e/numbers',
                          },
                        },
                        contacts: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/41da1105-c851-4a14-bce7-32396b6bde5e/contacts',
                          },
                        },
                        addresses: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/41da1105-c851-4a14-bce7-32396b6bde5e/addresses',
                          },
                        },
                        additional_details: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/41da1105-c851-4a14-bce7-32396b6bde5e/additional_details',
                          },
                        },
                        data_comparisons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/41da1105-c851-4a14-bce7-32396b6bde5e/data_comparisons',
                          },
                        },
                        kyc_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/57586dd0-40ba-4dd1-8629-20da55c3f50e',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/profiles/41da1105-c851-4a14-bce7-32396b6bde5e',
                      },
                    },
                  ],
                  meta: {
                    total: 1,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycApplicationProfile',
      },
    },
    '/api/v2/profiles/{profile_id}': {
      get: {
        tags: ['Profiles'],
        summary: 'Retrieve Profile',
        description: 'Retrieve Profile',
        parameters: [
          {
            name: 'profile_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'include',
            in: 'query',
            description: '',
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'profile_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                    type: 'profile',
                    attributes: {
                      created_at: '2023-12-08T15:37:32.694+02:00',
                      updated_at: '2023-12-08T15:37:32.709+02:00',
                    },
                    relationships: {
                      names: {
                        data: [
                          {
                            id: '55',
                            type: 'name',
                          },
                          {
                            id: '56',
                            type: 'name',
                          },
                        ],
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d/names',
                        },
                      },
                      numbers: {
                        data: [
                          {
                            id: '51',
                            type: 'number',
                          },
                          {
                            id: '52',
                            type: 'number',
                          },
                        ],
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d/numbers',
                        },
                      },
                      contacts: {
                        data: [
                          {
                            id: '33',
                            type: 'contact',
                          },
                        ],
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d/contacts',
                        },
                      },
                      addresses: {
                        data: [
                          {
                            id: '55',
                            type: 'address',
                          },
                          {
                            id: '56',
                            type: 'address',
                          },
                        ],
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d/addresses',
                        },
                      },
                      additional_details: {
                        data: [
                          {
                            id: '28',
                            type: 'additional_detail',
                          },
                        ],
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d/additional_details',
                        },
                      },
                      data_comparisons: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d/data_comparisons',
                        },
                      },
                      kyc_application: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/2a142e3d-3b4f-46a7-9968-68c657ff5b0f',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/profiles/9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                    },
                  },
                  included: [
                    {
                      id: '4ce7deb8-186e-4a84-9d0c-4715d66a2983',
                      type: 'name',
                      attributes: {
                        value: 'Douglas-Kuvalis',
                        slug: 'registered_name',
                        created_at: '2023-12-08T15:37:32.697+02:00',
                        updated_at: '2023-12-08T15:37:32.697+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/names/4ce7deb8-186e-4a84-9d0c-4715d66a2983',
                      },
                      meta: null,
                    },
                    {
                      id: '92c273b8-cc18-47a1-9bad-cdf2389ed462',
                      type: 'name',
                      attributes: {
                        value: 'Cross-group grid-enabled website',
                        slug: 'trading_name',
                        created_at: '2023-12-08T15:37:32.699+02:00',
                        updated_at: '2023-12-08T15:37:32.699+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/names/92c273b8-cc18-47a1-9bad-cdf2389ed462',
                      },
                      meta: null,
                    },
                    {
                      id: 'b441c787-59d4-4a6c-934e-23a3c492734b',
                      type: 'number',
                      attributes: {
                        value: '5808/410361/07',
                        slug: 'registration_number',
                        issued_by: 'za_cipc',
                        expiry_date: '2024-12-02',
                        created_at: '2023-12-08T15:37:32.703+02:00',
                        updated_at: '2023-12-08T15:37:32.703+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/numbers/b441c787-59d4-4a6c-934e-23a3c492734b',
                      },
                      meta: null,
                    },
                    {
                      id: '8d73a2ca-ce5f-4bb5-a6c6-4d836ca933c7',
                      type: 'number',
                      attributes: {
                        value: 'ZA2135786923',
                        slug: 'vat_number',
                        issued_by: 'za_sars',
                        expiry_date: '2024-08-04',
                        created_at: '2023-12-08T15:37:32.705+02:00',
                        updated_at: '2023-12-08T15:37:32.705+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/numbers/8d73a2ca-ce5f-4bb5-a6c6-4d836ca933c7',
                      },
                      meta: null,
                    },
                    {
                      id: '75605c9b-f61e-4f20-a456-d79a0a2953b4',
                      type: 'contact',
                      attributes: {
                        first_names: 'Mayola',
                        last_names: 'Smith',
                        email: 'ollie@kautzer.name',
                        mobile_number: '27820001234',
                        work_phone_number: '27110001234',
                        slug: 'primary_contact_information',
                        created_at: '2023-12-08T15:37:32.708+02:00',
                        updated_at: '2023-12-08T15:37:32.708+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                          },
                        },
                        invitation_tokens: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/contacts/75605c9b-f61e-4f20-a456-d79a0a2953b4/invitation_tokens',
                          },
                        },
                        data_requirement_permissions: {
                          links: {
                            related:
                              '/api/v2/contacts/75605c9b-f61e-4f20-a456-d79a0a2953b4/data_requirement_permissions',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/contacts/75605c9b-f61e-4f20-a456-d79a0a2953b4',
                      },
                      meta: null,
                    },
                    {
                      id: '310689b3-eac0-49d2-9db6-2d2476b7ee64',
                      type: 'address',
                      attributes: {
                        name: 'Registered Address',
                        full_address:
                          'Apt. 907, 897 Nikolaus Hollow, University Oaks, North Neta, 11126, Mississippi, French Polynesia',
                        address_line_one: 'Apt. 907',
                        address_line_two: '897 Nikolaus Hollow',
                        suburb: 'University Oaks',
                        city: 'North Neta',
                        state_or_province_or_region: 'Mississippi',
                        country: 'French Polynesia',
                        country_code: 'pf',
                        area_code: '11126',
                        slug: 'registered_address',
                        created_at: '2023-12-08T15:37:32.706+02:00',
                        updated_at: '2023-12-08T15:37:32.706+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/addresses/310689b3-eac0-49d2-9db6-2d2476b7ee64',
                      },
                      meta: null,
                    },
                    {
                      id: '06ebf14f-8b52-4a72-b1f2-926fa37278f0',
                      type: 'address',
                      attributes: {
                        name: 'Operating Address',
                        full_address:
                          'Suite 890, 218 Aide Rapids, Willow Crossing, Mignonmouth, 13582-8602, Rhode Island, Saint Barthélemy',
                        address_line_one: 'Suite 890',
                        address_line_two: '218 Aide Rapids',
                        suburb: 'Willow Crossing',
                        city: 'Mignonmouth',
                        state_or_province_or_region: 'Rhode Island',
                        country: 'Saint Barthélemy',
                        country_code: 'bl',
                        area_code: '13582-8602',
                        slug: 'operating_address',
                        created_at: '2023-12-08T15:37:32.707+02:00',
                        updated_at: '2023-12-08T15:37:32.707+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/addresses/06ebf14f-8b52-4a72-b1f2-926fa37278f0',
                      },
                      meta: null,
                    },
                    {
                      id: '8a7b0e72-f4ef-41aa-b37e-0e5012f2dd23',
                      type: 'additional_detail',
                      attributes: {
                        value: '2019-08-28',
                        slug: 'date_of_birth',
                        created_at: '2023-12-08T15:37:32.709+02:00',
                        updated_at: '2023-12-08T15:37:32.709+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/9308d7b5-4cc6-49bc-b1f2-e39d6982ce2d',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/additional_details/8a7b0e72-f4ef-41aa-b37e-0e5012f2dd23',
                      },
                      meta: null,
                    },
                  ],
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getProfile',
      },
    },
    '/api/v2/profiles/{profile_id}/names': {
      get: {
        tags: ['KYC Profile Names'],
        summary: 'List KYC Profile Names',
        description: 'List KYC Profile Names',
        parameters: [
          {
            name: 'profile_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'profile_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'dc413c84-e4f2-48df-9115-4f3349e97ff7',
                      type: 'name',
                      attributes: {
                        value: 'Curtis Boehm Franecki',
                        slug: 'first_names',
                        created_at: '2023-12-08T15:37:35.212+02:00',
                        updated_at: '2023-12-08T15:37:35.212+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '49d2681c-f69c-4e77-92bc-4457e80943c9',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/49d2681c-f69c-4e77-92bc-4457e80943c9',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/names/dc413c84-e4f2-48df-9115-4f3349e97ff7',
                      },
                      meta: null,
                    },
                    {
                      id: '8d2afe0d-b68a-4a67-acb0-0974bb9a17c3',
                      type: 'name',
                      attributes: {
                        value: 'Kreiger',
                        slug: 'last_names',
                        created_at: '2023-12-08T15:37:35.214+02:00',
                        updated_at: '2023-12-08T15:37:35.214+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '49d2681c-f69c-4e77-92bc-4457e80943c9',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/49d2681c-f69c-4e77-92bc-4457e80943c9',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/names/8d2afe0d-b68a-4a67-acb0-0974bb9a17c3',
                      },
                      meta: null,
                    },
                  ],
                  meta: {
                    total: 2,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listProfileName',
      },
      post: {
        tags: ['KYC Profile Names'],
        summary: 'Create a new KYC Profile Name',
        description: 'Create a new KYC Profile Name',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'name_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'profile_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '4abea856-e14a-4aa5-9739-7cd40061f0e0',
                    type: 'name',
                    attributes: {
                      value: 'Bergnaum-Larson',
                      slug: 'trading_name',
                      created_at: '2023-12-08T15:37:36.248+02:00',
                      updated_at: '2023-12-08T15:37:36.248+02:00',
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: '1594b838-acb6-468e-ad78-4784cf31cadb',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/1594b838-acb6-468e-ad78-4784cf31cadb',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/names/4abea856-e14a-4aa5-9739-7cd40061f0e0',
                    },
                    meta: null,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with a well formatted payload containing invalid values',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'valid value is invalid.',
                      source: {
                        pointer: '/additionalProperties',
                        parameter: 'invalid slug',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createProfileName',
      },
    },
    '/api/v2/names/{name_id}': {
      get: {
        tags: ['KYC Profile Names'],
        summary: 'Retrieve KYC Profile Name',
        description: 'Retrieve KYC Profile Name',
        parameters: [
          {
            name: 'name_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'name_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '6bc8f2a7-7919-4195-967f-ade9966b9d70',
                    type: 'name',
                    attributes: {
                      value: 'Ms. Dallas Goyette Pouros',
                      slug: 'first_names',
                      created_at: '2023-12-08T15:37:36.932+02:00',
                      updated_at: '2023-12-08T15:37:36.932+02:00',
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: 'c3a53765-ffdc-4405-bc88-ff4925640a72',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/c3a53765-ffdc-4405-bc88-ff4925640a72',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/names/6bc8f2a7-7919-4195-967f-ade9966b9d70',
                    },
                    meta: null,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getName',
      },
      delete: {
        tags: ['KYC Profile Names'],
        summary: 'Delete KYC Profile Name',
        description: 'Delete KYC Profile Name',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'name_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '204': {
            description: '',
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'deleteName',
      },
      patch: {
        tags: ['KYC Profile Names'],
        summary: 'Update KYC Profile Name',
        description: 'Update KYC Profile Name',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'name_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'name_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '3c5fe062-b888-4919-926b-4d9352e85edb',
                    type: 'name',
                    attributes: {
                      value: 'Ike',
                      slug: 'last_names',
                      created_at: '2023-12-08T15:37:37.427+02:00',
                      updated_at: '2023-12-08T15:37:37.489+02:00',
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: 'da7fa37c-6f2e-4410-941a-635941227b8a',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/da7fa37c-6f2e-4410-941a-635941227b8a',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/names/3c5fe062-b888-4919-926b-4d9352e85edb',
                    },
                    meta: null,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with a well formatted payload containing invalid values',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'is not a string, invalid length',
                      source: {
                        parameter: 'last_names',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateName',
      },
    },
    '/api/v2/profiles/{profile_id}/numbers': {
      get: {
        tags: ['KYC Profile Numbers'],
        summary: 'List KYC Profile Numbers',
        description: 'List KYC Profile Numbers',
        parameters: [
          {
            name: 'profile_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'profile_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'dfa9857f-c812-4d23-89b7-58df8b283c48',
                      type: 'number',
                      attributes: {
                        value: '9237/283174/07',
                        slug: 'registration_number',
                        issued_by: 'za_cipc',
                        expiry_date: '2024-06-08',
                        created_at: '2023-12-08T15:37:38.433+02:00',
                        updated_at: '2023-12-08T15:37:38.433+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '1b7ec484-9800-4c60-95de-0816399beb7f',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/1b7ec484-9800-4c60-95de-0816399beb7f',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/numbers/dfa9857f-c812-4d23-89b7-58df8b283c48',
                      },
                      meta: null,
                    },
                    {
                      id: '1f8cf737-959f-4dc6-bf66-bac4a3901f4d',
                      type: 'number',
                      attributes: {
                        value: 'ZA5071501083',
                        slug: 'vat_number',
                        issued_by: 'za_sars',
                        expiry_date: '2024-08-10',
                        created_at: '2023-12-08T15:37:38.435+02:00',
                        updated_at: '2023-12-08T15:37:38.435+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '1b7ec484-9800-4c60-95de-0816399beb7f',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/1b7ec484-9800-4c60-95de-0816399beb7f',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/numbers/1f8cf737-959f-4dc6-bf66-bac4a3901f4d',
                      },
                      meta: null,
                    },
                  ],
                  meta: {
                    total: 2,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listProfileNumber',
      },
      post: {
        tags: ['KYC Profile Numbers'],
        summary: 'Create a new KYC Profile Number',
        description: 'Create a new KYC Profile Number',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'number_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'profile_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'b59fb7e7-59d0-49b0-896b-43d055cf9909',
                    type: 'number',
                    attributes: {
                      value: '9257/18253/07',
                      slug: 'registration_number',
                      issued_by: 'za_cipc',
                      expiry_date: '2023-12-09',
                      created_at: '2023-12-08T15:37:39.317+02:00',
                      updated_at: '2023-12-08T15:37:39.317+02:00',
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: '86279188-96d5-4756-a3bb-d99d81422e78',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/86279188-96d5-4756-a3bb-d99d81422e78',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/numbers/b59fb7e7-59d0-49b0-896b-43d055cf9909',
                    },
                    meta: null,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with a well formatted payload containing invalid values',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Valid format(s): Optional ZA followed by a 10 or 11 digit number',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createProfileNumber',
      },
    },
    '/api/v2/numbers/{number_id}': {
      get: {
        tags: ['KYC Profile Numbers'],
        summary: 'Retrieve KYC Profile Number',
        description: 'Retrieve KYC Profile Number',
        parameters: [
          {
            name: 'number_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'number_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '955e5214-094d-413a-a0cd-92c0a43507f9',
                    type: 'number',
                    attributes: {
                      value: 'ZA6391202358',
                      slug: 'vat_number',
                      issued_by: 'za_sars',
                      expiry_date: '2024-10-07',
                      created_at: '2023-12-08T15:37:39.854+02:00',
                      updated_at: '2023-12-08T15:37:39.854+02:00',
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: '90549774-f680-450f-bfcd-cc039b10a078',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/90549774-f680-450f-bfcd-cc039b10a078',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/numbers/955e5214-094d-413a-a0cd-92c0a43507f9',
                    },
                    meta: null,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getNumber',
      },
      delete: {
        tags: ['KYC Profile Numbers'],
        summary: 'Delete a KYC Profile Number',
        description: 'Delete a KYC Profile Number',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'number_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'number_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '204': {
            description: '',
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with a well formatted payload containing valid values',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'is a mandatory number',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'deleteNumber',
      },
      patch: {
        tags: ['KYC Profile Numbers'],
        summary: 'Update KYC Profile Number',
        description: 'Update KYC Profile Number',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'number_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'number_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '5eb21829-39ba-47c1-85f3-92590fe6274f',
                    type: 'number',
                    attributes: {
                      value: 'ZA0987654321',
                      slug: 'vat_number',
                      issued_by: 'za_sars',
                      expiry_date: null,
                      created_at: '2023-12-08T15:37:40.516+02:00',
                      updated_at: '2023-12-08T15:37:40.560+02:00',
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: 'a21e484d-22c6-4a11-a580-20edfde15f48',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/a21e484d-22c6-4a11-a580-20edfde15f48',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/numbers/5eb21829-39ba-47c1-85f3-92590fe6274f',
                    },
                    meta: null,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with a well formatted payload containing invalid values',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: '09876 is invalid.',
                      source: {
                        pointer: '/properties/vat_number/properties/value',
                        parameter: 'vat_number/value',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateNumber',
      },
    },
    '/api/v2/profiles/{profile_id}/contacts': {
      get: {
        tags: ['KYC Profile Contact Informations'],
        summary: 'List KYC Profile Contact Informations',
        description: 'List KYC Profile Contact Informations',
        parameters: [
          {
            name: 'profile_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'profile_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '62edf7f9-b5f1-4fc0-bf35-2ec62429938c',
                      type: 'contact',
                      attributes: {
                        first_names: 'Jodie',
                        last_names: 'Schuppe',
                        email: 'rogelio_cartwright@steuber.biz',
                        mobile_number: '27820001234',
                        work_phone_number: '27110001234',
                        slug: 'primary_contact_information',
                        created_at: '2023-12-08T15:37:41.677+02:00',
                        updated_at: '2023-12-08T15:37:41.677+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: 'd037ac63-429b-4e58-bccd-7f3b29865a30',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/d037ac63-429b-4e58-bccd-7f3b29865a30',
                          },
                        },
                        invitation_tokens: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/contacts/62edf7f9-b5f1-4fc0-bf35-2ec62429938c/invitation_tokens',
                          },
                        },
                        data_requirement_permissions: {
                          links: {
                            related:
                              '/api/v2/contacts/62edf7f9-b5f1-4fc0-bf35-2ec62429938c/data_requirement_permissions',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/contacts/62edf7f9-b5f1-4fc0-bf35-2ec62429938c',
                      },
                      meta: null,
                    },
                    {
                      id: '69730816-101f-48c7-8b08-f179569bc1a9',
                      type: 'contact',
                      attributes: {
                        first_names: 'Bernard',
                        last_names: 'Schoen',
                        email: 'shavon@collins.net',
                        mobile_number: '27820001234',
                        work_phone_number: '27110001234',
                        slug: 'primary_contact_information',
                        created_at: '2023-12-08T15:37:41.696+02:00',
                        updated_at: '2023-12-08T15:37:41.696+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: 'd037ac63-429b-4e58-bccd-7f3b29865a30',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/d037ac63-429b-4e58-bccd-7f3b29865a30',
                          },
                        },
                        invitation_tokens: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/contacts/69730816-101f-48c7-8b08-f179569bc1a9/invitation_tokens',
                          },
                        },
                        data_requirement_permissions: {
                          links: {
                            related:
                              '/api/v2/contacts/69730816-101f-48c7-8b08-f179569bc1a9/data_requirement_permissions',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/contacts/69730816-101f-48c7-8b08-f179569bc1a9',
                      },
                      meta: null,
                    },
                    {
                      id: '13835878-5290-4a45-9a5d-d4bd84b6f490',
                      type: 'contact',
                      attributes: {
                        first_names: 'Nikki',
                        last_names: 'Will',
                        email: 'lajuana@bechtelar.co',
                        mobile_number: '27820001234',
                        work_phone_number: '27110001234',
                        slug: 'primary_contact_information',
                        created_at: '2023-12-08T15:37:41.698+02:00',
                        updated_at: '2023-12-08T15:37:41.698+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: 'd037ac63-429b-4e58-bccd-7f3b29865a30',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/d037ac63-429b-4e58-bccd-7f3b29865a30',
                          },
                        },
                        invitation_tokens: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/contacts/13835878-5290-4a45-9a5d-d4bd84b6f490/invitation_tokens',
                          },
                        },
                        data_requirement_permissions: {
                          links: {
                            related:
                              '/api/v2/contacts/13835878-5290-4a45-9a5d-d4bd84b6f490/data_requirement_permissions',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/contacts/13835878-5290-4a45-9a5d-d4bd84b6f490',
                      },
                      meta: null,
                    },
                  ],
                  meta: {
                    total: 3,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listProfileContact',
      },
      post: {
        tags: ['KYC Profile Contact Informations'],
        summary: 'Create a new KYC Profile Contact Information',
        description: 'Create a new KYC Profile Contact Information',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'contact_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'profile_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '5872476d-193f-485c-af17-fcc9759473fa',
                    type: 'contact',
                    attributes: {
                      first_names: 'Robert',
                      last_names: 'Garcia',
                      email: 'someone@email.com',
                      mobile_number: '27828839938',
                      work_phone_number: '27118839938',
                      slug: 'primary_contact_information',
                      created_at: '2023-12-08T15:37:42.646+02:00',
                      updated_at: '2023-12-08T15:37:42.646+02:00',
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: '6882cd6b-741a-4374-9fbe-ab83e47bd734',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/6882cd6b-741a-4374-9fbe-ab83e47bd734',
                        },
                      },
                      invitation_tokens: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/contacts/5872476d-193f-485c-af17-fcc9759473fa/invitation_tokens',
                        },
                      },
                      data_requirement_permissions: {
                        links: {
                          related:
                            '/api/v2/contacts/5872476d-193f-485c-af17-fcc9759473fa/data_requirement_permissions',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/contacts/5872476d-193f-485c-af17-fcc9759473fa',
                    },
                    meta: null,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with a well formatted payload containing invalid values',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Value is an invalid email address',
                      source: {
                        parameter: 'secondary_contact_information.email',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createProfileContact',
      },
    },
    '/api/v2/contacts/{contact_id}': {
      get: {
        tags: ['KYC Profile Contact Informations'],
        summary: 'Retrieve KYC Profile Contact Information',
        description: 'Retrieve KYC Profile Contact Information',
        parameters: [
          {
            name: 'contact_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'contact_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '2c6678d4-063b-4a77-b9e7-56564e3ee94c',
                    type: 'contact',
                    attributes: {
                      first_names: 'Chuck',
                      last_names: 'Ankunding',
                      email: 'kevin@nader-oconnell.net',
                      mobile_number: '27820001234',
                      work_phone_number: '27110001234',
                      slug: 'primary_contact_information',
                      created_at: '2023-12-08T15:37:43.286+02:00',
                      updated_at: '2023-12-08T15:37:43.286+02:00',
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: 'd0d436c2-1e2f-4189-9719-0545acc84ea6',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/d0d436c2-1e2f-4189-9719-0545acc84ea6',
                        },
                      },
                      invitation_tokens: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/contacts/2c6678d4-063b-4a77-b9e7-56564e3ee94c/invitation_tokens',
                        },
                      },
                      data_requirement_permissions: {
                        links: {
                          related:
                            '/api/v2/contacts/2c6678d4-063b-4a77-b9e7-56564e3ee94c/data_requirement_permissions',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/contacts/2c6678d4-063b-4a77-b9e7-56564e3ee94c',
                    },
                    meta: null,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getContact',
      },
      delete: {
        tags: ['KYC Profile Contact Informations'],
        summary: 'Delete a KYC Profile Contact Information',
        description: 'Delete a KYC Profile Contact Information',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'contact_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'contact_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '204': {
            description: '',
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'deleteContact',
      },
      patch: {
        tags: ['KYC Profile Contact Informations'],
        summary: 'Update a KYC Contact Information',
        description: 'Update a KYC Contact Information',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'contact_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'contact_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '3da79446-538c-4499-aa16-49d148ad2c7c',
                    type: 'contact',
                    attributes: {
                      first_names: 'Robert',
                      last_names: 'Garcia',
                      email: 'someone@next45.co',
                      mobile_number: '27828839938',
                      work_phone_number: '27118839938',
                      slug: 'primary_contact_information',
                      created_at: '2023-12-08T15:37:43.943+02:00',
                      updated_at: '2023-12-08T15:37:44.129+02:00',
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: '0f90e8f2-ebfc-4119-9d9a-02bc6593a9e4',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/0f90e8f2-ebfc-4119-9d9a-02bc6593a9e4',
                        },
                      },
                      invitation_tokens: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/contacts/3da79446-538c-4499-aa16-49d148ad2c7c/invitation_tokens',
                        },
                      },
                      data_requirement_permissions: {
                        links: {
                          related:
                            '/api/v2/contacts/3da79446-538c-4499-aa16-49d148ad2c7c/data_requirement_permissions',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/contacts/3da79446-538c-4499-aa16-49d148ad2c7c',
                    },
                    meta: null,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with a well formatted payload containing invalid values',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Value is an invalid email address',
                      source: {
                        parameter: 'primary_contact_information.email',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateContact',
      },
    },
    '/api/v2/profiles/{profile_id}/addresses': {
      get: {
        tags: ['KYC Profile Addresses'],
        summary: 'List KYC Profile Addresses',
        description: 'List KYC Profile Addresses',
        parameters: [
          {
            name: 'profile_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'profile_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '22e6ce08-5508-4d30-8c8d-a6fd3c00900b',
                      type: 'address',
                      attributes: {
                        name: 'Address where individual resides',
                        full_address:
                          'Apt. 679, 9671 Bret Drives, University Creek, New Valene, 94120-9720, New Jersey, Central African Republic',
                        address_line_one: 'Apt. 679',
                        address_line_two: '9671 Bret Drives',
                        suburb: 'University Creek',
                        city: 'New Valene',
                        state_or_province_or_region: 'New Jersey',
                        country: 'Central African Republic',
                        country_code: 'cf',
                        area_code: '94120-9720',
                        slug: 'physical_address',
                        created_at: '2023-12-08T15:37:45.049+02:00',
                        updated_at: '2023-12-08T15:37:45.049+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '7b1ffe0a-567d-43b5-8753-2eec1862f846',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/7b1ffe0a-567d-43b5-8753-2eec1862f846',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/addresses/22e6ce08-5508-4d30-8c8d-a6fd3c00900b',
                      },
                      meta: null,
                    },
                    {
                      id: '9c16e9d3-22bd-4bd7-b8a1-5bd003ffb9c5',
                      type: 'address',
                      attributes: {
                        name: 'Address where individual can be sent mail to',
                        full_address:
                          'Apt. 864, 2149 Rhett Ferry, Paradise Heights, Willville, 59565-6760, Oklahoma, Greece',
                        address_line_one: 'Apt. 864',
                        address_line_two: '2149 Rhett Ferry',
                        suburb: 'Paradise Heights',
                        city: 'Willville',
                        state_or_province_or_region: 'Oklahoma',
                        country: 'Greece',
                        country_code: 'gr',
                        area_code: '59565-6760',
                        slug: 'mailing_address',
                        created_at: '2023-12-08T15:37:45.050+02:00',
                        updated_at: '2023-12-08T15:37:45.050+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '7b1ffe0a-567d-43b5-8753-2eec1862f846',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/7b1ffe0a-567d-43b5-8753-2eec1862f846',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/addresses/9c16e9d3-22bd-4bd7-b8a1-5bd003ffb9c5',
                      },
                      meta: null,
                    },
                  ],
                  meta: {
                    total: 2,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listProfileAddresse',
      },
      post: {
        tags: ['KYC Profile Addresses'],
        summary: 'Create a new KYC Profile Address',
        description: 'Create a new KYC Profile Address',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'address_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'profile_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'b3688342-d5c0-467b-8db4-0578739fd306',
                    type: 'address',
                    attributes: {
                      name: 'Residential address',
                      full_address:
                        'Suite 360, 627 Ilene Islands, Summer Oaks, Shanahantown, 54609-8573, Florida, VU',
                      address_line_one: 'Suite 360',
                      address_line_two: '627 Ilene Islands',
                      suburb: 'Summer Oaks',
                      city: 'Shanahantown',
                      state_or_province_or_region: 'Florida',
                      country: 'VU',
                      country_code: 'vu',
                      area_code: '54609-8573',
                      slug: 'residential_address',
                      created_at: '2023-12-08T15:37:46.083+02:00',
                      updated_at: '2023-12-08T15:37:46.083+02:00',
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: '145f13b2-6b2c-4aeb-959a-adda3b489b5b',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/145f13b2-6b2c-4aeb-959a-adda3b489b5b',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/addresses/b3688342-d5c0-467b-8db4-0578739fd306',
                    },
                    meta: null,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with a well formatted payload containing invalid values',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail:
                        '{"address_line_one"=>"Suite 859", "address_line_two"=>"4088 Synthia Vista", "suburb"=>"Autumn Village", "city"=>"Sheltonmouth", "area_code"=>"44159", "state_or_province_or_region"=>"Maryland", "country"=>"BR"} is invalid.',
                      source: {
                        pointer: '/additionalProperties',
                        parameter: 'not a valid slug',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createProfileAddresse',
      },
    },
    '/api/v2/addresses/{address_id}': {
      get: {
        tags: ['KYC Profile Addresses'],
        summary: 'Retrieve KYC Profile Address',
        description: 'Retrieve KYC Profile Address',
        parameters: [
          {
            name: 'address_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'address_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'd31029b8-1112-400b-bd83-12d2de559643',
                    type: 'address',
                    attributes: {
                      name: 'Address where individual can be sent mail to',
                      full_address:
                        'Suite 405, 211 Fisher Highway, University Acres, East Joview, 56402-6438, Alaska, Sierra Leone',
                      address_line_one: 'Suite 405',
                      address_line_two: '211 Fisher Highway',
                      suburb: 'University Acres',
                      city: 'East Joview',
                      state_or_province_or_region: 'Alaska',
                      country: 'Sierra Leone',
                      country_code: 'sl',
                      area_code: '56402-6438',
                      slug: 'mailing_address',
                      created_at: '2023-12-08T15:37:46.673+02:00',
                      updated_at: '2023-12-08T15:37:46.673+02:00',
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: '29cacf23-1bb9-436b-8f8d-c04b65f8d83a',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/29cacf23-1bb9-436b-8f8d-c04b65f8d83a',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/addresses/d31029b8-1112-400b-bd83-12d2de559643',
                    },
                    meta: null,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getAddresse',
      },
      delete: {
        tags: ['KYC Profile Addresses'],
        summary: 'Delete a KYC Profile Address',
        description: 'Delete a KYC Profile Address',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'address_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'address_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '204': {
            description: '',
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'deleteAddresse',
      },
      patch: {
        tags: ['KYC Profile Addresses'],
        summary: 'Update a KYC Profile Address',
        description: 'Update a KYC Profile Address',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'address_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'address_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '50119f1f-891b-403f-989b-8a57537b5c88',
                    type: 'address',
                    attributes: {
                      name: 'Address',
                      full_address:
                        'Apt. 965, 5880 Brant Prairie, Royal Acres, South Royalville, 46274-7846, Tennessee, Cambodia',
                      address_line_one: 'Apt. 965',
                      address_line_two: '5880 Brant Prairie',
                      suburb: 'Royal Acres',
                      city: 'South Royalville',
                      state_or_province_or_region: 'Tennessee',
                      country: 'Cambodia',
                      country_code: 'kh',
                      area_code: '46274-7846',
                      slug: 'residential_address',
                      created_at: '2023-12-08T15:37:47.571+02:00',
                      updated_at: '2023-12-08T15:37:47.631+02:00',
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: 'b54d58d8-e7f6-4e82-829e-8f0c23b03919',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/b54d58d8-e7f6-4e82-829e-8f0c23b03919',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/addresses/50119f1f-891b-403f-989b-8a57537b5c88',
                    },
                    meta: null,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with a well formatted payload containing invalid values',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail:
                        '{"address_line_one"=>"Suite 366", "address_line_two"=>"607 Odell Streets", "suburb"=>"Willow Heights", "city"=>"Jackview", "area_code"=>"14982-4442", "state_or_province_or_region"=>"Wisconsin", "country"=>"GT"} is invalid.',
                      source: {
                        pointer: '/additionalProperties',
                        parameter: 'not a valid slug',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateAddresse',
      },
    },
    '/api/v2/profiles/{profile_id}/additional_details': {
      get: {
        tags: ['KYC Profile Additional Details'],
        summary: 'List KYC Profile Additional Details',
        description: 'List KYC Profile Additional Details',
        parameters: [
          {
            name: 'profile_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'profile_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'db9e51ac-70cb-4148-8f93-a661035cf33a',
                      type: 'additional_detail',
                      attributes: {
                        value: '1938-04-21',
                        slug: 'date_of_birth',
                        created_at: '2023-12-08T15:37:48.834+02:00',
                        updated_at: '2023-12-08T15:37:48.834+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '3bba3601-e9f3-4fc3-8526-b249dcaae2bd',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/3bba3601-e9f3-4fc3-8526-b249dcaae2bd',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/additional_details/db9e51ac-70cb-4148-8f93-a661035cf33a',
                      },
                      meta: null,
                    },
                    {
                      id: 'f57a8c54-1b8b-42bc-bf50-d2d4852e8531',
                      type: 'additional_detail',
                      attributes: {
                        value: '1979-06-09',
                        slug: 'date_of_birth',
                        created_at: '2023-12-08T15:37:48.850+02:00',
                        updated_at: '2023-12-08T15:37:48.850+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '3bba3601-e9f3-4fc3-8526-b249dcaae2bd',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/3bba3601-e9f3-4fc3-8526-b249dcaae2bd',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/additional_details/f57a8c54-1b8b-42bc-bf50-d2d4852e8531',
                      },
                      meta: null,
                    },
                    {
                      id: 'eafb197d-fd29-4dae-872b-e2a2b5600430',
                      type: 'additional_detail',
                      attributes: {
                        value: '1994-10-11',
                        slug: 'date_of_birth',
                        created_at: '2023-12-08T15:37:48.853+02:00',
                        updated_at: '2023-12-08T15:37:48.853+02:00',
                      },
                      relationships: {
                        profile: {
                          data: {
                            id: '3bba3601-e9f3-4fc3-8526-b249dcaae2bd',
                            type: 'profile',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/3bba3601-e9f3-4fc3-8526-b249dcaae2bd',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/additional_details/eafb197d-fd29-4dae-872b-e2a2b5600430',
                      },
                      meta: null,
                    },
                  ],
                  meta: {
                    total: 3,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listProfileAdditionalDetail',
      },
      post: {
        tags: ['KYC Profile Additional Details'],
        summary: 'Create a new KYC Profile Additional Details',
        description: 'Create a new KYC Profile Additional Details',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'additional_detail_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'profile_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'c5806a0e-cd40-4b6c-bec1-2a5ca02b518d',
                    type: 'additional_detail',
                    attributes: {
                      value: '2000-01-01',
                      slug: 'date_of_birth',
                      created_at: '2023-12-08T15:37:49.699+02:00',
                      updated_at: '2023-12-08T15:37:49.699+02:00',
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: '82e4d9f4-7624-4f27-bb3c-8fcacaebff51',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/82e4d9f4-7624-4f27-bb3c-8fcacaebff51',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/additional_details/c5806a0e-cd40-4b6c-bec1-2a5ca02b518d',
                    },
                    meta: null,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with a well formatted payload containing invalid values',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: "'' is not a valid country",
                      source: {
                        parameter: 'nationality',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createProfileAdditionalDetail',
      },
    },
    '/api/v2/additional_details/{additional_detail_id}': {
      get: {
        tags: ['KYC Profile Additional Details'],
        summary: 'Retrieve KYC Profile Additional Detail',
        description: 'Retrieve KYC Profile Additional Detail',
        parameters: [
          {
            name: 'additional_detail_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'additional_detail_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '7b841362-b692-40b4-9efa-10c787397383',
                    type: 'additional_detail',
                    attributes: {
                      value: '1989-12-22',
                      slug: 'date_of_birth',
                      created_at: '2023-12-08T15:37:50.192+02:00',
                      updated_at: '2023-12-08T15:37:50.192+02:00',
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: 'fff30ce8-05f8-4aeb-a5d8-997454fe50e7',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/fff30ce8-05f8-4aeb-a5d8-997454fe50e7',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/additional_details/7b841362-b692-40b4-9efa-10c787397383',
                    },
                    meta: null,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getAdditionalDetail',
      },
      delete: {
        tags: ['KYC Profile Additional Details'],
        summary: 'Delete a KYC Profile Additional Detail',
        description: 'Delete a KYC Profile Additional Detail',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'additional_detail_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'additional_detail_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '204': {
            description: '',
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with a well formatted payload containing valid values',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'is a mandatory additional detail',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'deleteAdditionalDetail',
      },
      patch: {
        tags: ['KYC Profile Additional Details'],
        summary: 'Update a KYC Profile Additional Details',
        description: 'Update a KYC Profile Additional Details',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'additional_detail_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'additional_detail_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '82749609-1a16-4450-8421-1e778b6ed781',
                    type: 'additional_detail',
                    attributes: {
                      value: '1988-12-18',
                      slug: 'date_of_birth',
                      created_at: '2023-12-08T15:37:51.296+02:00',
                      updated_at: '2023-12-08T15:37:51.369+02:00',
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: 'dbcc8b5a-3025-478a-9f1f-d78b5b7edde9',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/dbcc8b5a-3025-478a-9f1f-d78b5b7edde9',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/additional_details/82749609-1a16-4450-8421-1e778b6ed781',
                    },
                    meta: null,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with a well formatted payload containing invalid values',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail:
                        'Fri Sep 25 2020 09:17:37 GMT+0200 (South Africa Standard Time) is invalid.',
                      source: {
                        pointer: '/properties/date_of_birth',
                        parameter: 'date_of_birth',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateAdditionalDetail',
      },
    },
    '/api/v2/contacts/{contact_information_id}/invitation_tokens': {
      get: {
        tags: ['Invitation Tokens'],
        summary: 'List Invitation Tokens',
        description: 'List Invitation Tokens',
        parameters: [
          {
            name: 'contact_information_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'contact_information_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '5e3b3339-ba49-46d3-a434-86b2cb9cc63c',
                      type: 'invitation_token',
                      attributes: {
                        accept_invitation_url:
                          'https://www.docfoxapp.com/guests/accept/YnF_n6YnE0HrP3pd-zErp23GpoNlA5Ruv5JLCi-DCMk',
                        created_at: '2023-12-08T15:37:52.354+02:00',
                        guest_invitation_email: 'jane.kemmer@murazik.org',
                        notification_channel: 'email',
                        revoked: false,
                        token: 'YnF_n6YnE0HrP3pd-zErp23GpoNlA5Ruv5JLCi-DCMk',
                        updated_at: '2023-12-08T15:37:52.354+02:00',
                        valid_from: '2022-12-08T15:37:52.342+02:00',
                        valid_to: '2023-12-07T15:37:52.342+02:00',
                      },
                      relationships: {
                        contact: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/contacts/92388585-fe70-49b9-8ce0-644537970ef8',
                          },
                        },
                        created_by: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/e440aea3-813e-40cb-9297-d9e65059678d',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/invitation_tokens/5e3b3339-ba49-46d3-a434-86b2cb9cc63c',
                      },
                    },
                    {
                      id: '5c3874dd-626e-4d4a-aa18-79a66fbb3fe2',
                      type: 'invitation_token',
                      attributes: {
                        accept_invitation_url:
                          'https://www.docfoxapp.com/guests/accept/N-i6rQS5zrmfHKaGUjEe_YtqHU5pcoKmA_t_HW4Nv2w',
                        created_at: '2023-12-08T15:37:52.366+02:00',
                        guest_invitation_email: 'jane.kemmer@murazik.org',
                        notification_channel: 'email',
                        revoked: false,
                        token: 'N-i6rQS5zrmfHKaGUjEe_YtqHU5pcoKmA_t_HW4Nv2w',
                        updated_at: '2023-12-08T15:37:52.366+02:00',
                        valid_from: '2022-12-08T15:37:52.342+02:00',
                        valid_to: '2023-12-07T15:37:52.342+02:00',
                      },
                      relationships: {
                        contact: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/contacts/92388585-fe70-49b9-8ce0-644537970ef8',
                          },
                        },
                        created_by: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/627bf7b4-6c5b-44ac-8696-64d5b38b79d4',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/invitation_tokens/5c3874dd-626e-4d4a-aa18-79a66fbb3fe2',
                      },
                    },
                    {
                      id: '04df086a-1b3e-4d68-8f0d-5f9be6252439',
                      type: 'invitation_token',
                      attributes: {
                        accept_invitation_url:
                          'https://www.docfoxapp.com/guests/accept/XlkXaNlm6Kc0OwpgvHmx157YYjND9YeJ0YitmLUtCaA',
                        created_at: '2023-12-08T15:37:52.378+02:00',
                        guest_invitation_email: 'jane.kemmer@murazik.org',
                        notification_channel: 'email',
                        revoked: false,
                        token: 'XlkXaNlm6Kc0OwpgvHmx157YYjND9YeJ0YitmLUtCaA',
                        updated_at: '2023-12-08T15:37:52.378+02:00',
                        valid_from: '2022-12-08T15:37:52.342+02:00',
                        valid_to: '2023-12-07T15:37:52.342+02:00',
                      },
                      relationships: {
                        contact: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/contacts/92388585-fe70-49b9-8ce0-644537970ef8',
                          },
                        },
                        created_by: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/a3bd6f23-39a6-4ed9-800c-0af8bbf494a0',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/invitation_tokens/04df086a-1b3e-4d68-8f0d-5f9be6252439',
                      },
                    },
                    {
                      id: '27302a28-c817-4e48-9e8f-a0a5692e2d30',
                      type: 'invitation_token',
                      attributes: {
                        accept_invitation_url:
                          'https://www.docfoxapp.com/guests/accept/ZecUwm4b9kJRqCwa6DUeOEeNLnQ09fn5VULs1k5pQ6I',
                        created_at: '2023-12-08T15:37:52.389+02:00',
                        guest_invitation_email: 'jane.kemmer@murazik.org',
                        notification_channel: 'email',
                        revoked: false,
                        token: 'ZecUwm4b9kJRqCwa6DUeOEeNLnQ09fn5VULs1k5pQ6I',
                        updated_at: '2023-12-08T15:37:52.389+02:00',
                        valid_from: '2022-12-08T15:37:52.342+02:00',
                        valid_to: '2023-12-07T15:37:52.342+02:00',
                      },
                      relationships: {
                        contact: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/contacts/92388585-fe70-49b9-8ce0-644537970ef8',
                          },
                        },
                        created_by: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/3b705287-8bab-41b8-a9ad-fd60f7229a47',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/invitation_tokens/27302a28-c817-4e48-9e8f-a0a5692e2d30',
                      },
                    },
                    {
                      id: '220b78f9-89c2-4b18-8827-74e9456a1507',
                      type: 'invitation_token',
                      attributes: {
                        accept_invitation_url:
                          'https://www.docfoxapp.com/guests/accept/rNH3R1xGV834tP2TU5ie-qU7o3qho3c9RG06Xp4rbjk',
                        created_at: '2023-12-08T15:37:52.400+02:00',
                        guest_invitation_email: 'jane.kemmer@murazik.org',
                        notification_channel: 'email',
                        revoked: false,
                        token: 'rNH3R1xGV834tP2TU5ie-qU7o3qho3c9RG06Xp4rbjk',
                        updated_at: '2023-12-08T15:37:52.400+02:00',
                        valid_from: '2023-12-08T15:37:52.390+02:00',
                        valid_to: '2023-12-08T15:47:52.390+02:00',
                      },
                      relationships: {
                        contact: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/contacts/92388585-fe70-49b9-8ce0-644537970ef8',
                          },
                        },
                        created_by: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/2f7c4862-2d06-4bb1-b7f7-0ade2a2c83f1',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/invitation_tokens/220b78f9-89c2-4b18-8827-74e9456a1507',
                      },
                    },
                  ],
                  meta: {
                    total: 5,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listContactInvitationToken',
      },
      post: {
        tags: ['Invitation Tokens'],
        summary: 'Create Invitation Token',
        description: 'Create Invitation Token',
        parameters: [
          {
            name: 'contact_information_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'Content-Type',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'contact_information_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '7ed99f97-6d6b-41b1-8156-75568aa26dfd',
                    type: 'invitation_token',
                    attributes: {
                      accept_invitation_url:
                        'https://www.docfoxapp.com/guests/accept/UdzJoaHcrHlTy9sQw3LOS4-SOeYGcZxSIj61FYAdqLk',
                      created_at: '2023-12-08T15:37:55.307+02:00',
                      guest_invitation_email: 'exie_kuphal@bergstrom.info',
                      notification_channel: 'email',
                      revoked: false,
                      token: 'UdzJoaHcrHlTy9sQw3LOS4-SOeYGcZxSIj61FYAdqLk',
                      updated_at: '2023-12-08T15:37:55.307+02:00',
                      valid_from: '2023-12-08T15:37:55.290+02:00',
                      valid_to: '2024-01-07T15:37:55.290+02:00',
                    },
                    relationships: {
                      contact: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/contacts/098750d8-1bbb-490e-a730-c5e9a8b5e101',
                        },
                      },
                      created_by: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/9dc915ea-6345-4ec3-97bd-07ea852c0c83',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/invitation_tokens/7ed99f97-6d6b-41b1-8156-75568aa26dfd',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '409': {
            description:
              'Unsuccessful request for creating a resource due to there\n          already being an Invitation Token for the Contact Information',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'conflict',
                      status: '409',
                      detail: 'An active token already exists for contact',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description:
              'A successful request due to an invalid create_default_permissions being set',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Failed to create invitation token',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createContactInvitationToken',
      },
    },
    '/api/v2/invitation_tokens/{invitation_token_id}': {
      get: {
        tags: ['Invitation Tokens'],
        summary: 'Retrieve Invitation Token',
        description: 'Retrieve Invitation Token',
        parameters: [
          {
            name: 'invitation_token_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'invitation_token_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'f7c946bf-e92f-4f6d-b924-b73fce8b4439',
                    type: 'invitation_token',
                    attributes: {
                      accept_invitation_url:
                        'https://www.docfoxapp.com/guests/accept/aWKLit4RMFh8AsHkrM4HF91dom5JFN9VmeaCiAemWlM',
                      created_at: '2023-12-08T15:37:53.843+02:00',
                      guest_invitation_email: 'monte@abernathy.co',
                      notification_channel: 'email',
                      revoked: false,
                      token: 'aWKLit4RMFh8AsHkrM4HF91dom5JFN9VmeaCiAemWlM',
                      updated_at: '2023-12-08T15:37:53.843+02:00',
                      valid_from: '2023-12-08T15:37:53.829+02:00',
                      valid_to: '2023-12-08T15:47:53.829+02:00',
                    },
                    relationships: {
                      contact: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/contacts/d52ec694-c6f9-4016-86fd-5f9f9ed4338d',
                        },
                      },
                      created_by: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/92d45a00-d61b-4449-b0bf-d224448115d4',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/invitation_tokens/f7c946bf-e92f-4f6d-b924-b73fce8b4439',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getInvitationToken',
      },
      patch: {
        tags: ['Invitation Tokens'],
        summary: 'Update Invitation Token',
        description: 'Update Invitation Token',
        parameters: [
          {
            name: 'contact_information_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'Content-Type',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'invitation_token_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '2157cdf6-0b50-4d2b-950b-ecf7541d7966',
                    type: 'invitation_token',
                    attributes: {
                      accept_invitation_url:
                        'https://www.docfoxapp.com/guests/accept/Otlc_rIQN48LI73G4Zx-9Hw-dUqcKOeV0VZnIxECP2w',
                      created_at: '2023-12-08T15:37:57.325+02:00',
                      guest_invitation_email: 'deon@flatley.io',
                      notification_channel: 'email',
                      revoked: true,
                      token: 'Otlc_rIQN48LI73G4Zx-9Hw-dUqcKOeV0VZnIxECP2w',
                      updated_at: '2023-12-08T15:37:57.365+02:00',
                      valid_from: '2023-12-08T15:37:52.363+02:00',
                      valid_to: '2023-12-08T15:37:53.363+02:00',
                    },
                    relationships: {
                      contact: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/contacts/86d80dc6-5899-48b7-aaa6-54cc754af634',
                        },
                      },
                      created_by: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/9b20bb93-2852-4dc6-aa7c-ca28d66b1cd6',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/invitation_tokens/2157cdf6-0b50-4d2b-950b-ecf7541d7966',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '409': {
            description:
              'The Invitation Token resource identified by the given ID has already been expired',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'conflict',
                      status: '409',
                      detail: 'The resource has already been revoked',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateInvitationToken',
      },
    },
    '/api/v2/contacts/{contact_information_id}/data_requirement_permissions': {
      get: {
        tags: ['Data Requirement Permissions'],
        summary: 'List Data Requirement Permissions associated with a Contact',
        description: 'List Data Requirement Permissions associated with a Contact',
        parameters: [
          {
            name: 'contact_information_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'contact_information_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '5b43a4fe-2338-430e-bd17-f732eef91dad',
                      type: 'data_requirement_permission',
                      attributes: {
                        permission: 'upload_documents',
                        created_at: '2023-12-08T15:37:58.856+02:00',
                        updated_at: '2023-12-08T15:37:58.856+02:00',
                      },
                      relationships: {
                        data_requirement: {
                          data: {
                            id: 'bd16b3d5-cb0b-4f53-b6b0-f620ad236428',
                            type: 'data_requirement',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/bd16b3d5-cb0b-4f53-b6b0-f620ad236428',
                          },
                        },
                        contact: {
                          data: {
                            id: '4733ca4f-9a69-4777-9490-907a30f7c6d1',
                            type: 'contact',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/contacts/4733ca4f-9a69-4777-9490-907a30f7c6d1',
                          },
                        },
                        requesting_user: {
                          data: {
                            id: '1eecf0c7-22cf-4e26-8de1-2ba0ae4137ad',
                            type: 'user',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/1eecf0c7-22cf-4e26-8de1-2ba0ae4137ad',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/data_requirement_permissions/5b43a4fe-2338-430e-bd17-f732eef91dad',
                      },
                    },
                    {
                      id: '2b5f8071-67f5-4fee-9ba7-51cef7482ba2',
                      type: 'data_requirement_permission',
                      attributes: {
                        permission: 'upload_documents',
                        created_at: '2023-12-08T15:37:58.865+02:00',
                        updated_at: '2023-12-08T15:37:58.865+02:00',
                      },
                      relationships: {
                        data_requirement: {
                          data: {
                            id: '3481e485-7d82-48b8-8a7e-c46d5bd564a8',
                            type: 'data_requirement',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/3481e485-7d82-48b8-8a7e-c46d5bd564a8',
                          },
                        },
                        contact: {
                          data: {
                            id: '4733ca4f-9a69-4777-9490-907a30f7c6d1',
                            type: 'contact',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/contacts/4733ca4f-9a69-4777-9490-907a30f7c6d1',
                          },
                        },
                        requesting_user: {
                          data: {
                            id: '1eecf0c7-22cf-4e26-8de1-2ba0ae4137ad',
                            type: 'user',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/1eecf0c7-22cf-4e26-8de1-2ba0ae4137ad',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/data_requirement_permissions/2b5f8071-67f5-4fee-9ba7-51cef7482ba2',
                      },
                    },
                  ],
                  meta: {
                    total: 2,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listContactDataRequirementPermission',
      },
    },
    '/api/v2/data_requirement_permissions/{data_requirement_permission_id}': {
      get: {
        tags: ['Data Requirement Permissions'],
        summary: 'Retrieve Data Requirement Permission',
        description: 'Retrieve Data Requirement Permission',
        parameters: [
          {
            name: 'data_requirement_permission_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'data_requirement_permission_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '91bfbf96-62b4-4914-a09a-2c7f59d5ae17',
                    type: 'data_requirement_permission',
                    attributes: {
                      permission: 'upload_documents',
                      created_at: '2023-12-08T15:38:02.277+02:00',
                      updated_at: '2023-12-08T15:38:02.277+02:00',
                    },
                    relationships: {
                      data_requirement: {
                        data: {
                          id: 'bb32b13f-790a-4ec2-9690-c32e944454d2',
                          type: 'data_requirement',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/data_requirements/bb32b13f-790a-4ec2-9690-c32e944454d2',
                        },
                      },
                      contact: {
                        data: {
                          id: '9841a6b5-b3ec-4154-b856-1d038acaf2b5',
                          type: 'contact',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/contacts/9841a6b5-b3ec-4154-b856-1d038acaf2b5',
                        },
                      },
                      requesting_user: {
                        data: {
                          id: 'f8320b67-34cb-40ab-9687-8ed233040887',
                          type: 'user',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/f8320b67-34cb-40ab-9687-8ed233040887',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/data_requirement_permissions/91bfbf96-62b4-4914-a09a-2c7f59d5ae17',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getDataRequirementPermission',
      },
      delete: {
        tags: ['Data Requirement Permissions'],
        summary: 'Delete Data Requirement Permission',
        description: 'Delete Data Requirement Permission',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'data_requirement_permission_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'data_requirement_permission_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '204': {
            description: '',
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'deleteDataRequirementPermission',
      },
    },
    '/api/v2/data_requirement_permissions': {
      post: {
        tags: ['Data Requirement Permissions'],
        summary: 'Create Data Requirement Permission',
        description: 'Create Data Requirement Permission',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'Content-Type',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '52f776f9-45a5-42ba-9052-976076f2d5a0',
                    type: 'data_requirement_permission',
                    attributes: {
                      permission: 'upload_documents',
                      created_at: '2023-12-08T15:38:03.466+02:00',
                      updated_at: '2023-12-08T15:38:03.466+02:00',
                    },
                    relationships: {
                      data_requirement: {
                        data: {
                          id: '974ef295-a491-480f-b513-9f293429fee4',
                          type: 'data_requirement',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/data_requirements/974ef295-a491-480f-b513-9f293429fee4',
                        },
                      },
                      contact: {
                        data: {
                          id: '3151af64-bd34-46c2-b38c-4b690a391652',
                          type: 'contact',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/contacts/3151af64-bd34-46c2-b38c-4b690a391652',
                        },
                      },
                      requesting_user: {
                        data: {
                          id: '6c833ea4-9b67-474f-a044-6e46a3f3e6e1',
                          type: 'user',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/6c833ea4-9b67-474f-a044-6e46a3f3e6e1',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/data_requirement_permissions/52f776f9-45a5-42ba-9052-976076f2d5a0',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with an invalid data attribute type',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'Type is invalid. Expected type is data_requirement_permission',
                      source: {
                        pointer: 'data/type',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '409': {
            description:
              'Unsuccessful request for creating a resource due to there\n          already being a Data Requirement Permission for the Data Requirement\n          and the Contact Information',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'conflict',
                      status: '409',
                      detail: 'Permission already exists',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description:
              'Unsuccessful request for creating a resource due to no permission present',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Invalid permission',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createDataRequirementPermission',
      },
    },
    '/api/v2/data_requirements/{data_requirement_id}/data_requirement_permissions': {
      get: {
        tags: ['Data Requirement Permissions'],
        summary: 'List Data Requirement Permissions associated with a Data Requirement',
        description: 'List Data Requirement Permissions associated with a Data Requirement',
        parameters: [
          {
            name: 'data_requirement_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'data_requirement_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'd9a927ef-541a-4ca5-a924-ae8028068f1a',
                      type: 'data_requirement_permission',
                      attributes: {
                        permission: 'upload_documents',
                        created_at: '2023-12-08T15:38:00.912+02:00',
                        updated_at: '2023-12-08T15:38:00.912+02:00',
                      },
                      relationships: {
                        data_requirement: {
                          data: {
                            id: '5b438cf5-c32d-4ad8-a68d-878274e7a92f',
                            type: 'data_requirement',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/5b438cf5-c32d-4ad8-a68d-878274e7a92f',
                          },
                        },
                        contact: {
                          data: {
                            id: '7e229690-f5af-448c-ba30-f46803e481fa',
                            type: 'contact',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/contacts/7e229690-f5af-448c-ba30-f46803e481fa',
                          },
                        },
                        requesting_user: {
                          data: {
                            id: 'd2f69068-c2b6-4ac9-84b4-bdbc998bd0e7',
                            type: 'user',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/d2f69068-c2b6-4ac9-84b4-bdbc998bd0e7',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/data_requirement_permissions/d9a927ef-541a-4ca5-a924-ae8028068f1a',
                      },
                    },
                    {
                      id: '4dfbc6a8-e367-434b-892f-398c76d6956f',
                      type: 'data_requirement_permission',
                      attributes: {
                        permission: 'upload_documents',
                        created_at: '2023-12-08T15:38:00.914+02:00',
                        updated_at: '2023-12-08T15:38:00.914+02:00',
                      },
                      relationships: {
                        data_requirement: {
                          data: {
                            id: '5b438cf5-c32d-4ad8-a68d-878274e7a92f',
                            type: 'data_requirement',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/5b438cf5-c32d-4ad8-a68d-878274e7a92f',
                          },
                        },
                        contact: {
                          data: {
                            id: '919b39c3-0f11-4ec1-a136-0d113e40b0d9',
                            type: 'contact',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/contacts/919b39c3-0f11-4ec1-a136-0d113e40b0d9',
                          },
                        },
                        requesting_user: {
                          data: {
                            id: 'd2f69068-c2b6-4ac9-84b4-bdbc998bd0e7',
                            type: 'user',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/d2f69068-c2b6-4ac9-84b4-bdbc998bd0e7',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/data_requirement_permissions/4dfbc6a8-e367-434b-892f-398c76d6956f',
                      },
                    },
                  ],
                  meta: {
                    total: 2,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listDataRequirementDataRequirementPermission',
      },
      post: {
        tags: ['Data Requirement Permissions'],
        summary: 'Create Data Requirement Permission',
        description: 'Create Data Requirement Permission',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'Content-Type',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'data_requirement_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '1c6ba073-9deb-4d0a-9562-a592dc5ba54d',
                    type: 'data_requirement_permission',
                    attributes: {
                      permission: 'upload_documents',
                      created_at: '2023-12-08T15:38:04.636+02:00',
                      updated_at: '2023-12-08T15:38:04.636+02:00',
                    },
                    relationships: {
                      data_requirement: {
                        data: {
                          id: '58828799-f009-4149-824e-c76d7987b2ee',
                          type: 'data_requirement',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/data_requirements/58828799-f009-4149-824e-c76d7987b2ee',
                        },
                      },
                      contact: {
                        data: {
                          id: '69c5521d-f272-4501-b440-98ec61e4c0b0',
                          type: 'contact',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/contacts/69c5521d-f272-4501-b440-98ec61e4c0b0',
                        },
                      },
                      requesting_user: {
                        data: {
                          id: '45066f6f-848b-4003-9775-453b5e3a0352',
                          type: 'user',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/45066f6f-848b-4003-9775-453b5e3a0352',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/data_requirement_permissions/1c6ba073-9deb-4d0a-9562-a592dc5ba54d',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with an invalid data attribute type',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'Type is invalid. Expected type is data_requirement_permission',
                      source: {
                        pointer: 'data/type',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '409': {
            description:
              'Unsuccessful request for creating a resource due to there\n          already being a Data Requirement Permission for the Data Requirement\n          and the Contact Information',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'conflict',
                      status: '409',
                      detail: 'Permission already exists',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description:
              'Unsuccessful request for creating a resource due to no permission present',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Invalid permission',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createDataRequirementDataRequirementPermission',
      },
    },
    '/api/v2/contacts/{contact_id}/data_requirement_permissions': {
      post: {
        tags: ['Data Requirement Permissions'],
        summary: 'Create Data Requirement Permission',
        description: 'Create Data Requirement Permission',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'Content-Type',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'contact_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'cd145a27-31b7-43bd-b4e3-a13afa9ddf9f',
                    type: 'data_requirement_permission',
                    attributes: {
                      permission: 'upload_documents',
                      created_at: '2023-12-08T15:38:06.119+02:00',
                      updated_at: '2023-12-08T15:38:06.119+02:00',
                    },
                    relationships: {
                      data_requirement: {
                        data: {
                          id: '95547f9d-4f9a-40ad-ab39-e068df350810',
                          type: 'data_requirement',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/data_requirements/95547f9d-4f9a-40ad-ab39-e068df350810',
                        },
                      },
                      contact: {
                        data: {
                          id: '531f0820-85b8-4d84-99ad-e7ff867f322b',
                          type: 'contact',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/contacts/531f0820-85b8-4d84-99ad-e7ff867f322b',
                        },
                      },
                      requesting_user: {
                        data: {
                          id: 'dde0c7b8-3dff-402f-8ce9-3ff2efdf20b2',
                          type: 'user',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/dde0c7b8-3dff-402f-8ce9-3ff2efdf20b2',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/data_requirement_permissions/cd145a27-31b7-43bd-b4e3-a13afa9ddf9f',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with an invalid data attribute type',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'Type is invalid. Expected type is data_requirement_permission',
                      source: {
                        pointer: 'data/type',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '409': {
            description:
              'Unsuccessful request for creating a resource due to there\n          already being a Data Requirement Permission for the Data Requirement\n          and the Contact Information',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'conflict',
                      status: '409',
                      detail: 'Permission already exists',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description:
              'Unsuccessful request for creating a resource due to no permission present',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Invalid permission',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createContactDataRequirementPermission',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/data_requirements': {
      get: {
        tags: ['Data Requirements'],
        summary: 'List Data Requirements',
        description: 'List Data Requirements',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'forms',
            in: 'query',
            description: '',
            schema: {
              type: 'boolean',
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'd228bb0f-2f39-44ab-be09-83b875cded7b',
                      type: 'data_requirement',
                      attributes: {
                        created_at: '2023-12-08T15:38:07.635+02:00',
                        updated_at: '2023-12-08T15:38:07.651+02:00',
                        required: true,
                        valid_evidence_types: ['id_document'],
                        name: 'Unknown',
                        slug: 'unknown',
                        form: false,
                        duplicable: false,
                        duplicate_of: null,
                        duplicates_min: 1,
                        duplicates_max: 30,
                      },
                      relationships: {
                        kyc_application: {
                          data: {
                            id: 'c98b77c9-128a-498c-8e29-06dc9145bd6a',
                            type: 'kyc_application',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/c98b77c9-128a-498c-8e29-06dc9145bd6a',
                          },
                        },
                        active_evidence_submission: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/ab5ffe69-8cdd-407d-8471-f013a87dfaad',
                          },
                        },
                        evidence_submissions: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/d228bb0f-2f39-44ab-be09-83b875cded7b/evidence_submissions',
                          },
                        },
                        data_comparisons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/d228bb0f-2f39-44ab-be09-83b875cded7b/data_comparisons',
                          },
                        },
                        data_requirement_permissions: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/d228bb0f-2f39-44ab-be09-83b875cded7b/data_requirement_permissions',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/data_requirements/d228bb0f-2f39-44ab-be09-83b875cded7b',
                      },
                    },
                    {
                      id: '82da5053-fc8e-4b20-8e8a-1c8172cb074d',
                      type: 'data_requirement',
                      attributes: {
                        created_at: '2023-12-08T15:38:07.752+02:00',
                        updated_at: '2023-12-08T15:38:07.767+02:00',
                        required: true,
                        valid_evidence_types: ['id_document'],
                        name: 'Unknown',
                        slug: 'unknown',
                        form: false,
                        duplicable: false,
                        duplicate_of: null,
                        duplicates_min: 1,
                        duplicates_max: 30,
                      },
                      relationships: {
                        kyc_application: {
                          data: {
                            id: 'c98b77c9-128a-498c-8e29-06dc9145bd6a',
                            type: 'kyc_application',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/c98b77c9-128a-498c-8e29-06dc9145bd6a',
                          },
                        },
                        active_evidence_submission: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/f234e933-5e2f-4027-8ce5-4befa02066bc',
                          },
                        },
                        evidence_submissions: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/82da5053-fc8e-4b20-8e8a-1c8172cb074d/evidence_submissions',
                          },
                        },
                        data_comparisons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/82da5053-fc8e-4b20-8e8a-1c8172cb074d/data_comparisons',
                          },
                        },
                        data_requirement_permissions: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/82da5053-fc8e-4b20-8e8a-1c8172cb074d/data_requirement_permissions',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/data_requirements/82da5053-fc8e-4b20-8e8a-1c8172cb074d',
                      },
                    },
                  ],
                  meta: {
                    total: 2,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycApplicationDataRequirement',
      },
    },
    '/api/v2/data_requirements/{data_requirement_id}': {
      get: {
        tags: ['Data Requirements'],
        summary: 'Retrieve Data Requirement',
        description: 'Retrieve Data Requirement',
        parameters: [
          {
            name: 'data_requirement_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'include',
            in: 'query',
            description: '',
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'data_requirement_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '60dec55d-9029-4b43-8ac2-17197982a12c',
                    type: 'data_requirement',
                    attributes: {
                      created_at: '2023-12-08T15:38:09.605+02:00',
                      updated_at: '2023-12-08T15:38:09.621+02:00',
                      required: true,
                      valid_evidence_types: ['id_document'],
                      name: 'Unknown',
                      slug: 'unknown',
                      form: false,
                      duplicable: false,
                      duplicate_of: null,
                      duplicates_min: 1,
                      duplicates_max: 30,
                    },
                    relationships: {
                      kyc_application: {
                        data: {
                          id: 'e6e3ae51-d69a-433f-a132-8ba5839b59ff',
                          type: 'kyc_application',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/e6e3ae51-d69a-433f-a132-8ba5839b59ff',
                        },
                      },
                      active_evidence_submission: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/evidence_submissions/500ab174-ef18-4a56-9b13-a9ebd1a898b9',
                        },
                      },
                      evidence_submissions: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/data_requirements/60dec55d-9029-4b43-8ac2-17197982a12c/evidence_submissions',
                        },
                      },
                      data_comparisons: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/data_requirements/60dec55d-9029-4b43-8ac2-17197982a12c/data_comparisons',
                        },
                      },
                      data_requirement_permissions: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/data_requirements/60dec55d-9029-4b43-8ac2-17197982a12c/data_requirement_permissions',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/data_requirements/60dec55d-9029-4b43-8ac2-17197982a12c',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getDataRequirement',
      },
    },
    '/api/v2/kyc_entity_templates': {
      get: {
        tags: ['KYC Entity Templates'],
        summary: 'List KYC Entity Templates',
        description: 'List KYC Entity Templates',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'b67d4d79-a236-4de0-b596-126490c6679b',
                      type: 'kyc_entity_template',
                      attributes: {
                        kyc_entity_type_name: 'kyc_entity_type_1702042547',
                        kyc_entity_type_category: 'entity',
                        created_at: '2023-12-08T15:38:11.182+02:00',
                        updated_at: '2023-12-08T15:38:11.182+02:00',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/kyc_entity_templates/b67d4d79-a236-4de0-b596-126490c6679b',
                      },
                    },
                    {
                      id: '85844ace-f916-40d2-ae97-3212fa2c73ee',
                      type: 'kyc_entity_template',
                      attributes: {
                        kyc_entity_type_name: 'kyc_entity_type_1702042548',
                        kyc_entity_type_category: 'entity',
                        created_at: '2023-12-08T15:38:11.189+02:00',
                        updated_at: '2023-12-08T15:38:11.189+02:00',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/kyc_entity_templates/85844ace-f916-40d2-ae97-3212fa2c73ee',
                      },
                    },
                    {
                      id: '3bcfaa53-ec88-4ecb-bd7e-323b40e0c9dc',
                      type: 'kyc_entity_template',
                      attributes: {
                        kyc_entity_type_name: 'kyc_entity_type_1702042549',
                        kyc_entity_type_category: 'entity',
                        created_at: '2023-12-08T15:38:11.196+02:00',
                        updated_at: '2023-12-08T15:38:11.196+02:00',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/kyc_entity_templates/3bcfaa53-ec88-4ecb-bd7e-323b40e0c9dc',
                      },
                    },
                    {
                      id: '1f78cb57-d897-43ba-a7f9-c5953fc332a3',
                      type: 'kyc_entity_template',
                      attributes: {
                        kyc_entity_type_name: 'kyc_entity_type_1702042550',
                        kyc_entity_type_category: 'entity',
                        created_at: '2023-12-08T15:38:11.204+02:00',
                        updated_at: '2023-12-08T15:38:11.204+02:00',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/kyc_entity_templates/1f78cb57-d897-43ba-a7f9-c5953fc332a3',
                      },
                    },
                    {
                      id: '38e5f1ce-7d94-457c-8448-ecf880a70a6b',
                      type: 'kyc_entity_template',
                      attributes: {
                        kyc_entity_type_name: 'kyc_entity_type_1702042551',
                        kyc_entity_type_category: 'entity',
                        created_at: '2023-12-08T15:38:11.217+02:00',
                        updated_at: '2023-12-08T15:38:11.217+02:00',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/kyc_entity_templates/38e5f1ce-7d94-457c-8448-ecf880a70a6b',
                      },
                    },
                  ],
                  meta: {
                    total: 5,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '403': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_authorized',
                      status: '403',
                      detail: 'You are not authorized to perform this action',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycEntityTemplate',
      },
    },
    '/api/v2/kyc_entity_templates/{kyc_entity_template_id}': {
      get: {
        tags: ['KYC Entity Templates'],
        summary: 'Retrieve KYC Entity Template',
        description: 'Retrieve KYC Entity Template',
        parameters: [
          {
            name: 'kyc_entity_template_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_entity_template_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'b03dce30-93d0-46a7-b0b2-d135ef61172d',
                    type: 'kyc_entity_template',
                    attributes: {
                      created_at: '2023-12-08T15:38:12.504+02:00',
                      updated_at: '2023-12-08T15:38:12.504+02:00',
                      profile_schema: {
                        $schema: 'http://json-schema.org/draft-07/schema#',
                        type: 'object',
                        definitions: {
                          phone: {
                            type: 'string',
                            format: 'phone',
                          },
                          email: {
                            type: 'string',
                            format: 'email',
                          },
                          address: {
                            type: 'object',
                            properties: {
                              country: {
                                type: 'string',
                                title: 'Country',
                              },
                              address_line_one: {
                                type: 'string',
                                title: 'Address Line One',
                              },
                              address_line_two: {
                                type: 'string',
                                title: 'Address Line Two',
                              },
                              suburb: {
                                type: 'string',
                                title: 'Suburb',
                              },
                              city: {
                                type: 'string',
                                title: 'City',
                              },
                              area_code: {
                                type: 'string',
                                title: 'Zip Code',
                              },
                              state_or_province_or_region: {
                                type: 'string',
                                title: 'State or Province or Region',
                              },
                            },
                            required: ['address_line_one', 'country'],
                            dependencies: {
                              country: ['address_line_one'],
                              address_line_one: ['country'],
                            },
                          },
                        },
                        additionalProperties: false,
                        $id: 'https://www.docfoxapp.com/kyc_entity_type_1702042556.schema.json',
                        title: 'kyc_entity_type_1702042556',
                        kyc_entity_template_id: 'b03dce30-93d0-46a7-b0b2-d135ef61172d',
                        properties: {
                          kyc_entity_template_id: {
                            type: 'string',
                          },
                          names: {
                            title: 'Names',
                            type: 'object',
                            properties: {
                              first_names: {
                                minLength: 1,
                                maxLength: 255,
                                type: 'string',
                                title: 'First names',
                              },
                              last_names: {
                                minLength: 1,
                                maxLength: 255,
                                type: 'string',
                                title: 'Last names',
                              },
                            },
                            additionalProperties: false,
                            required: ['first_names', 'last_names'],
                          },
                          numbers: {
                            title: 'Numbers',
                            type: 'object',
                            properties: {
                              id_number: {
                                type: 'object',
                                title: 'ID number',
                                properties: {
                                  value: {
                                    type: 'string',
                                    title: 'Value',
                                    pattern: '(^\\d{13}$)',
                                    message: {
                                      pattern:
                                        'The value should be a 13 digit South African ID Number',
                                    },
                                  },
                                  issued_by: {
                                    type: 'string',
                                    title: 'Issued By',
                                    enum: ['za'],
                                    select_options: [
                                      {
                                        value: 'za',
                                        label: 'South Africa',
                                      },
                                    ],
                                    default: 'za',
                                  },
                                },
                                additionalProperties: false,
                                required: ['value', 'issued_by'],
                                dependencies: {
                                  value: ['issued_by'],
                                  issued_by: ['value'],
                                },
                              },
                            },
                            additionalProperties: false,
                            required: ['id_number'],
                          },
                          addresses: {
                            title: 'Addresses',
                            type: 'object',
                            properties: {
                              physical_address: {
                                $ref: '#/components/schemas/address',
                                title: 'Physical address',
                              },
                            },
                            additionalProperties: false,
                            required: ['physical_address'],
                          },
                          additional_details: {
                            title: 'Additional Details',
                            type: 'object',
                            properties: {
                              date_of_birth: {
                                type: 'string',
                                title: 'Date of birth',
                                format: 'date',
                                input_format: 'YYYY-MM-DD',
                              },
                            },
                            additionalProperties: false,
                            required: ['date_of_birth'],
                          },
                          contact_informations: {
                            title: 'Contact Information',
                            type: 'object',
                            properties: {
                              primary_contact_information: {
                                title: 'Primary Contact Information',
                                type: 'object',
                                properties: {
                                  mobile_number: {
                                    $ref: '#/components/schemas/phone',
                                    title: 'Mobile number',
                                  },
                                  email: {
                                    $ref: '#/components/schemas/email',
                                    title: 'Email',
                                  },
                                },
                                additionalProperties: false,
                                required: ['mobile_number', 'email'],
                              },
                            },
                            additionalProperties: false,
                            required: ['primary_contact_information'],
                          },
                        },
                        required: ['kyc_entity_template_id'],
                      },
                      kyc_entity_type_name: 'kyc_entity_type_1702042556',
                      kyc_entity_type_category: 'entity',
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/kyc_entity_templates/b03dce30-93d0-46a7-b0b2-d135ef61172d',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getKycEntityTemplate',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/data_comparisons': {
      get: {
        tags: ['Data Comparisons'],
        summary: 'List Data Comparisons',
        description: 'List Data Comparisons',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '7dee4de7-17f3-412f-9018-ca22f3277c50',
                      type: 'data_comparison',
                      attributes: {
                        created_at: '2023-12-08T15:38:14.468+02:00',
                        updated_at: '2023-12-08T15:38:14.468+02:00',
                        status: 'initialized',
                        comparable_data: {
                          comparable_data_1: {
                            description: '',
                            id: '8c276596-b2dd-489a-bba5-c17a39bd55c7',
                          },
                          comparable_data_2: {
                            description: '',
                            id: '69056ad4-42d7-439a-b26c-34564e817b0a',
                          },
                        },
                      },
                      relationships: {
                        kyc_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/0f8dabcb-e3e2-4a3c-998c-9928aeb1b959',
                          },
                        },
                        comparable_data_1: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/8c276596-b2dd-489a-bba5-c17a39bd55c7',
                          },
                        },
                        comparable_data_2: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/69056ad4-42d7-439a-b26c-34564e817b0a',
                          },
                        },
                        comparison_results: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_comparisons/7dee4de7-17f3-412f-9018-ca22f3277c50/comparison_results',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/data_comparisons/7dee4de7-17f3-412f-9018-ca22f3277c50',
                      },
                    },
                  ],
                  meta: {
                    total: 1,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycApplicationDataComparison',
      },
    },
    '/api/v2/data_comparisons/{data_comparison_id}': {
      get: {
        tags: ['Data Comparisons'],
        summary: 'Retrieve Data Comparison',
        description: 'Retrieve Data Comparison',
        parameters: [
          {
            name: 'data_comparison_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'data_comparison_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '7709fa9b-f3bf-44e0-9ed1-156a34cf472d',
                    type: 'data_comparison',
                    attributes: {
                      created_at: '2023-12-08T15:38:15.825+02:00',
                      updated_at: '2023-12-08T15:38:15.825+02:00',
                      status: 'initialized',
                      comparable_data: {
                        comparable_data_1: {
                          description: '',
                          id: '419ee6a0-f7ab-496e-81fe-87bbdfa239ca',
                        },
                        comparable_data_2: {
                          description: '',
                          id: 'c8d61857-deab-4f22-a033-a3cb77475cb2',
                        },
                      },
                    },
                    relationships: {
                      kyc_application: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/f0ed4b4c-1690-4eec-9f8c-79d5bb55c986',
                        },
                      },
                      comparable_data_1: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/419ee6a0-f7ab-496e-81fe-87bbdfa239ca',
                        },
                      },
                      comparable_data_2: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/data_requirements/c8d61857-deab-4f22-a033-a3cb77475cb2',
                        },
                      },
                      comparison_results: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/data_comparisons/7709fa9b-f3bf-44e0-9ed1-156a34cf472d/comparison_results',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/data_comparisons/7709fa9b-f3bf-44e0-9ed1-156a34cf472d',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getDataComparison',
      },
    },
    '/api/v2/profiles/{profile_id}/data_comparisons': {
      get: {
        tags: ['Data Comparisons'],
        summary: 'List all Data Comparisons for a Profile.',
        description: 'List all Data Comparisons for a Profile.',
        parameters: [
          {
            name: 'profile_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'profile_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'e3a393d2-1ffb-464a-9c9b-004ab2f64877',
                      type: 'data_comparison',
                      attributes: {
                        created_at: '2023-12-08T15:38:17.481+02:00',
                        updated_at: '2023-12-08T15:38:17.481+02:00',
                        status: 'initialized',
                        comparable_data: {
                          comparable_data_1: {
                            description: '',
                            id: '71290de4-1ae0-4551-a176-57c43673a880',
                          },
                          comparable_data_2: {
                            description: '',
                            id: '8e001cf0-4dba-4bb1-a862-91700fcbe3ac',
                          },
                        },
                      },
                      relationships: {
                        kyc_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/9b041288-9495-45c2-b43f-cc507d46346d',
                          },
                        },
                        comparable_data_1: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/71290de4-1ae0-4551-a176-57c43673a880',
                          },
                        },
                        comparable_data_2: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/8e001cf0-4dba-4bb1-a862-91700fcbe3ac',
                          },
                        },
                        comparison_results: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_comparisons/e3a393d2-1ffb-464a-9c9b-004ab2f64877/comparison_results',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/data_comparisons/e3a393d2-1ffb-464a-9c9b-004ab2f64877',
                      },
                    },
                  ],
                  meta: {
                    total: 1,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listProfileDataComparison',
      },
    },
    '/api/v2/data_requirements/{data_requirement_id}/data_comparisons': {
      get: {
        tags: ['Data Comparisons'],
        summary: 'List Data Comparisons for a Data Requirement.',
        description: 'List Data Comparisons for a Data Requirement.',
        parameters: [
          {
            name: 'data_requirement_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'data_requirement_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '9a39dd00-fa51-4249-947c-cb0518fdf1b8',
                      type: 'data_comparison',
                      attributes: {
                        created_at: '2023-12-08T15:38:18.926+02:00',
                        updated_at: '2023-12-08T15:38:18.926+02:00',
                        status: 'initialized',
                        comparable_data: {
                          comparable_data_1: {
                            description: '',
                            id: 'b456a086-072e-4fd0-9592-83c5552da7fa',
                          },
                          comparable_data_2: {
                            description: '',
                            id: '518cce05-2188-415e-b191-867aecc308ba',
                          },
                        },
                      },
                      relationships: {
                        kyc_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/9f338c4a-7b15-4872-b183-caf178c2b76c',
                          },
                        },
                        comparable_data_1: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/profiles/b456a086-072e-4fd0-9592-83c5552da7fa',
                          },
                        },
                        comparable_data_2: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/518cce05-2188-415e-b191-867aecc308ba',
                          },
                        },
                        comparison_results: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_comparisons/9a39dd00-fa51-4249-947c-cb0518fdf1b8/comparison_results',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/data_comparisons/9a39dd00-fa51-4249-947c-cb0518fdf1b8',
                      },
                    },
                  ],
                  meta: {
                    total: 1,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listDataRequirementDataComparison',
      },
    },
    '/api/v2/data_comparisons/{data_comparison_id}/comparison_results': {
      get: {
        tags: ['Comparison Results'],
        summary: 'List Comparison Results',
        description: 'List Comparison Results',
        parameters: [
          {
            name: 'data_comparison_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'data_comparison_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'd0d4dce2-2da6-43d7-b7ce-38996c5dcb07',
                      type: 'comparison_result',
                      attributes: {
                        created_at: '2023-12-08T15:38:20.290+02:00',
                        updated_at: '2023-12-08T15:38:20.290+02:00',
                        status: 'matched',
                        comparisons: [],
                      },
                    },
                    {
                      id: '616d54fa-45c2-462a-bfb5-f7107a55ed43',
                      type: 'comparison_result',
                      attributes: {
                        created_at: '2023-12-08T15:38:20.610+02:00',
                        updated_at: '2023-12-08T15:38:20.610+02:00',
                        status: 'matched',
                        comparisons: [],
                      },
                    },
                    {
                      id: 'e172d81e-095b-405c-a5d3-014711820271',
                      type: 'comparison_result',
                      attributes: {
                        created_at: '2023-12-08T15:38:20.827+02:00',
                        updated_at: '2023-12-08T15:38:20.827+02:00',
                        status: 'matched',
                        comparisons: [],
                      },
                    },
                    {
                      id: '4dbf75c6-20c6-44b2-ab6b-3e17a91f6d8b',
                      type: 'comparison_result',
                      attributes: {
                        created_at: '2023-12-08T15:38:21.015+02:00',
                        updated_at: '2023-12-08T15:38:21.015+02:00',
                        status: 'matched',
                        comparisons: [],
                      },
                    },
                    {
                      id: 'aa0599ef-08c0-4c85-988e-7f63e0e0294a',
                      type: 'comparison_result',
                      attributes: {
                        created_at: '2023-12-08T15:38:21.209+02:00',
                        updated_at: '2023-12-08T15:38:21.209+02:00',
                        status: 'matched',
                        comparisons: [],
                      },
                    },
                  ],
                  meta: {
                    total: 5,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listDataComparisonComparisonResult',
      },
    },
    '/api/v2/comparison_results/{comparison_result_id}': {
      get: {
        tags: ['Comparison Results'],
        summary: 'Retrieve Comparison Result',
        description: 'Retrieve Comparison Result',
        parameters: [
          {
            name: 'comparison_result_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'comparison_result_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'eba1b3b3-c5a9-43fd-b332-ccdebc4cbbac',
                    type: 'comparison_result',
                    attributes: {
                      created_at: '2023-12-08T15:38:22.407+02:00',
                      updated_at: '2023-12-08T15:38:22.407+02:00',
                      status: 'matched',
                      comparisons: [],
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getComparisonResult',
      },
    },
    '/api/v2/data_requirements/{data_requirement_id}/evidence_submissions': {
      get: {
        tags: ['Evidence Submissions'],
        summary: 'List Evidence Submissions',
        description: 'List Evidence Submissions',
        parameters: [
          {
            name: 'data_requirement_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'data_requirement_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '4faa6355-0129-4847-9cc2-5e354e1e8b47',
                      type: 'evidence_submission',
                      attributes: {
                        created_at: '2023-12-08T15:38:25.151+02:00',
                        updated_at: '2023-12-08T15:38:25.151+02:00',
                        status: 'rejected',
                        external: false,
                        evidence_type: 'invoice',
                        form: false,
                      },
                      relationships: {
                        active_evidence_submission: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/04549110-00ee-4c58-b038-f65ce48d572d',
                          },
                        },
                        data_requirement: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/dd98f0b4-9a93-41a4-8ed0-4562876c2d6b',
                          },
                        },
                        document: {
                          data: {
                            id: '84374b7e-0b71-4494-ad5c-d908e1d76344',
                            type: 'document',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/documents/84374b7e-0b71-4494-ad5c-d908e1d76344',
                          },
                        },
                        qualitative_checks: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/4faa6355-0129-4847-9cc2-5e354e1e8b47/qualitative_checks',
                          },
                        },
                        rejection_reasons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/4faa6355-0129-4847-9cc2-5e354e1e8b47/rejection_reasons',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/evidence_submissions/4faa6355-0129-4847-9cc2-5e354e1e8b47',
                      },
                    },
                    {
                      id: '13ad230e-3639-470a-950b-73885574dc51',
                      type: 'evidence_submission',
                      attributes: {
                        created_at: '2023-12-08T15:38:25.325+02:00',
                        updated_at: '2023-12-08T15:38:25.325+02:00',
                        status: 'rejected',
                        external: false,
                        evidence_type: 'bill',
                        form: false,
                      },
                      relationships: {
                        active_evidence_submission: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/04549110-00ee-4c58-b038-f65ce48d572d',
                          },
                        },
                        data_requirement: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/dd98f0b4-9a93-41a4-8ed0-4562876c2d6b',
                          },
                        },
                        document: {
                          data: {
                            id: '0d362181-f39e-4000-aafd-95a635b6bad0',
                            type: 'document',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/documents/0d362181-f39e-4000-aafd-95a635b6bad0',
                          },
                        },
                        qualitative_checks: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/13ad230e-3639-470a-950b-73885574dc51/qualitative_checks',
                          },
                        },
                        rejection_reasons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/13ad230e-3639-470a-950b-73885574dc51/rejection_reasons',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/evidence_submissions/13ad230e-3639-470a-950b-73885574dc51',
                      },
                    },
                    {
                      id: '04549110-00ee-4c58-b038-f65ce48d572d',
                      type: 'evidence_submission',
                      attributes: {
                        created_at: '2023-12-08T15:38:25.350+02:00',
                        updated_at: '2023-12-08T15:38:25.350+02:00',
                        status: 'pending_review',
                        external: false,
                        evidence_type: 'bank_statement',
                        form: false,
                      },
                      relationships: {
                        data_requirement: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/dd98f0b4-9a93-41a4-8ed0-4562876c2d6b',
                          },
                        },
                        document: {
                          data: {
                            id: 'a34be47a-3060-4406-87b2-461f8ba8b8bf',
                            type: 'document',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/documents/a34be47a-3060-4406-87b2-461f8ba8b8bf',
                          },
                        },
                        qualitative_checks: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/04549110-00ee-4c58-b038-f65ce48d572d/qualitative_checks',
                          },
                        },
                        rejection_reasons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/04549110-00ee-4c58-b038-f65ce48d572d/rejection_reasons',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/evidence_submissions/04549110-00ee-4c58-b038-f65ce48d572d',
                      },
                    },
                  ],
                  meta: {
                    total: 3,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listDataRequirementEvidenceSubmission',
      },
    },
    '/api/v2/evidence_submissions/{evidence_submission_id}': {
      get: {
        tags: ['Evidence Submissions'],
        summary: 'Retrieve Evidence Submission',
        description: 'Retrieve Evidence Submission',
        parameters: [
          {
            name: 'evidence_submission_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'include',
            in: 'query',
            description: '',
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'evidence_submission_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'a2dda545-e488-450b-a72d-f3b60c59291a',
                    type: 'evidence_submission',
                    attributes: {
                      created_at: '2023-12-08T15:38:27.021+02:00',
                      updated_at: '2023-12-08T15:38:27.021+02:00',
                      status: 'rejected',
                      external: false,
                      evidence_type: 'bill',
                      form: false,
                    },
                    relationships: {
                      active_evidence_submission: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/evidence_submissions/7833122f-840d-4f37-982c-8b7d03a69bf7',
                        },
                      },
                      data_requirement: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/data_requirements/f89e11bd-b56c-4711-a4f3-bfde3182115c',
                        },
                      },
                      document: {
                        data: {
                          id: '912e1276-f4d8-4e62-aa2e-9c273f42e632',
                          type: 'document',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/documents/912e1276-f4d8-4e62-aa2e-9c273f42e632',
                        },
                      },
                      qualitative_checks: {
                        data: [
                          {
                            id: '249bc2ee-e683-439e-9253-9303f6c67fdf',
                            type: 'qualitative_checks',
                          },
                        ],
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/evidence_submissions/a2dda545-e488-450b-a72d-f3b60c59291a/qualitative_checks',
                        },
                      },
                      rejection_reasons: {
                        data: [
                          {
                            id: '283b8480-aa33-4343-9701-7a417f8acfe0',
                            type: 'rejection_reasons',
                          },
                        ],
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/evidence_submissions/a2dda545-e488-450b-a72d-f3b60c59291a/rejection_reasons',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/evidence_submissions/a2dda545-e488-450b-a72d-f3b60c59291a',
                    },
                  },
                  included: [
                    {
                      id: '249bc2ee-e683-439e-9253-9303f6c67fdf',
                      type: 'qualitative_check',
                      attributes: {
                        status: 'correct',
                        created_at: '2023-12-08T15:38:27.022+02:00',
                        updated_at: '2023-12-08T15:38:27.022+02:00',
                        qualitative_question_results: [],
                      },
                      relationships: {
                        evidence_submission: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/a2dda545-e488-450b-a72d-f3b60c59291a',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/qualitative_checks/249bc2ee-e683-439e-9253-9303f6c67fdf',
                      },
                    },
                    {
                      id: '283b8480-aa33-4343-9701-7a417f8acfe0',
                      type: 'rejection_reason',
                      attributes: {
                        created_at: '2023-12-08T15:38:27.023+02:00',
                        updated_at: '2023-12-08T15:38:27.023+02:00',
                        messages: [],
                      },
                      relationships: {
                        rejected_by: {
                          links: {
                            related: null,
                          },
                        },
                        evidence_submission: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/a2dda545-e488-450b-a72d-f3b60c59291a',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/rejection_reasons/283b8480-aa33-4343-9701-7a417f8acfe0',
                      },
                    },
                    {
                      id: '912e1276-f4d8-4e62-aa2e-9c273f42e632',
                      type: 'document',
                      attributes: {
                        data_capture_fields: [
                          [
                            'addressees',
                            [
                              [
                                'person',
                                [
                                  ['initials', 'GIR'],
                                  ['last_names', 'Langosh'],
                                ],
                              ],
                            ],
                          ],
                          ['address_line_one', 'Suite 714'],
                          ['address_line_two', '73995 Keva Rapids'],
                          ['suburb', 'Autumn Square'],
                          ['city', 'Millsview'],
                          ['state_or_province_or_region', 'New Hampshire'],
                          ['zip_or_postal_code', '66475'],
                          ['country', 'New Caledonia'],
                          ['date_issued', '2023-10-15'],
                        ],
                        filename: 'test-id.jpg',
                        created_at: '2023-12-08T15:38:27.017+02:00',
                        updated_at: '2023-12-08T15:38:27.017+02:00',
                        token: null,
                        token_expiry: null,
                        content_type: 'image/jpeg',
                        uploaded_by: {},
                      },
                      relationships: {
                        evidence_submissions: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/documents/912e1276-f4d8-4e62-aa2e-9c273f42e632/evidence_submissions',
                          },
                        },
                        document_tokens: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/documents/912e1276-f4d8-4e62-aa2e-9c273f42e632/document_tokens',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/documents/912e1276-f4d8-4e62-aa2e-9c273f42e632',
                      },
                    },
                  ],
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getEvidenceSubmission',
      },
      patch: {
        tags: ['Evidence Submissions'],
        summary: 'Update Evidence Submission',
        description: 'Update Evidence Submission',
        parameters: [
          {
            name: 'evidence_submission_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'include',
            in: 'query',
            description: '',
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'evidence_submission_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'ccff2c0c-3fc1-4eb5-a778-23598a8caaf1',
                    type: 'evidence_submission',
                    attributes: {
                      created_at: '2023-12-08T15:38:27.895+02:00',
                      updated_at: '2023-12-08T15:38:28.168+02:00',
                      status: 'fetch_performed',
                      external: true,
                      evidence_type: '3rd_party_evidence_type',
                      data: {},
                      form: false,
                    },
                    relationships: {
                      active_evidence_submission: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/evidence_submissions/1ae55cda-bc07-44a6-bf47-e3903367dc6b',
                        },
                      },
                      data_requirement: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/data_requirements/4f2f24cf-2b25-468b-b6f0-00a84bc36413',
                        },
                      },
                      document: {
                        data: null,
                        links: {
                          related: null,
                        },
                      },
                      qualitative_checks: {
                        links: {
                          related: null,
                        },
                      },
                      rejection_reasons: {
                        links: {
                          related: null,
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/evidence_submissions/ccff2c0c-3fc1-4eb5-a778-23598a8caaf1',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with an invalid data attribute type',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'Type is invalid. Expected type is evidence_submission',
                      source: {
                        pointer: 'data/type',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '409': {
            description: 'Request to update an Evidence Submission which is already updated',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'conflict',
                      status: '409',
                      detail:
                        'Evidence Submission status is pending_review. Status must be pending_fetch.',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateEvidenceSubmission',
      },
    },
    '/api/v2/evidence_submissions/{evidence_submission_id}/reject': {
      patch: {
        tags: ['Evidence Submissions'],
        summary: 'Reject Active Evidence Submission',
        description: 'Reject Active Evidence Submission',
        parameters: [
          {
            name: 'evidence_submission_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'include',
            in: 'query',
            description: '',
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'evidence_submission_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    type: 'object',
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '38103c65-18e8-4532-920b-5b5b8fa0e7e4',
                    type: 'evidence_submission',
                    attributes: {
                      created_at: '2023-12-08T15:38:28.830+02:00',
                      updated_at: '2023-12-08T15:38:28.919+02:00',
                      status: 'rejected',
                      external: null,
                      evidence_type: null,
                      form: false,
                    },
                    relationships: {
                      active_evidence_submission: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/evidence_submissions/fafb0776-c1da-4335-bd1f-d0768427ef03',
                        },
                      },
                      data_requirement: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/data_requirements/ad2aea36-c7e4-4ced-9fa7-f67e4ad172cf',
                        },
                      },
                      document: {
                        data: null,
                        links: {
                          related: null,
                        },
                      },
                      qualitative_checks: {
                        links: {
                          related: null,
                        },
                      },
                      rejection_reasons: {
                        links: {
                          related: null,
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/evidence_submissions/38103c65-18e8-4532-920b-5b5b8fa0e7e4',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateEvidenceSubmissionReject',
      },
    },
    '/api/v2/evidence_submissions/{evidence_submission_id}/approve': {
      patch: {
        tags: ['Evidence Submissions'],
        summary: 'Approve Active Evidence Submission',
        description: 'Approve Active Evidence Submission',
        parameters: [
          {
            name: 'evidence_submission_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'include',
            in: 'query',
            description: '',
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'evidence_submission_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    type: 'object',
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '1c816eba-b19f-4111-890c-1b3f2631ed44',
                    type: 'evidence_submission',
                    attributes: {
                      created_at: '2023-12-08T15:38:30.332+02:00',
                      updated_at: '2023-12-08T15:38:30.391+02:00',
                      status: 'accepted',
                      external: null,
                      evidence_type: null,
                      form: false,
                    },
                    relationships: {
                      data_requirement: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/data_requirements/edf9423f-0fff-40e1-ba42-863a0067bcf6',
                        },
                      },
                      document: {
                        data: null,
                        links: {
                          related: null,
                        },
                      },
                      qualitative_checks: {
                        links: {
                          related: null,
                        },
                      },
                      rejection_reasons: {
                        links: {
                          related: null,
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/evidence_submissions/1c816eba-b19f-4111-890c-1b3f2631ed44',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateEvidenceSubmissionApprove',
      },
    },
    '/api/v2/evidence_submissions/{evidence_submission_id}/replace': {
      patch: {
        tags: ['Evidence Submissions'],
        summary: 'Replace Active Evidence Submission',
        description: 'Replace Active Evidence Submission',
        parameters: [
          {
            name: 'evidence_submission_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'include',
            in: 'query',
            description: '',
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'evidence_submission_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    type: 'object',
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '6bce2485-1dae-4404-a616-c21d6c6b2266',
                    type: 'evidence_submission',
                    attributes: {
                      created_at: '2023-12-08T15:38:31.825+02:00',
                      updated_at: '2023-12-08T15:38:32.134+02:00',
                      status: 'rejected',
                      external: null,
                      evidence_type: null,
                      form: false,
                    },
                    relationships: {
                      active_evidence_submission: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/evidence_submissions/92eaa65d-df79-4f88-88aa-803260817f8c',
                        },
                      },
                      data_requirement: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/data_requirements/ddcb251c-dd28-4e43-862b-07b35f416e68',
                        },
                      },
                      document: {
                        data: null,
                        links: {
                          related: null,
                        },
                      },
                      qualitative_checks: {
                        links: {
                          related: null,
                        },
                      },
                      rejection_reasons: {
                        links: {
                          related: null,
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/evidence_submissions/6bce2485-1dae-4404-a616-c21d6c6b2266',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateEvidenceSubmissionReplace',
      },
    },
    '/api/v2/evidence_submissions/{evidence_submission_id}/qualitative_checks': {
      get: {
        tags: ['Qualitative Checks'],
        summary: 'List Qualitative Checks for an Evidence Submission',
        description: 'List Qualitative Checks for an Evidence Submission',
        parameters: [
          {
            name: 'evidence_submission_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'evidence_submission_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '0fcde17a-10ca-4064-b351-5a5b12d101e7',
                      type: 'qualitative_check',
                      attributes: {
                        status: 'correct',
                        created_at: '2023-12-08T15:38:33.256+02:00',
                        updated_at: '2023-12-08T15:38:33.256+02:00',
                        qualitative_question_results: [],
                      },
                      relationships: {
                        evidence_submission: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/7a12c49e-3354-4c51-a940-b2c785c04c66',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/qualitative_checks/0fcde17a-10ca-4064-b351-5a5b12d101e7',
                      },
                    },
                  ],
                  meta: {
                    total: 1,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listEvidenceSubmissionQualitativeCheck',
      },
    },
    '/api/v2/qualitative_checks/{qualitative_check_id}': {
      get: {
        tags: ['Qualitative Checks'],
        summary: 'Retrieve Qualitative Check',
        description: 'Retrieve Qualitative Check',
        parameters: [
          {
            name: 'qualitative_check_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'qualitative_check_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'acd1e98c-5f45-4dcf-bb4b-449f46c051e9',
                    type: 'qualitative_check',
                    attributes: {
                      status: 'correct',
                      created_at: '2023-12-08T15:38:34.288+02:00',
                      updated_at: '2023-12-08T15:38:34.288+02:00',
                      qualitative_question_results: [],
                    },
                    relationships: {
                      evidence_submission: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/evidence_submissions/3bd70fca-56b7-492b-a7fa-d5052f93d6e1',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/qualitative_checks/acd1e98c-5f45-4dcf-bb4b-449f46c051e9',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getQualitativeCheck',
      },
    },
    '/api/v2/evidence_submissions/{evidence_submission_id}/rejection_reasons': {
      get: {
        tags: ['Rejection Reasons'],
        summary: 'List Rejection Reasons for an Evidence Submission',
        description: 'List Rejection Reasons for an Evidence Submission',
        parameters: [
          {
            name: 'evidence_submission_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'evidence_submission_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '0fe18809-fb30-473f-a66a-e8110feb44e0',
                      type: 'rejection_reason',
                      attributes: {
                        created_at: '2023-12-08T15:38:35.416+02:00',
                        updated_at: '2023-12-08T15:38:35.420+02:00',
                        messages: ['This is an error!'],
                      },
                      relationships: {
                        rejected_by: {
                          links: {
                            related: null,
                          },
                        },
                        evidence_submission: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/aadb4d19-27d5-433c-a1f6-d606df3299bc',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/rejection_reasons/0fe18809-fb30-473f-a66a-e8110feb44e0',
                      },
                    },
                  ],
                  meta: {
                    total: 1,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listEvidenceSubmissionRejectionReason',
      },
    },
    '/api/v2/rejection_reasons/{rejection_reason_id}': {
      get: {
        tags: ['Rejection Reasons'],
        summary: 'Retrieve Rejection Reason',
        description: 'Retrieve Rejection Reason',
        parameters: [
          {
            name: 'rejection_reason_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'rejection_reason_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '9cca2197-5188-425c-bf6d-67ef19ba325e',
                    type: 'rejection_reason',
                    attributes: {
                      created_at: '2023-12-08T15:38:37.451+02:00',
                      updated_at: '2023-12-08T15:38:37.455+02:00',
                      messages: ['This is an error!'],
                    },
                    relationships: {
                      rejected_by: {
                        links: {
                          related: null,
                        },
                      },
                      evidence_submission: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/evidence_submissions/f2ea7b5f-637f-4a9a-90c2-463da43b2202',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/rejection_reasons/9cca2197-5188-425c-bf6d-67ef19ba325e',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getRejectionReason',
      },
    },
    '/api/v2/evidence_submissions/{evidence_submission_id}/documents': {
      get: {
        tags: ['Documents'],
        summary: 'List Documents',
        description: 'List Documents',
        parameters: [
          {
            name: 'evidence_submission_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'evidence_submission_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'a6d7f8df-dabe-41fc-b1e7-3722256add06',
                      type: 'document',
                      attributes: {
                        data_capture_fields: [
                          ['id_number', '8309066080083'],
                          ['last_names', 'Botsford'],
                          ['first_names', 'Agueda'],
                          ['date_of_birth', '2018-02-17'],
                          ['date_issued', '2023-12-01'],
                        ],
                        filename: 'test-id.jpg',
                        created_at: '2023-12-08T15:38:38.335+02:00',
                        updated_at: '2023-12-08T15:38:38.335+02:00',
                        token: 'a7614aab-48b7-49f6-ae27-7e5deabe6802',
                        token_expiry: '2023-12-08T15:43:38.367+02:00',
                        content_type: 'image/jpeg',
                        uploaded_by: {
                          full_name: 'First Last',
                          email: 'someone@docfoxapp.com',
                          role: 'officer',
                          uploaded_at: 'Dec 8 2023, 03:38 pm',
                        },
                      },
                      relationships: {
                        evidence_submissions: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/documents/a6d7f8df-dabe-41fc-b1e7-3722256add06/evidence_submissions',
                          },
                        },
                        document_tokens: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/documents/a6d7f8df-dabe-41fc-b1e7-3722256add06/document_tokens',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/documents/a6d7f8df-dabe-41fc-b1e7-3722256add06',
                      },
                    },
                  ],
                  meta: {
                    total: 1,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Request with an invalid identifying path parameter',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listEvidenceSubmissionDocument',
      },
      post: {
        tags: ['Document Uploads'],
        summary: 'Upload Document file',
        description: 'Upload Document file',
        parameters: [
          {
            name: 'evidence_submission_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'evidence_submission_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Upload a document with valid attributes',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  data: {
                    id: '2103152a-063d-4d8b-9051-6207d9264462',
                    type: 'document',
                    attributes: {
                      data_capture_fields: [],
                      filename: 'not_a_cutefox.png',
                      created_at: '2023-12-08T15:38:45.836+02:00',
                      updated_at: '2023-12-08T15:38:45.836+02:00',
                      token: '22a07030-7b83-403e-8910-786c4563c442',
                      token_expiry: '2023-12-08T15:38:59.873+02:00',
                      content_type: 'image/png',
                      uploaded_by: {
                        full_name: 'Bessie Grimes Rice MD Trantow',
                        email: 'russell_kovacek@schultz.net',
                        role: 'officer',
                        uploaded_at: 'Dec 8 2023, 03:38 pm',
                      },
                    },
                    relationships: {
                      evidence_submissions: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/documents/2103152a-063d-4d8b-9051-6207d9264462/evidence_submissions',
                        },
                      },
                      document_tokens: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/documents/2103152a-063d-4d8b-9051-6207d9264462/document_tokens',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/documents/2103152a-063d-4d8b-9051-6207d9264462',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with an invalid data attribute type',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'Type is invalid. Expected type is document',
                      source: {
                        pointer: 'data/type',
                      },
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Request with an invalid identifying path parameter',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Invalid base64 data returns unprocessable status',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Evidence Type is invalid for this data requirement',
                      source: {
                        pointer: '/data/attributes/evidence_type',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createEvidenceSubmissionDocument',
      },
    },
    '/api/v2/documents/{document_id}': {
      get: {
        tags: ['Documents'],
        summary: 'Retrieve Document',
        description: 'Retrieve Document',
        parameters: [
          {
            name: 'document_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'include',
            in: 'query',
            description: '',
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'document_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'c6d8511b-9e79-4b85-8c8e-992c5ff62b4b',
                    type: 'document',
                    attributes: {
                      data_capture_fields: [
                        ['id_number', '7601263943183'],
                        ['last_names', 'Hills'],
                        ['first_names', 'Lynelle'],
                        ['date_of_birth', '2020-03-25'],
                        ['date_issued', '2023-12-04'],
                      ],
                      filename: 'test-id.jpg',
                      created_at: '2023-12-08T15:38:40.496+02:00',
                      updated_at: '2023-12-08T15:38:40.496+02:00',
                      token: 'ca9dc389-1314-4cbe-a75d-027a463e4e6d',
                      token_expiry: '2023-12-08T15:43:40.536+02:00',
                      content_type: 'image/jpeg',
                      uploaded_by: {
                        full_name: 'First Last',
                        email: 'someone@docfoxapp.com',
                        role: 'officer',
                        uploaded_at: 'Dec 8 2023, 03:38 pm',
                      },
                    },
                    relationships: {
                      evidence_submissions: {
                        data: [
                          {
                            id: '87',
                            type: 'evidence_submission',
                          },
                        ],
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/documents/c6d8511b-9e79-4b85-8c8e-992c5ff62b4b/evidence_submissions',
                        },
                      },
                      document_tokens: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/documents/c6d8511b-9e79-4b85-8c8e-992c5ff62b4b/document_tokens',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/documents/c6d8511b-9e79-4b85-8c8e-992c5ff62b4b',
                    },
                  },
                  included: [
                    {
                      id: 'ff69701f-068b-4762-920c-08a5f361906e',
                      type: 'evidence_submission',
                      attributes: {
                        created_at: '2023-12-08T15:38:40.353+02:00',
                        updated_at: '2023-12-08T15:38:40.499+02:00',
                        status: 'pending_comparison',
                        external: null,
                        evidence_type: null,
                        form: false,
                      },
                      relationships: {
                        data_requirement: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/b4b76c6a-b66c-40fc-9ad4-2d851d97c5a2',
                          },
                        },
                        document: {
                          data: {
                            id: 'c6d8511b-9e79-4b85-8c8e-992c5ff62b4b',
                            type: 'document',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/documents/c6d8511b-9e79-4b85-8c8e-992c5ff62b4b',
                          },
                        },
                        qualitative_checks: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/ff69701f-068b-4762-920c-08a5f361906e/qualitative_checks',
                          },
                        },
                        rejection_reasons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/ff69701f-068b-4762-920c-08a5f361906e/rejection_reasons',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/evidence_submissions/ff69701f-068b-4762-920c-08a5f361906e',
                      },
                    },
                  ],
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Request with an invalid identifying path parameter',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getDocument',
      },
    },
    '/api/v2/documents/{document_id}/document_tokens': {
      get: {
        tags: ['Document Tokens'],
        summary: 'List Document Tokens',
        description: 'List Document Tokens',
        parameters: [
          {
            name: 'document_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'document_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '853796cf-8415-4cba-97bf-8f03b3ab438d',
                      type: 'document_token',
                      attributes: {
                        created_at: '2023-12-08T15:38:41.613+02:00',
                        updated_at: '2023-12-08T15:38:41.613+02:00',
                        content_type: 'image/png',
                        expiry: '2023-12-08T15:43:41.611+02:00',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/document_tokens/853796cf-8415-4cba-97bf-8f03b3ab438d',
                        document_file_download:
                          'https://www.docfoxapp.com/api/v2/document_file_downloads/853796cf-8415-4cba-97bf-8f03b3ab438d',
                      },
                    },
                    {
                      id: '72329413-d9a6-4632-87aa-2d789ff8ce2a',
                      type: 'document_token',
                      attributes: {
                        created_at: '2023-12-08T15:38:41.616+02:00',
                        updated_at: '2023-12-08T15:38:41.616+02:00',
                        content_type: 'image/png',
                        expiry: '2023-12-08T15:43:41.615+02:00',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/document_tokens/72329413-d9a6-4632-87aa-2d789ff8ce2a',
                        document_file_download:
                          'https://www.docfoxapp.com/api/v2/document_file_downloads/72329413-d9a6-4632-87aa-2d789ff8ce2a',
                      },
                    },
                    {
                      id: '70a729aa-79eb-4e06-89a5-42dedae1dd6b',
                      type: 'document_token',
                      attributes: {
                        created_at: '2023-12-08T15:38:41.619+02:00',
                        updated_at: '2023-12-08T15:38:41.619+02:00',
                        content_type: 'image/png',
                        expiry: '2023-12-08T15:43:41.618+02:00',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/document_tokens/70a729aa-79eb-4e06-89a5-42dedae1dd6b',
                        document_file_download:
                          'https://www.docfoxapp.com/api/v2/document_file_downloads/70a729aa-79eb-4e06-89a5-42dedae1dd6b',
                      },
                    },
                    {
                      id: '02f53702-6658-411a-b90c-621c9251c403',
                      type: 'document_token',
                      attributes: {
                        created_at: '2023-12-08T15:38:41.623+02:00',
                        updated_at: '2023-12-08T15:38:41.623+02:00',
                        content_type: 'image/png',
                        expiry: '2023-12-08T15:43:41.620+02:00',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/document_tokens/02f53702-6658-411a-b90c-621c9251c403',
                        document_file_download:
                          'https://www.docfoxapp.com/api/v2/document_file_downloads/02f53702-6658-411a-b90c-621c9251c403',
                      },
                    },
                    {
                      id: 'b1297ea6-ddd6-49fb-abb0-657909b83b38',
                      type: 'document_token',
                      attributes: {
                        created_at: '2023-12-08T15:38:41.626+02:00',
                        updated_at: '2023-12-08T15:38:41.626+02:00',
                        content_type: 'image/png',
                        expiry: '2023-12-08T15:43:41.625+02:00',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/document_tokens/b1297ea6-ddd6-49fb-abb0-657909b83b38',
                        document_file_download:
                          'https://www.docfoxapp.com/api/v2/document_file_downloads/b1297ea6-ddd6-49fb-abb0-657909b83b38',
                      },
                    },
                  ],
                  meta: {
                    total: 5,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listDocumentDocumentToken',
      },
      post: {
        tags: ['Document Tokens'],
        summary: 'Create new Document Token',
        description: 'Create new Document Token',
        parameters: [
          {
            name: 'document_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'document_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'f214684c-2485-4d07-8b3f-9f8a48979a55',
                    type: 'document_token',
                    attributes: {
                      created_at: '2023-12-08T15:38:43.109+02:00',
                      updated_at: '2023-12-08T15:38:43.109+02:00',
                      content_type: 'image/jpeg',
                      expiry: '2023-12-08T15:38:57.097+02:00',
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/document_tokens/f214684c-2485-4d07-8b3f-9f8a48979a55',
                      document_file_download:
                        'https://www.docfoxapp.com/api/v2/document_file_downloads/f214684c-2485-4d07-8b3f-9f8a48979a55',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createDocumentDocumentToken',
      },
    },
    '/api/v2/document_tokens/{document_token_id}': {
      get: {
        tags: ['Document Tokens'],
        summary: 'Retrieve Document Token',
        description: 'Retrieve Document Token',
        parameters: [
          {
            name: 'document_token_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'document_token_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '79bb158f-c58d-4afe-9538-47b997c4db5b',
                    type: 'document_token',
                    attributes: {
                      created_at: '2023-12-08T15:38:44.215+02:00',
                      updated_at: '2023-12-08T15:38:44.215+02:00',
                      content_type: 'image/png',
                      expiry: '2023-12-08T15:43:44.214+02:00',
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/document_tokens/79bb158f-c58d-4afe-9538-47b997c4db5b',
                      document_file_download:
                        'https://www.docfoxapp.com/api/v2/document_file_downloads/79bb158f-c58d-4afe-9538-47b997c4db5b',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getDocumentToken',
      },
    },
    '/api/v2/document_file_downloads/{document_token_id}': {
      get: {
        tags: ['Download Documents'],
        summary: 'Download a Document file',
        description: 'Download a Document file',
        parameters: [
          {
            name: 'document_token_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['image/jpeg', 'image/png', 'application/pdf'],
            },
          },
          {
            name: 'document_token_id',
            in: 'path',
            required: true,
            schema: {
              type: 'object',
            },
          },
        ],
        responses: {
          '302': {
            description: 'Download document file for a valid id and token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Location': {
                description: 'The Location header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
            },
          },
          '404': {
            description: 'Request with an invalid identifying path parameter',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description: 'Content Type mismatches Accept header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_acceptable',
                      status: '406',
                      detail:
                        'Unacceptable content type requested. Please include an Accept header with the content type specified by the resource you requested',
                    },
                  ],
                },
              },
            },
          },
          '410': {
            description: 'Expired token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'expired_resource',
                      status: '410',
                      detail: 'The resource has expired',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getDocumentFileDownload',
      },
    },
    '/api/v2/forms/{form_id}': {
      get: {
        tags: ['Forms'],
        summary: 'Retrieve Form',
        description: 'Retrieve Form',
        parameters: [
          {
            name: 'form_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'include',
            in: 'query',
            description: '',
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'form_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '1ccad569-e48a-465c-bde9-74cf2a5626f5',
                    type: 'form',
                    attributes: {
                      title: 'Natus cum illum',
                      description: '',
                      json_schema: {
                        $id: 'https://www.docfoxapp.com/forms/form_schemas/c04f3afb-00f5-4c21-9c7c-a2044803ddc6.json',
                        type: 'object',
                        $schema: 'http://json-schema.org/draft-07/schema#',
                        properties: {
                          section_1: {
                            type: 'object',
                            title: 'Section 1 Title',
                            required: ['first_names', 'last_names'],
                            properties: {
                              last_names: {
                                $ref: '#/components/schemas/last_names',
                                title: 'Your Last Names',
                              },
                              first_names: {
                                $ref: '#/components/schemas/first_names',
                                title: 'Your First Names',
                              },
                            },
                            description: '',
                          },
                          section_2: {
                            type: 'object',
                            title: 'Section 2 Title',
                            properties: {
                              last_names: {
                                $ref: '#/components/schemas/last_names',
                                title: "Your partner's Last Names",
                              },
                              first_names: {
                                $ref: '#/components/schemas/first_names',
                                title: "Your partner's First Names",
                              },
                            },
                            description: '',
                          },
                        },
                        additionalProperties: false,
                        definitions: {
                          last_names: {
                            title: 'Last names',
                            type: 'string',
                            meta: {
                              slug: 'last_names',
                            },
                            minLength: 1,
                            maxLength: 255,
                          },
                          first_names: {
                            title: 'First names',
                            type: 'string',
                            meta: {
                              slug: 'first_names',
                            },
                            minLength: 1,
                            maxLength: 255,
                          },
                        },
                      },
                    },
                    relationships: {},
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/forms/1ccad569-e48a-465c-bde9-74cf2a5626f5',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getForm',
      },
    },
    '/api/v2/forms/{form_id}/form_data': {
      get: {
        tags: ['Form Data'],
        summary: 'List Form Data',
        description: 'List Form Data',
        parameters: [
          {
            name: 'form_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'form_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'ddab8db9-d6d4-4013-8fbf-e774ddc389b0',
                      type: 'form_datum',
                      attributes: {
                        form_data: {
                          last_names: 'McBob',
                          first_names: 'Bobby',
                        },
                      },
                      relationships: {
                        form: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/forms/5fce100e-f9ef-4fc4-918c-57daa5bdc84f',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/form_data/ddab8db9-d6d4-4013-8fbf-e774ddc389b0',
                      },
                    },
                    {
                      id: '5251cc8f-2eb1-420b-af8e-a356db6d9987',
                      type: 'form_datum',
                      attributes: {
                        form_data: {
                          last_names: 'McBob',
                          first_names: 'Bobby',
                        },
                      },
                      relationships: {
                        form: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/forms/5fce100e-f9ef-4fc4-918c-57daa5bdc84f',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/form_data/5251cc8f-2eb1-420b-af8e-a356db6d9987',
                      },
                    },
                    {
                      id: '9323663d-babf-41bb-b72e-66b0c423e8cd',
                      type: 'form_datum',
                      attributes: {
                        form_data: {
                          last_names: 'McBob',
                          first_names: 'Bobby',
                        },
                      },
                      relationships: {
                        form: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/forms/5fce100e-f9ef-4fc4-918c-57daa5bdc84f',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/form_data/9323663d-babf-41bb-b72e-66b0c423e8cd',
                      },
                    },
                    {
                      id: 'ae5bc6e3-3dfc-423f-99b2-58d6d41f9ba6',
                      type: 'form_datum',
                      attributes: {
                        form_data: {
                          last_names: 'McBob',
                          first_names: 'Bobby',
                        },
                      },
                      relationships: {
                        form: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/forms/5fce100e-f9ef-4fc4-918c-57daa5bdc84f',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/form_data/ae5bc6e3-3dfc-423f-99b2-58d6d41f9ba6',
                      },
                    },
                    {
                      id: '364e202c-e9b0-42e0-a275-f067e257bfb4',
                      type: 'form_datum',
                      attributes: {
                        form_data: {
                          last_names: 'McBob',
                          first_names: 'Bobby',
                        },
                      },
                      relationships: {
                        form: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/forms/5fce100e-f9ef-4fc4-918c-57daa5bdc84f',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/form_data/364e202c-e9b0-42e0-a275-f067e257bfb4',
                      },
                    },
                  ],
                  meta: {
                    total: 5,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getFormFormData',
      },
      post: {
        tags: ['Form Data'],
        summary: 'Submit Data for a Form',
        description: 'Submit Data for a Form',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'form_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'form_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '1c426f8a-be7a-4023-8c1d-f84addde01b5',
                    type: 'form_datum',
                    attributes: {
                      form_data: {
                        section_1: {
                          last_names: 'Smith',
                          first_names: 'Terry',
                        },
                        section_2: {
                          last_names: 'Prosacco',
                          first_names: 'Brook',
                        },
                      },
                    },
                    relationships: {
                      form: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/forms/cb58af15-fa22-4426-b5fd-266ac4a3596c',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/form_data/1c426f8a-be7a-4023-8c1d-f84addde01b5',
                    },
                  },
                },
              },
            },
          },
          '404': {
            description: 'Request with an invalid identifying path parameter',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Attempting to POST invalid form data',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Data at /data/attributes/section_1 is invalid against the schema',
                      source: {
                        pointer: '/data/attributes/section_1',
                      },
                      meta: {
                        type: 'required',
                        details: {
                          missing_keys: ['last_names'],
                        },
                        schema_pointer: '/properties/section_1',
                      },
                    },
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail:
                        'Data at /data/attributes/section_2/first_names is invalid against the schema',
                      source: {
                        pointer: '/data/attributes/section_2/first_names',
                      },
                      meta: {
                        type: 'maxLength',
                        schema_pointer: '/definitions/first_names',
                      },
                    },
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail:
                        'Data at /data/attributes/section_2/last_names is invalid against the schema',
                      source: {
                        pointer: '/data/attributes/section_2/last_names',
                      },
                      meta: {
                        type: 'string',
                        schema_pointer: '/definitions/last_names',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createForm',
      },
    },
    '/api/v2/form_data/{form_datum_id}': {
      get: {
        tags: ['Form Data'],
        summary: 'Retrieve Form Data',
        description: 'Retrieve Form Data',
        parameters: [
          {
            name: 'form_datum_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'form_datum_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '9e089cfd-8481-4906-8706-63b3ba81dabb',
                    type: 'form_datum',
                    attributes: {
                      form_data: {
                        last_names: 'McBob',
                        first_names: 'Bobby',
                      },
                    },
                    relationships: {
                      form: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/forms/ee8ff82d-d64a-4239-91ab-865f173aab17',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/form_data/9e089cfd-8481-4906-8706-63b3ba81dabb',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getFormDataById',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/related_entities': {
      get: {
        tags: ['Related Entities'],
        summary: 'List Related Entities',
        description: 'List Related Entities',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'b7551f24-c35c-415a-96e8-0d5f08fd1689',
                      type: 'related_entity',
                      attributes: {
                        created_at: '2023-12-08T15:38:55.942+02:00',
                        updated_at: '2023-12-08T15:38:55.942+02:00',
                      },
                      relationships: {
                        parent: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/3ce7d086-68ee-423d-abf2-635e05f4340f',
                          },
                        },
                        child: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/daa4ac64-28d3-459a-87ca-1c94f5009994',
                          },
                        },
                        related_entity_designations: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/related_entities/b7551f24-c35c-415a-96e8-0d5f08fd1689/related_entity_designations',
                          },
                        },
                      },
                    },
                  ],
                  meta: {
                    total: 1,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '409': {
            description: 'Request where parent does not support related entities',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'conflict',
                      status: '409',
                      detail:
                        'Parent kyc application is configured to not support related entities',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycApplicationRelatedEntitie',
      },
      post: {
        tags: ['Related Entities'],
        summary: 'Create Related Entity',
        description: 'Create Related Entity',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'Content-Type',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    type: 'object',
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '782edf8c-000c-4980-a70e-b273d697f573',
                    type: 'related_entity',
                    attributes: {
                      created_at: '2023-12-08T15:39:00.776+02:00',
                      updated_at: '2023-12-08T15:39:00.776+02:00',
                    },
                    relationships: {
                      parent: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/277dd019-34b8-4b33-8406-07e5bc7f353c',
                        },
                      },
                      child: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/81f2a17c-a7c5-405a-a6ab-0d4bee8c9da0',
                        },
                      },
                      related_entity_designations: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/related_entities/782edf8c-000c-4980-a70e-b273d697f573/related_entity_designations',
                        },
                      },
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '409': {
            description: 'Request where parent does not support related entities',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'conflict',
                      status: '409',
                      detail:
                        'Parent kyc application is configured to not support related entities',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Create a related entity which already exists',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail:
                        'Child entity kyc application has already been added and Parent entity kyc application has already been added',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createKycApplicationRelatedEntitie',
      },
    },
    '/api/v2/related_entities/{related_entity_id}': {
      get: {
        tags: ['Related Entities'],
        summary: 'Retrieve Related Entity',
        description: 'Retrieve Related Entity',
        parameters: [
          {
            name: 'related_entity_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'include',
            in: 'query',
            description: '',
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'related_entity_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'c5040744-f718-4bb6-a35a-77d199ad92c8',
                    type: 'related_entity',
                    attributes: {
                      created_at: '2023-12-08T15:38:59.037+02:00',
                      updated_at: '2023-12-08T15:38:59.037+02:00',
                    },
                    relationships: {
                      parent: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/6284075d-7818-4a4c-bb7d-fd9cc4d7126d',
                        },
                      },
                      child: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/ea4bcfd8-2b32-47a3-a548-088f5e2525e9',
                        },
                      },
                      related_entity_designations: {
                        data: [
                          {
                            id: '4b8dec6b-fdb8-45b2-837b-59f3eff21a65',
                            type: 'related_entity_designation',
                          },
                        ],
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/related_entities/c5040744-f718-4bb6-a35a-77d199ad92c8/related_entity_designations',
                        },
                      },
                    },
                  },
                  included: [
                    {
                      id: '4b8dec6b-fdb8-45b2-837b-59f3eff21a65',
                      type: 'related_entity_designation',
                      attributes: {
                        title: 'Director',
                        data_field_values: [],
                      },
                      relationships: {
                        related_entity: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/related_entities/c5040744-f718-4bb6-a35a-77d199ad92c8',
                          },
                        },
                      },
                    },
                  ],
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getRelatedEntitie',
      },
      delete: {
        tags: ['Related Entities'],
        summary: 'Delete Related Entity',
        description: 'Delete Related Entity',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'related_entity_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'related_entity_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '204': {
            description: '',
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request to delete an Related Entity for an approved KYC Application',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail:
                        'This application is already approved and does not support ongoing due diligence',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'deleteRelatedEntitie',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/pdf_report_summaries': {
      get: {
        tags: ['PDF Report Summaries'],
        summary: 'List PDF Report Summaries',
        description: 'List PDF Report Summaries',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'c3b35970-fbc8-4390-9572-b97dd8b58022',
                      type: 'pdf_report_summary',
                      attributes: {
                        created_at: '2023-12-08T15:39:07.128+02:00',
                        updated_at: '2023-12-08T15:39:07.128+02:00',
                        status: 'generated',
                        content_type: 'application/pdf',
                      },
                      relationships: {
                        kyc_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/f803d136-c4ab-44a9-b279-68e344c9852d',
                          },
                        },
                        generated_by: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/2974d638-5eef-4435-974e-18500815696e',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/pdf_report_summaries/c3b35970-fbc8-4390-9572-b97dd8b58022',
                        download_url:
                          'https://www.docfoxapp.com/api/v2/pdf_report_summaries/c3b35970-fbc8-4390-9572-b97dd8b58022/download',
                      },
                    },
                    {
                      id: 'caeb6803-a034-4686-8d6f-0f6eadcc4471',
                      type: 'pdf_report_summary',
                      attributes: {
                        created_at: '2023-12-08T15:39:07.133+02:00',
                        updated_at: '2023-12-08T15:39:07.133+02:00',
                        status: 'generated',
                        content_type: 'application/pdf',
                      },
                      relationships: {
                        kyc_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/f803d136-c4ab-44a9-b279-68e344c9852d',
                          },
                        },
                        generated_by: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/2974d638-5eef-4435-974e-18500815696e',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/pdf_report_summaries/caeb6803-a034-4686-8d6f-0f6eadcc4471',
                        download_url:
                          'https://www.docfoxapp.com/api/v2/pdf_report_summaries/caeb6803-a034-4686-8d6f-0f6eadcc4471/download',
                      },
                    },
                    {
                      id: '5c9469e6-90b4-4276-8157-d52dd53e661f',
                      type: 'pdf_report_summary',
                      attributes: {
                        created_at: '2023-12-08T15:39:07.135+02:00',
                        updated_at: '2023-12-08T15:39:07.135+02:00',
                        status: 'generated',
                        content_type: 'application/pdf',
                      },
                      relationships: {
                        kyc_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/f803d136-c4ab-44a9-b279-68e344c9852d',
                          },
                        },
                        generated_by: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/2974d638-5eef-4435-974e-18500815696e',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/pdf_report_summaries/5c9469e6-90b4-4276-8157-d52dd53e661f',
                        download_url:
                          'https://www.docfoxapp.com/api/v2/pdf_report_summaries/5c9469e6-90b4-4276-8157-d52dd53e661f/download',
                      },
                    },
                    {
                      id: 'cb785476-4164-4f31-bb01-1480500bedb3',
                      type: 'pdf_report_summary',
                      attributes: {
                        created_at: '2023-12-08T15:39:07.137+02:00',
                        updated_at: '2023-12-08T15:39:07.137+02:00',
                        status: 'generated',
                        content_type: 'application/pdf',
                      },
                      relationships: {
                        kyc_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/f803d136-c4ab-44a9-b279-68e344c9852d',
                          },
                        },
                        generated_by: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/2974d638-5eef-4435-974e-18500815696e',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/pdf_report_summaries/cb785476-4164-4f31-bb01-1480500bedb3',
                        download_url:
                          'https://www.docfoxapp.com/api/v2/pdf_report_summaries/cb785476-4164-4f31-bb01-1480500bedb3/download',
                      },
                    },
                    {
                      id: '91c73fd0-02df-45ba-b2f6-397f9eec2291',
                      type: 'pdf_report_summary',
                      attributes: {
                        created_at: '2023-12-08T15:39:07.138+02:00',
                        updated_at: '2023-12-08T15:39:07.138+02:00',
                        status: 'generated',
                        content_type: 'application/pdf',
                      },
                      relationships: {
                        kyc_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/f803d136-c4ab-44a9-b279-68e344c9852d',
                          },
                        },
                        generated_by: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/users/2974d638-5eef-4435-974e-18500815696e',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/pdf_report_summaries/91c73fd0-02df-45ba-b2f6-397f9eec2291',
                        download_url:
                          'https://www.docfoxapp.com/api/v2/pdf_report_summaries/91c73fd0-02df-45ba-b2f6-397f9eec2291/download',
                      },
                    },
                  ],
                  meta: {
                    total: 5,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycApplicationPdfReportSummarie',
      },
      post: {
        tags: ['PDF Report Summaries'],
        summary: 'Create PDF Report Summary',
        description: 'Create PDF Report Summary',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '18dd487f-9dcc-4925-9d12-9fd036aefaa7',
                    type: 'pdf_report_summary',
                    attributes: {
                      created_at: '2023-12-08T15:39:09.172+02:00',
                      updated_at: '2023-12-08T15:39:09.172+02:00',
                      status: 'being_generated',
                      content_type: 'application/pdf',
                    },
                    relationships: {
                      kyc_application: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/e9babe2b-5e18-4381-b816-b5844ae3056a',
                        },
                      },
                      generated_by: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/21d3ac82-3821-4856-ba28-b6f8a6475732',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/pdf_report_summaries/18dd487f-9dcc-4925-9d12-9fd036aefaa7',
                      download_url:
                        'https://www.docfoxapp.com/api/v2/pdf_report_summaries/18dd487f-9dcc-4925-9d12-9fd036aefaa7/download',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '429': {
            description:
              'Request to generate a PDF Report Summary while a previous one is still generating',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'too_many_requests',
                      status: '429',
                      detail:
                        'A previous PDF Report Summary is currently being generated. Please follow the resource link included in the links attribute of this response body to check on its status.',
                      links: {
                        related:
                          'http://example.org/api/v2/pdf_report_summaries/75ca3d65-7997-4219-ad48-abe8e2922d4c',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createKycApplicationPdfReportSummarie',
      },
    },
    '/api/v2/pdf_report_summaries/{pdf_report_summary_id}/': {
      get: {
        tags: ['PDF Report Summaries'],
        summary: 'Retrieve PDF Report Summary',
        description: 'Retrieve PDF Report Summary',
        parameters: [
          {
            name: 'pdf_report_summary_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'pdf_report_summary_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '766eeee8-dc25-4965-818a-5e98848269a9',
                    type: 'pdf_report_summary',
                    attributes: {
                      created_at: '2023-12-08T15:39:08.425+02:00',
                      updated_at: '2023-12-08T15:39:08.425+02:00',
                      status: 'generated',
                      content_type: 'application/pdf',
                    },
                    relationships: {
                      kyc_application: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/7937405d-3b81-4bd2-96ed-ddbbf995dadf',
                        },
                      },
                      generated_by: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/b44e0d8a-df06-4848-a825-0da60e4b02e9',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/pdf_report_summaries/766eeee8-dc25-4965-818a-5e98848269a9',
                      download_url:
                        'https://www.docfoxapp.com/api/v2/pdf_report_summaries/766eeee8-dc25-4965-818a-5e98848269a9/download',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getPdfReportSummarie',
      },
    },
    '/api/v2/pdf_report_summaries/{pdf_summary_report_id}/download': {
      get: {
        tags: ['PDF Report Summaries'],
        summary: 'Download a PDF Report Summary resource by ID',
        description: 'Download a PDF Report Summary resource by ID',
        parameters: [
          {
            name: 'pdf_report_summary_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['application/pdf'],
            },
          },
          {
            name: 'pdf_summary_report_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '302': {
            description: 'Successful request to download a PDF Report Summary',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Location': {
                description: 'The Location header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Request with an invalid identifying path parameter',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request to download a PDF Report Summary without the correct Accept header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'not_acceptable',
                      status: '406',
                      detail:
                        'Unacceptable content type requested. Please include an Accept header with the content type specified by the resource you requested',
                    },
                  ],
                },
              },
            },
          },
          '409': {
            description: 'Request to download a PDF Report Summary which is still being generated',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'conflict',
                      status: '409',
                      detail:
                        'The PDF Report Summary you tried to download is still being generated. Please use the resource link included in the links attribute of this response body to check on its status.',
                      links: {
                        related:
                          'http://example.org/api/v2/pdf_report_summaries/2e75bc4b-ecca-4d38-8967-ae1c64c0abaa',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getPdfReportSummarieDownload',
      },
    },
    '/api/v2/users': {
      get: {
        tags: ['Users'],
        summary: 'List active users in the accountable institution',
        description: 'List active users in the accountable institution',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'd1a42c38-a39a-4cac-8dd9-35616c82da36',
                      type: 'user',
                      attributes: {
                        first_names: null,
                        last_names: null,
                        email: null,
                        deactivation_date: null,
                        deactivated: false,
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/users/d1a42c38-a39a-4cac-8dd9-35616c82da36',
                      },
                    },
                    {
                      id: '93039fc7-d7be-4d1c-a926-2aa0f91a09df',
                      type: 'user',
                      attributes: {
                        first_names: null,
                        last_names: null,
                        email: null,
                        deactivation_date: null,
                        deactivated: false,
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/users/93039fc7-d7be-4d1c-a926-2aa0f91a09df',
                      },
                    },
                    {
                      id: '191b48d0-4a79-4529-9327-f1921aa674f3',
                      type: 'user',
                      attributes: {
                        first_names: null,
                        last_names: null,
                        email: null,
                        deactivation_date: null,
                        deactivated: false,
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/users/191b48d0-4a79-4529-9327-f1921aa674f3',
                      },
                    },
                    {
                      id: '436a978d-64a2-46d8-bc49-e45403e25a5d',
                      type: 'user',
                      attributes: {
                        first_names: 'Rey Wisozk Bergstrom',
                        last_names: 'Fisher',
                        email: 'roy.bradtke@parisian-dooley.co',
                        deactivation_date: null,
                        deactivated: false,
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/users/436a978d-64a2-46d8-bc49-e45403e25a5d',
                      },
                    },
                    {
                      id: '833f70d9-7b28-4c6a-b66c-8d99a39f3221',
                      type: 'user',
                      attributes: {
                        first_names: null,
                        last_names: null,
                        email: null,
                        deactivation_date: null,
                        deactivated: false,
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/users/833f70d9-7b28-4c6a-b66c-8d99a39f3221',
                      },
                    },
                  ],
                  meta: {
                    total: 5,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '403': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_authorized',
                      status: '403',
                      detail: 'You are not authorized to perform this action',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listUser',
      },
    },
    '/api/v2/users/{user_id}': {
      get: {
        tags: ['Users'],
        summary: 'Retrieve User',
        description: 'Retrieve User',
        parameters: [
          {
            name: 'user_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'user_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'f469a03f-9d19-453e-a0ed-81389fd7e3f1',
                    type: 'user',
                    attributes: {
                      first_names: 'Ilona Leannon Mayert',
                      last_names: 'Bernhard',
                      email: 'jodee_rippin@kling-schaden.info',
                      deactivation_date: null,
                      deactivated: false,
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/users/f469a03f-9d19-453e-a0ed-81389fd7e3f1',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getUser',
      },
    },
    '/api/v2/risk_rating_evaluations/{risk_rating_evaluation_id}': {
      get: {
        tags: ['Risk Rating Evaluations'],
        summary: 'Retrieve Risk Rating Evaluation',
        description: 'Retrieve Risk Rating Evaluation',
        parameters: [
          {
            name: 'risk_rating_evaluation_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'risk_rating_evaluation_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'f2784574-a9dc-4e90-934c-475b0cd78bdd',
                    type: 'risk_rating_evaluation',
                    attributes: {
                      bucket_name: null,
                      risk_score: null,
                      created_at: '2023-12-08T15:39:18.185+02:00',
                      updated_at: '2023-12-08T15:39:18.185+02:00',
                    },
                    relationships: {
                      kyc_application: {
                        data: {
                          id: 'b19ca388-82cc-4d9c-8be4-f63cc3fcad31',
                          type: 'kyc_application',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/b19ca388-82cc-4d9c-8be4-f63cc3fcad31',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/risk_rating_evaluations/f2784574-a9dc-4e90-934c-475b0cd78bdd',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getRiskRatingEvaluation',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/risk_rating_evaluations': {
      get: {
        tags: ['Risk Rating Evaluations'],
        summary: 'List Risk Rating Evaluations for a KYC Application',
        description: 'List Risk Rating Evaluations for a KYC Application',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'd8ef54d9-0c89-43b3-8c7e-3aa74de6061c',
                      type: 'risk_rating_evaluation',
                      attributes: {
                        bucket_name: null,
                        risk_score: null,
                        created_at: '2023-12-08T15:39:19.412+02:00',
                        updated_at: '2023-12-08T15:39:19.412+02:00',
                      },
                      relationships: {
                        kyc_application: {
                          data: {
                            id: '35b17fe8-0eef-41d0-8ffa-adfa3913e440',
                            type: 'kyc_application',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/35b17fe8-0eef-41d0-8ffa-adfa3913e440',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/risk_rating_evaluations/d8ef54d9-0c89-43b3-8c7e-3aa74de6061c',
                      },
                    },
                    {
                      id: 'abd43153-89cf-4a07-841a-5418748f28ca',
                      type: 'risk_rating_evaluation',
                      attributes: {
                        bucket_name: null,
                        risk_score: null,
                        created_at: '2023-12-08T15:39:19.430+02:00',
                        updated_at: '2023-12-08T15:39:19.430+02:00',
                      },
                      relationships: {
                        kyc_application: {
                          data: {
                            id: '35b17fe8-0eef-41d0-8ffa-adfa3913e440',
                            type: 'kyc_application',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/35b17fe8-0eef-41d0-8ffa-adfa3913e440',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/risk_rating_evaluations/abd43153-89cf-4a07-841a-5418748f28ca',
                      },
                    },
                    {
                      id: 'bef2c965-4dc9-4594-bfec-06f2fda3f0e4',
                      type: 'risk_rating_evaluation',
                      attributes: {
                        bucket_name: null,
                        risk_score: null,
                        created_at: '2023-12-08T15:39:19.450+02:00',
                        updated_at: '2023-12-08T15:39:19.450+02:00',
                      },
                      relationships: {
                        kyc_application: {
                          data: {
                            id: '35b17fe8-0eef-41d0-8ffa-adfa3913e440',
                            type: 'kyc_application',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/35b17fe8-0eef-41d0-8ffa-adfa3913e440',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/risk_rating_evaluations/bef2c965-4dc9-4594-bfec-06f2fda3f0e4',
                      },
                    },
                  ],
                  meta: {
                    total: 3,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycApplicationRiskRatingEvaluation',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/risk_ratings': {
      get: {
        tags: ['Risk Ratings'],
        summary: 'List Risk Ratings for a KYC Application',
        description: 'List Risk Ratings for a KYC Application',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'fec55d54-da29-4b1a-a441-fe885216fc7e',
                      type: 'risk_rating',
                      attributes: {
                        created_at: '2023-12-08T15:39:24.635+02:00',
                        updated_at: '2023-12-08T15:39:24.635+02:00',
                        risk_score: 7,
                        status: 'incomplete',
                        kyc_application_id: 'c2ea4f56-5a85-45f5-be6e-6ae3f8c6387a',
                        rating: null,
                        color: null,
                        questions: [],
                      },
                    },
                  ],
                  meta: {
                    total: 1,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycApplicationRiskRating',
      },
      post: {
        tags: ['Risk Ratings'],
        summary: 'Create Risk Rating',
        description: 'Create Risk Rating',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '31edd277-a983-42a9-8f0a-927086aabfb6',
                    type: 'risk_rating',
                    attributes: {
                      created_at: '2023-12-08T15:39:25.825+02:00',
                      updated_at: '2023-12-08T15:39:25.825+02:00',
                      risk_score: null,
                      status: 'incomplete',
                      kyc_application_id: 'b9c16435-0269-45b4-8cd3-d5a5ea67f276',
                      rating: null,
                      color: null,
                      questions: [],
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createKycApplicationRiskRating',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/risk_ratings/{evaluation_id}': {
      get: {
        tags: ['Risk Ratings'],
        summary: 'Retrieve A Specific Risk Rating',
        description: 'Retrieve A Specific Risk Rating',
        parameters: [
          {
            name: 'evaluation_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'evaluation_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '039bc926-f947-4d01-8a8c-fc296fbfbb20',
                    type: 'risk_rating',
                    attributes: {
                      created_at: '2023-12-08T15:39:26.326+02:00',
                      updated_at: '2023-12-08T15:39:26.326+02:00',
                      risk_score: 67,
                      status: 'incomplete',
                      kyc_application_id: '7e4af72f-3109-4df6-943a-9905c04101cc',
                      rating: null,
                      color: null,
                      questions: [],
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getKycApplicationRiskRating',
      },
      patch: {
        tags: ['Risk Ratings'],
        summary: 'Complete Risk Rating',
        description: 'Complete Risk Rating',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'evaluation_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'f1fca6bc-61d9-4a5d-9bdd-f6aa1af90312',
                    type: 'risk_rating',
                    attributes: {
                      created_at: '2023-12-08T15:39:27.244+02:00',
                      updated_at: '2023-12-08T15:39:27.338+02:00',
                      risk_score: 20,
                      status: 'complete',
                      kyc_application_id: '1a50b10d-b883-4f50-8922-17390e2808a5',
                      rating: 'Faker::Lorem',
                      color: 'green',
                      questions: [
                        {
                          question: 'In unde velit eveniet?',
                          answer: 'Laudantium quos praesentium temporibus.',
                        },
                        {
                          question: 'Tenetur consequatur magni quaerat?',
                          answer: 'Autem molestiae quia sequi.',
                        },
                        {
                          question: 'Minus itaque eos atque?',
                          answer: 'Non nesciunt quo aliquam.',
                        },
                      ],
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateKycApplicationRiskRating',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/risk_ratings/questions': {
      get: {
        tags: ['Risk Ratings'],
        summary: 'Retrieve Questions For A Risk Rating',
        description: 'Retrieve Questions For A Risk Rating',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource with all related resources',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  data: {
                    id: '4a086dac-82bf-447e-bf45-e468ebb2ab35',
                    type: 'risk_rating_questions',
                    attributes: {
                      schema: {
                        $schema: 'http://json-schema.org/draft-07/schema#',
                        _id: '4a086dac-82bf-447e-bf45-e468ebb2ab35',
                        title: 'Risk Rating Schema',
                        type: 'object',
                        properties: {
                          risk_rating_id: {
                            type: 'string',
                          },
                          questions: {
                            title: 'Questions',
                            type: 'object',
                            properties: {
                              'question_3392bd28-fbe5-4d2c-93d8-2221465a1c63': {
                                type: 'string',
                                title: 'Similique beatae voluptas est?',
                                placeholder: 'Similique beatae voluptas est?',
                                enum: ['answer_fd543073-794c-42f4-af24-a1c81b45f756'],
                                select_options: [
                                  {
                                    value: 'answer_fd543073-794c-42f4-af24-a1c81b45f756',
                                    label: 'Qui laudantium cum dolores.',
                                  },
                                ],
                              },
                              'question_13cc4fa7-6fb8-4ca6-9050-d0e6f0a91902': {
                                type: 'string',
                                title: 'Dolorum natus quis qui?',
                                placeholder: 'Dolorum natus quis qui?',
                                enum: ['answer_d6c7e4ca-d44f-454f-8fd9-a9fd4f8e22be'],
                                select_options: [
                                  {
                                    value: 'answer_d6c7e4ca-d44f-454f-8fd9-a9fd4f8e22be',
                                    label: 'Aspernatur dolorem aliquam magni.',
                                  },
                                ],
                              },
                              'question_da175118-7c87-4448-88f4-79a8a35156d1': {
                                type: 'string',
                                title: 'Iure amet ullam maiores?',
                                placeholder: 'Iure amet ullam maiores?',
                                enum: ['answer_a0d73798-decc-4ccf-b402-7866355d4eac'],
                                select_options: [
                                  {
                                    value: 'answer_a0d73798-decc-4ccf-b402-7866355d4eac',
                                    label: 'Quae aspernatur impedit vero.',
                                  },
                                ],
                              },
                            },
                            required: [
                              'question_3392bd28-fbe5-4d2c-93d8-2221465a1c63',
                              'question_13cc4fa7-6fb8-4ca6-9050-d0e6f0a91902',
                              'question_da175118-7c87-4448-88f4-79a8a35156d1',
                            ],
                            additionalProperties: 'false',
                          },
                          required: ['risk_rating_id', 'questions'],
                          additionalProperties: false,
                        },
                      },
                      created_at: '2023-12-08T15:39:26.907+02:00',
                      updated_at: '2023-12-08T15:39:26.907+02:00',
                      outdated_framework: false,
                    },
                  },
                },
              },
            },
          },
          '404': {
            description: 'The resource you requested could not be found',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycApplicationRiskRatingsQuestion',
      },
    },
    '/api/v2/bank_account_schemas/{kyc_application_id}': {
      get: {
        tags: ['Bank Account Verification'],
        summary: 'Retrieve Bank Account JSON Schema',
        description: 'Retrieve Bank Account JSON Schema',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '8fbc539c-68a4-4fb0-ac14-420c44f94b4b',
                    type: 'bank_account_schema',
                    attributes: {
                      json_schema: {
                        $schema: 'http://json-schema.org/draft-07/schema#',
                        $id: 'https://www.docfoxapp.com/api/v2/bank_account_schemas/8fbc539c-68a4-4fb0-ac14-420c44f94b4b',
                        type: 'object',
                        required: [
                          'account_number',
                          'account_type',
                          'bank_code',
                          'initials',
                          'last_names',
                        ],
                        properties: {
                          account_number: {
                            description: '',
                            type: 'string',
                            maxLength: 13,
                            minLength: 6,
                          },
                          account_type: {
                            description: '',
                            type: 'string',
                            enum: [
                              'unknown',
                              'cheque',
                              'savings',
                              'transmission',
                              'subscription_share',
                            ],
                            enumLabels: [
                              'Not Specified',
                              'Current or Cheque Account',
                              'Savings Account',
                              'Transmission Account',
                              'Subscription Share',
                            ],
                          },
                          bank_code: {
                            description: '',
                            type: 'string',
                            enum: [
                              '051001',
                              '198765',
                              '632005',
                              '250655',
                              '261251',
                              '450105',
                              '580105',
                              '462005',
                              '470010',
                              '430000',
                              '683000',
                              '679000',
                              '678910',
                              '584000',
                              '410506',
                              '589000',
                            ],
                            enumLabels: [
                              'Standard Bank',
                              'Nedbank',
                              'ABSA Bank',
                              'First National Bank',
                              'Rand Merchant Bank',
                              'Mercantile Bank',
                              'Investec',
                              'Bidvest Bank',
                              'Capitec Bank',
                              'African Bank',
                              'Sasfin Bank',
                              'Discovery Bank',
                              'Tyme Bank',
                              'Grindrod Bank',
                              'Access Bank (Gro Bank)',
                              'Finbond Mutual Bank',
                            ],
                          },
                          branch_code: {
                            description: '',
                            type: 'string',
                            pattern: '^[0-9]{6}$',
                            maxLength: 6,
                            minLength: 6,
                          },
                          initials: {
                            description: '',
                            type: 'string',
                            maxLength: 5,
                            minLength: 1,
                          },
                          last_names: {
                            description: '',
                            type: 'string',
                            maxLength: 60,
                            minLength: 1,
                          },
                        },
                        additionalProperties: false,
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/bank_account_schemas/8fbc539c-68a4-4fb0-ac14-420c44f94b4b',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getBankAccountSchema',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/bank_accounts': {
      get: {
        tags: ['Bank Account Verification'],
        summary: 'List Bank Accounts',
        description: 'List Bank Accounts',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'c71a8904-53a3-46b7-9085-7de0925c6865',
                      type: 'bank_account',
                      attributes: {
                        bank_name: 'ABSA Bank',
                        branch_code: '632005',
                        account_type: 'savings',
                        account_number: '0123456789123',
                        identifying_name: 'Latasha Strosin Little DO Lesch',
                        identifying_number: '9402274514081',
                        category: 'individual',
                        created_at: '2023-12-08T15:39:30.547+02:00',
                        bank_code: '632005',
                        initials: 'N',
                        last_names: 'Nuub',
                      },
                      relationships: {
                        kyc_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/69f17770-78c7-4112-a0a1-e5c74455f15e',
                          },
                        },
                        bank_account_verifications: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/bank_accounts/c71a8904-53a3-46b7-9085-7de0925c6865/bank_account_verifications',
                          },
                        },
                        latest_bank_account_verification: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/bank_account_verifications/abc1d430-0ace-42f8-8a80-c05d0e52fcc3',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/bank_accounts/c71a8904-53a3-46b7-9085-7de0925c6865',
                      },
                    },
                  ],
                  meta: {
                    total: 1,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycApplicationBankAccount',
      },
      post: {
        tags: ['Bank Account Verification'],
        summary: 'Create a new Bank Account',
        description: 'Create a new Bank Account',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '8f8f6754-0ddd-4bb7-9010-a234e7a99960',
                    type: 'bank_account',
                    attributes: {
                      bank_name: 'First National Bank',
                      branch_code: '250700',
                      account_type: 'savings',
                      account_number: '79298383749',
                      identifying_name: 'Cheryll Armstrong Hammes DC Ziemann',
                      identifying_number: '6302124489083',
                      category: 'individual',
                      created_at: '2023-12-08T15:39:29.039+02:00',
                      bank_code: '250655',
                      initials: 'AJ',
                      last_names: 'Jones',
                    },
                    relationships: {
                      kyc_application: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/300ddb0e-8287-4a70-91b2-8b3606ab3dc8',
                        },
                      },
                      bank_account_verifications: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/bank_accounts/8f8f6754-0ddd-4bb7-9010-a234e7a99960/bank_account_verifications',
                        },
                      },
                      latest_bank_account_verification: {
                        data: {
                          id: '48f730e1-50b4-4548-b826-0a66c620bf5a',
                          type: 'bank_account_verification',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/bank_account_verifications/48f730e1-50b4-4548-b826-0a66c620bf5a',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/bank_accounts/8f8f6754-0ddd-4bb7-9010-a234e7a99960',
                    },
                  },
                  included: [
                    {
                      id: '48f730e1-50b4-4548-b826-0a66c620bf5a',
                      type: 'bank_account_verification',
                      attributes: {
                        requested_at: '2023-12-08T15:39:29.041+02:00',
                        requested_by: 'Prof. Terence Schumm Wintheiser Hills',
                        verified_by: null,
                        verified_at: null,
                        verification_status: 'being_processed',
                        verification_results: [
                          {
                            result_type: 'negative_match',
                            result_description: 'Initials did not match',
                          },
                          {
                            result_type: 'negative_match',
                            result_description: 'Last names did not match',
                          },
                          {
                            result_type: 'negative_match',
                            result_description: 'ID number did not match',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account exists',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account currently open',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account accepts credits',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account accepts debits',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account open for more than 3 months',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account type verified',
                          },
                        ],
                      },
                      relationships: {
                        bank_account: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/bank_accounts/8f8f6754-0ddd-4bb7-9010-a234e7a99960',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/bank_account_verifications/48f730e1-50b4-4548-b826-0a66c620bf5a',
                      },
                    },
                  ],
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description:
              'Request with  data that is invalid against the schema (initials too long)',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'Data at /data/attributes/initials is invalid against the schema',
                      source: {
                        pointer: '/data/attributes/initials',
                      },
                      meta: {
                        type: 'maxLength',
                        schema_pointer: '/properties/initials',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createKycApplicationBankAccount',
      },
    },
    '/api/v2/bank_accounts/{bank_account_id}': {
      get: {
        tags: ['Bank Account Verification'],
        summary: 'Retrieve a Bank Account',
        description: 'Retrieve a Bank Account',
        parameters: [
          {
            name: 'bank_account_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'bank_account_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'a2d80044-ff79-4483-8864-9d42eb021dd5',
                    type: 'bank_account',
                    attributes: {
                      bank_name: 'ABSA Bank',
                      branch_code: '632005',
                      account_type: 'savings',
                      account_number: '0123456789123',
                      identifying_name: 'Mose McDermott Torphy Reilly',
                      identifying_number: '7304307672187',
                      category: 'individual',
                      created_at: '2023-12-08T15:39:29.677+02:00',
                      bank_code: '632005',
                      initials: 'N',
                      last_names: 'Nuub',
                    },
                    relationships: {
                      kyc_application: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/9820af92-ce96-424e-b04c-1cd64f83231f',
                        },
                      },
                      bank_account_verifications: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/bank_accounts/a2d80044-ff79-4483-8864-9d42eb021dd5/bank_account_verifications',
                        },
                      },
                      latest_bank_account_verification: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/bank_account_verifications/2be04c8f-f099-4b42-bad3-20f8669091b0',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/bank_accounts/a2d80044-ff79-4483-8864-9d42eb021dd5',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getBankAccount',
      },
    },
    '/api/v2/bank_account_verifications/{bank_account_verification_id}': {
      get: {
        tags: ['Bank Account Verification'],
        summary: 'Retrieve a Bank Account Verification',
        description: 'Retrieve a Bank Account Verification',
        parameters: [
          {
            name: 'bank_account_verification_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'bank_account_verification_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'c4a9783d-7069-4763-bcbb-42b6d52c5073',
                    type: 'bank_account_verification',
                    attributes: {
                      requested_at: '2023-12-08T15:39:31.726+02:00',
                      requested_by: 'Gov. Charles Wilkinson Rippin Gerhold',
                      verified_by: null,
                      verified_at: null,
                      verification_status: 'ready_for_review',
                      verification_results: [
                        {
                          result_type: 'positive_match',
                          result_description: 'Initials verified',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'Last names verified',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'ID number verified',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'Account exists',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'Account currently open',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'Account accepts credits',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'Account accepts debits',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'Account open for more than 3 months',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'Account type verified',
                        },
                      ],
                    },
                    relationships: {
                      bank_account: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/bank_accounts/5fbb2881-3748-4b5e-80b3-7d7aff64d44e',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/bank_account_verifications/c4a9783d-7069-4763-bcbb-42b6d52c5073',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getBankAccountVerification',
      },
      patch: {
        tags: ['Bank Account Verification'],
        summary: 'Accept/Reject Bank Account Verification',
        description: 'Accept/Reject Bank Account Verification',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'bank_account_verification_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'bank_account_verification_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '7b750f86-ff75-4b7c-b1e4-dbf02de48f38',
                    type: 'bank_account_verification',
                    attributes: {
                      requested_at: '2023-12-08T15:39:33.833+02:00',
                      requested_by: 'Jackson Abshire Lueilwitz Morar',
                      verified_by: 'Sen. Dora Lind Wilderman Nicolas',
                      verified_at: '2023-12-08T15:39:33.883+02:00',
                      verification_status: 'accepted',
                      verification_results: [
                        {
                          result_type: 'positive_match',
                          result_description: 'Initials verified',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'Last names verified',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'ID number verified',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'Account exists',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'Account currently open',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'Account accepts credits',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'Account accepts debits',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'Account open for more than 3 months',
                        },
                        {
                          result_type: 'positive_match',
                          result_description: 'Account type verified',
                        },
                      ],
                    },
                    relationships: {
                      bank_account: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/bank_accounts/6e7db625-e974-474a-a459-ad9df459048e',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/bank_account_verifications/7b750f86-ff75-4b7c-b1e4-dbf02de48f38',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateBankAccountVerification',
      },
    },
    '/api/v2/bank_accounts/{bank_account_id}/bank_account_verifications': {
      get: {
        tags: ['Bank Account Verification'],
        summary: 'List Bank Account Verifications',
        description: 'List Bank Account Verifications',
        parameters: [
          {
            name: 'bank_account_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'bank_account_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '5ae6a351-9b26-49ae-a858-e9745e989f3a',
                      type: 'bank_account_verification',
                      attributes: {
                        requested_at: '2023-12-08T15:39:32.712+02:00',
                        requested_by: 'Prof. Dewitt Hodkiewicz Ritchie Howell',
                        verified_by: null,
                        verified_at: null,
                        verification_status: 'ready_for_review',
                        verification_results: [
                          {
                            result_type: 'positive_match',
                            result_description: 'Initials verified',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Last names verified',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'ID number verified',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account exists',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account currently open',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account accepts credits',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account accepts debits',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account open for more than 3 months',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account type verified',
                          },
                        ],
                      },
                      relationships: {
                        bank_account: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/bank_accounts/24d3e07d-6cea-4e25-8409-33b712e47f86',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/bank_account_verifications/5ae6a351-9b26-49ae-a858-e9745e989f3a',
                      },
                    },
                    {
                      id: '052575b1-faaa-477c-a2e5-ade63f992f82',
                      type: 'bank_account_verification',
                      attributes: {
                        requested_at: '2023-12-08T15:39:32.780+02:00',
                        requested_by: 'Prof. Dewitt Hodkiewicz Ritchie Howell',
                        verified_by: null,
                        verified_at: null,
                        verification_status: 'being_processed',
                        verification_results: null,
                      },
                      relationships: {
                        bank_account: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/bank_accounts/24d3e07d-6cea-4e25-8409-33b712e47f86',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/bank_account_verifications/052575b1-faaa-477c-a2e5-ade63f992f82',
                      },
                    },
                    {
                      id: '8d0651a0-6d60-4f3d-ac60-eff221e7849c',
                      type: 'bank_account_verification',
                      attributes: {
                        requested_at: '2023-12-08T15:39:32.781+02:00',
                        requested_by: 'Prof. Dewitt Hodkiewicz Ritchie Howell',
                        verified_by: null,
                        verified_at: null,
                        verification_status: 'being_processed',
                        verification_results: null,
                      },
                      relationships: {
                        bank_account: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/bank_accounts/24d3e07d-6cea-4e25-8409-33b712e47f86',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/bank_account_verifications/8d0651a0-6d60-4f3d-ac60-eff221e7849c',
                      },
                    },
                    {
                      id: '46fc0525-37d2-40f6-8a4e-b9eed5b2c369',
                      type: 'bank_account_verification',
                      attributes: {
                        requested_at: '2023-12-08T15:39:32.783+02:00',
                        requested_by: 'Prof. Dewitt Hodkiewicz Ritchie Howell',
                        verified_by: null,
                        verified_at: null,
                        verification_status: 'being_processed',
                        verification_results: null,
                      },
                      relationships: {
                        bank_account: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/bank_accounts/24d3e07d-6cea-4e25-8409-33b712e47f86',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/bank_account_verifications/46fc0525-37d2-40f6-8a4e-b9eed5b2c369',
                      },
                    },
                    {
                      id: '22b221c7-670d-46b6-a291-2f90df7a1b89',
                      type: 'bank_account_verification',
                      attributes: {
                        requested_at: '2023-12-08T15:39:32.784+02:00',
                        requested_by: 'Prof. Dewitt Hodkiewicz Ritchie Howell',
                        verified_by: null,
                        verified_at: null,
                        verification_status: 'being_processed',
                        verification_results: null,
                      },
                      relationships: {
                        bank_account: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/bank_accounts/24d3e07d-6cea-4e25-8409-33b712e47f86',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/bank_account_verifications/22b221c7-670d-46b6-a291-2f90df7a1b89',
                      },
                    },
                    {
                      id: '72da6401-865d-4405-8b74-fba97be61cfe',
                      type: 'bank_account_verification',
                      attributes: {
                        requested_at: '2023-12-08T15:39:32.784+02:00',
                        requested_by: 'Prof. Dewitt Hodkiewicz Ritchie Howell',
                        verified_by: null,
                        verified_at: null,
                        verification_status: 'being_processed',
                        verification_results: null,
                      },
                      relationships: {
                        bank_account: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/bank_accounts/24d3e07d-6cea-4e25-8409-33b712e47f86',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/bank_account_verifications/72da6401-865d-4405-8b74-fba97be61cfe',
                      },
                    },
                    {
                      id: '09f670bb-6fc8-4132-b800-cc19593056a3',
                      type: 'bank_account_verification',
                      attributes: {
                        requested_at: '2023-12-08T15:39:32.785+02:00',
                        requested_by: 'Prof. Dewitt Hodkiewicz Ritchie Howell',
                        verified_by: null,
                        verified_at: null,
                        verification_status: 'ready_for_review',
                        verification_results: [
                          {
                            result_type: 'positive_match',
                            result_description: 'Initials verified',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Last names verified',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'ID number verified',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account exists',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account currently open',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account accepts credits',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account accepts debits',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account open for more than 3 months',
                          },
                          {
                            result_type: 'positive_match',
                            result_description: 'Account type verified',
                          },
                        ],
                      },
                      relationships: {
                        bank_account: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/bank_accounts/24d3e07d-6cea-4e25-8409-33b712e47f86',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/bank_account_verifications/09f670bb-6fc8-4132-b800-cc19593056a3',
                      },
                    },
                  ],
                  meta: {
                    total: 7,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listBankAccountBankAccountVerification',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/consumer_report_queries': {
      get: {
        tags: ['Consumer Report Query'],
        summary: 'List Consumer Report Queries',
        description: 'List Consumer Report Queries',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'c84ccebd-ff59-4369-8f43-19ac74074583',
                      type: 'consumer_report_query',
                      attributes: {
                        esb_institution_id: 'ffad90b5-a847-4a26-ba56-a570b49c0075',
                        response_payload: null,
                        status: 'pending_query',
                        data_source: 'chex_systems_qualifile',
                      },
                      relationships: {
                        kyc_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/912f647c-d21f-46e1-886c-40602c9ff44b',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/consumer_report_queries/c84ccebd-ff59-4369-8f43-19ac74074583',
                      },
                    },
                  ],
                  meta: {
                    total: 1,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycApplicationConsumerReportQuerie',
      },
    },
    '/api/v2/consumer_report_queries/{id}': {
      get: {
        tags: ['Consumer Report Query'],
        summary: 'Retrieve a consumer report query',
        description: 'Retrieve a consumer report query',
        parameters: [
          {
            name: 'id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'e8e1bc16-46bb-4709-8845-ea541fc9b13e',
                    type: 'consumer_report_query',
                    attributes: {
                      esb_institution_id: '764098ce-131a-45e5-b64b-51e4fc5df3c8',
                      response_payload: null,
                      status: 'pending_query',
                      data_source: 'chex_systems_qualifile',
                    },
                    relationships: {
                      kyc_application: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/9eccefaf-62cb-4644-bcb4-b9fcd1f9bab7',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/consumer_report_queries/e8e1bc16-46bb-4709-8845-ea541fc9b13e',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getConsumerReportQuerie',
      },
    },
    '/api/v2/consumer_report_queries/{id}/download': {
      get: {
        tags: ['Consumer Report Query'],
        summary: 'Download a Consumer Report PDF Document',
        description: 'Download a Consumer Report PDF Document',
        parameters: [
          {
            name: 'id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['application/pdf'],
            },
          },
          {
            name: 'id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '302': {
            description: 'Successful request to download a Consumer Report Document',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Location': {
                description: 'The Location header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Request with an invalid identifying path parameter',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request to download a PDF Consumer Report Query without the correct Accept header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'not_acceptable',
                      status: '406',
                      detail:
                        'Unacceptable content type requested. Please include an Accept header with the content type specified by the resource you requested',
                    },
                  ],
                },
              },
            },
          },
          '409': {
            description: 'Request to download a Consumer Report without a generated document',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'conflict',
                      status: '409',
                      detail: 'Failed to download report as it is not already generated.',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getConsumerReportQuerieDownload',
      },
    },
    '/api/v2/onboarding_invitations': {
      post: {
        tags: ['Onboarding Invitation'],
        summary: 'Create an onboarding invitation',
        description: 'Create an onboarding invitation',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'd0b5e396-ce27-48a6-9abb-df881fcab447',
                    type: 'kyc_application',
                    attributes: {
                      created_at: '2023-12-08T15:39:40.674+02:00',
                      updated_at: '2023-12-08T15:39:40.676+02:00',
                      renew_at: null,
                      approved_at: null,
                      invitation_url:
                        'https://portal.docfox.io/docfox?token=YOCkF4WQXRjGTYMxqUxoAVZXCYc2pTAiSIw3XFVFCPo',
                      kyc_entity_type_name: 'kyc_entity_type_1702042677',
                      status: {
                        name: 'overall_kyc_application_status',
                        status: 'in_progress',
                        status_description: 'Some modules are not yet complete.',
                      },
                      archived: false,
                      archived_reason: null,
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: '17409f60-9e90-4949-bd9c-ac7237a17c8f',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/17409f60-9e90-4949-bd9c-ac7237a17c8f',
                        },
                      },
                      data_requirements: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/d0b5e396-ce27-48a6-9abb-df881fcab447/data_requirements',
                        },
                      },
                      data_comparisons: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/d0b5e396-ce27-48a6-9abb-df881fcab447/data_comparisons',
                        },
                      },
                      status_summaries: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/d0b5e396-ce27-48a6-9abb-df881fcab447/status_summaries',
                        },
                      },
                      pdf_report_summaries: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/d0b5e396-ce27-48a6-9abb-df881fcab447/pdf_report_summaries',
                        },
                      },
                      related_entities: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/d0b5e396-ce27-48a6-9abb-df881fcab447/related_entities',
                        },
                      },
                      parent_related_entities: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/d0b5e396-ce27-48a6-9abb-df881fcab447/related_entities',
                        },
                      },
                      risk_rating_evaluations: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/d0b5e396-ce27-48a6-9abb-df881fcab447/risk_rating_evaluations',
                        },
                      },
                      bank_accounts: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/d0b5e396-ce27-48a6-9abb-df881fcab447/bank_accounts',
                        },
                      },
                      managed_by: {
                        data: {
                          id: '825d1ae6-bcd2-4acb-87a6-6c04dabe64bb',
                          type: 'user',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/825d1ae6-bcd2-4acb-87a6-6c04dabe64bb',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/kyc_applications/d0b5e396-ce27-48a6-9abb-df881fcab447',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '403': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_authorized',
                      status: '403',
                      detail: 'You are not authorized to perform this action',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createOnboardingInvitation',
      },
    },
    '/api/v2/onboarding_invitations/{kyc_application_id}': {
      patch: {
        tags: ['Onboarding Invitation'],
        summary: 'Resend an onboarding invitation',
        description: 'Resend an onboarding invitation',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'bac07ac0-ff88-402b-8ec5-f6db698a666f',
                    type: 'kyc_application',
                    attributes: {
                      created_at: '2023-12-08T15:39:41.240+02:00',
                      updated_at: '2023-12-08T15:39:41.333+02:00',
                      renew_at: null,
                      approved_at: null,
                      invitation_url:
                        'https://portal.docfox.io/docfox?token=hrFXsxelyKpSRhZ6KiQEhw9JkjcCNz5sBQB7xHwoMAI',
                      kyc_entity_type_name: 'Pty Ltd',
                      status: {
                        name: 'overall_kyc_application_status',
                        status: 'in_progress',
                        status_description: 'Some modules are not yet complete.',
                      },
                      archived: false,
                      archived_reason: null,
                    },
                    relationships: {
                      profile: {
                        data: {
                          id: '18436d6b-50be-4809-9cb5-358b6a0a2f44',
                          type: 'profile',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/profiles/18436d6b-50be-4809-9cb5-358b6a0a2f44',
                        },
                      },
                      data_requirements: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/bac07ac0-ff88-402b-8ec5-f6db698a666f/data_requirements',
                        },
                      },
                      data_comparisons: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/bac07ac0-ff88-402b-8ec5-f6db698a666f/data_comparisons',
                        },
                      },
                      status_summaries: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/bac07ac0-ff88-402b-8ec5-f6db698a666f/status_summaries',
                        },
                      },
                      pdf_report_summaries: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/bac07ac0-ff88-402b-8ec5-f6db698a666f/pdf_report_summaries',
                        },
                      },
                      related_entities: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/bac07ac0-ff88-402b-8ec5-f6db698a666f/related_entities',
                        },
                      },
                      parent_related_entities: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/bac07ac0-ff88-402b-8ec5-f6db698a666f/related_entities',
                        },
                      },
                      risk_rating_evaluations: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/bac07ac0-ff88-402b-8ec5-f6db698a666f/risk_rating_evaluations',
                        },
                      },
                      bank_accounts: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/bac07ac0-ff88-402b-8ec5-f6db698a666f/bank_accounts',
                        },
                      },
                      managed_by: {
                        data: {
                          id: 'd0fef8aa-0a69-4695-9260-161f38200fd6',
                          type: 'user',
                        },
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/users/d0fef8aa-0a69-4695-9260-161f38200fd6',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/kyc_applications/bac07ac0-ff88-402b-8ec5-f6db698a666f',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with an invalid data attribute type',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'Type is invalid. Expected type is onboarding_invitation',
                      source: {
                        pointer: 'data/type',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description: 'Request with send_invitation = false and email_text included',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail: 'email_text may not be provided if send_invitation is false',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateOnboardingInvitation',
      },
    },
    '/api/v2/forms/{form_id}/form_pdf_exports': {
      get: {
        tags: ['Form PDF Exports'],
        summary: 'List Form PDF Exports',
        description: 'List Form PDF Exports',
        parameters: [
          {
            name: 'form_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'form_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'bbd5585e-1216-4700-84b3-77f8ea603840',
                      type: 'form_pdf_export',
                      attributes: {
                        created_at: '2023-12-08T15:39:43.443+02:00',
                        updated_at: '2023-12-08T15:39:43.443+02:00',
                        status: 'generated',
                      },
                      relationships: {
                        form: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/forms/9ee174e0-8cb7-4ffc-b54c-1b65075e22e4',
                          },
                        },
                        form_datum: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/form_data/5e819f23-14f4-4154-8882-9f17c9e7ab5d',
                          },
                        },
                      },
                      links: {
                        download_url: '/forms/form_pdf_export_downloads/5',
                      },
                    },
                    {
                      id: '5f2230b3-4f5b-4f73-9f79-ef21d0e4af19',
                      type: 'form_pdf_export',
                      attributes: {
                        created_at: '2023-12-08T15:39:43.382+02:00',
                        updated_at: '2023-12-08T15:39:43.382+02:00',
                        status: 'generated',
                      },
                      relationships: {
                        form: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/forms/9ee174e0-8cb7-4ffc-b54c-1b65075e22e4',
                          },
                        },
                        form_datum: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/form_data/6f9a233f-b3e5-4d19-8d89-e24327bfeacf',
                          },
                        },
                      },
                      links: {
                        download_url: '/forms/form_pdf_export_downloads/4',
                      },
                    },
                    {
                      id: 'a345483c-a8d9-44c2-9de6-0d5a28e166c1',
                      type: 'form_pdf_export',
                      attributes: {
                        created_at: '2023-12-08T15:39:43.323+02:00',
                        updated_at: '2023-12-08T15:39:43.323+02:00',
                        status: 'generated',
                      },
                      relationships: {
                        form: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/forms/9ee174e0-8cb7-4ffc-b54c-1b65075e22e4',
                          },
                        },
                        form_datum: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/form_data/e1a332fa-5dc9-4610-9a71-9258f7f93a00',
                          },
                        },
                      },
                      links: {
                        download_url: '/forms/form_pdf_export_downloads/3',
                      },
                    },
                    {
                      id: '530c42eb-f8c7-4ced-8a94-fe9106ad0eee',
                      type: 'form_pdf_export',
                      attributes: {
                        created_at: '2023-12-08T15:39:43.262+02:00',
                        updated_at: '2023-12-08T15:39:43.262+02:00',
                        status: 'generated',
                      },
                      relationships: {
                        form: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/forms/9ee174e0-8cb7-4ffc-b54c-1b65075e22e4',
                          },
                        },
                        form_datum: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/form_data/2d1dcd3b-7696-47f2-80be-a3ac63c3763a',
                          },
                        },
                      },
                      links: {
                        download_url: '/forms/form_pdf_export_downloads/2',
                      },
                    },
                    {
                      id: 'f02e89e8-15eb-4824-91c8-95ab79914aaf',
                      type: 'form_pdf_export',
                      attributes: {
                        created_at: '2023-12-08T15:39:43.189+02:00',
                        updated_at: '2023-12-08T15:39:43.189+02:00',
                        status: 'generated',
                      },
                      relationships: {
                        form: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/forms/9ee174e0-8cb7-4ffc-b54c-1b65075e22e4',
                          },
                        },
                        form_datum: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/form_data/f1b4f55e-3793-4916-87b1-edc333cc0a13',
                          },
                        },
                      },
                      links: {
                        download_url: '/forms/form_pdf_export_downloads/1',
                      },
                    },
                  ],
                  meta: {
                    total: 5,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listFormFormPdfExport',
      },
      post: {
        tags: ['Form PDF Exports'],
        summary: 'Create Form PDF Export',
        description: 'Create Form PDF Export',
        parameters: [
          {
            name: 'form_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'form_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '25a14b29-10f1-41ca-8289-f1c2357686ac',
                    type: 'form_pdf_export',
                    attributes: {
                      created_at: '2023-12-08T15:39:45.786+02:00',
                      updated_at: '2023-12-08T15:39:54.924+02:00',
                      status: 'failed_generation',
                    },
                    relationships: {
                      form: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/forms/ce50f0b3-7223-4564-8868-3183f3271554',
                        },
                      },
                      form_datum: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/form_data/5fa57e14-9590-4027-b2d6-72f9b5125757',
                        },
                      },
                    },
                    links: {
                      download_url: '/forms/form_pdf_export_downloads/7',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '429': {
            description:
              'Request to generate a Form PDF export while a previous one is still generating',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'too_many_requests',
                      status: '429',
                      detail:
                        'A PDF export of this form is currently being generated. Please follow the resource link included in the links attribute of this response body to check on its status.',
                      links: {
                        related:
                          'http://example.org/api/v2/form_pdf_exports/7339b5b0-0515-4ca4-857a-67c20a91f8a5',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createFormFormPdfExport',
      },
    },
    '/api/v2/form_pdf_exports/{form_pdf_export_id}/': {
      get: {
        tags: ['Form PDF Exports'],
        summary: 'Retrieve Form PDF Export',
        description: 'Retrieve Form PDF Export',
        parameters: [
          {
            name: 'form_pdf_export_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'form_pdf_export_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '95587570-24da-4ab6-91d7-71195030473e',
                    type: 'form_pdf_export',
                    attributes: {
                      created_at: '2023-12-08T15:39:58.533+02:00',
                      updated_at: '2023-12-08T15:39:58.533+02:00',
                      status: 'generated',
                    },
                    relationships: {
                      form: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/forms/fa135cbf-458e-4833-9ded-2b9d9508a16e',
                        },
                      },
                      form_datum: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/form_data/5f22c7c2-4f05-4e54-8946-486c82e944c8',
                        },
                      },
                    },
                    links: {
                      download_url: '/forms/form_pdf_export_downloads/9',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getFormPdfExport',
      },
    },
    '/api/v2/form_pdf_exports/{form_pdf_export_id}/download': {
      get: {
        tags: ['Form PDF Exports'],
        summary: 'Download a Form PDF Export by ID',
        description: 'Download a Form PDF Export by ID',
        parameters: [
          {
            name: 'form_pdf_export_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
              enum: ['application/pdf'],
            },
          },
          {
            name: 'form_pdf_export_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '302': {
            description: 'Successful request to download a Form PDF Export',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Location': {
                description: 'The Location header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Request with an invalid identifying path parameter',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description: 'Request to download a Form PDF Export without the correct Accept header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'not_acceptable',
                      status: '406',
                      detail:
                        'Unacceptable content type requested. Please include an Accept header with the content type specified by the resource you requested',
                    },
                  ],
                },
              },
            },
          },
          '409': {
            description: 'Request to download a Form PDF Export which is still being generated',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/pdf': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'conflict',
                      status: '409',
                      detail:
                        'The Form PDF Export you tried to download is still being generated. Please use the resource link included in the links attribute of this response body to check on its status.',
                      links: {
                        related:
                          'http://example.org/api/v2/form_pdf_exports/40d2f406-4fac-40ff-83da-aba8a73eacd2',
                      },
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getFormPdfExportDownload',
      },
    },
    '/api/v2/kyc_entity_templates/{kyc_entity_template_id}/designation_templates': {
      get: {
        tags: ['Related Entity Designations'],
        summary: 'List Designation Templates for a KYC Entity Template',
        description: 'List Designation Templates for a KYC Entity Template',
        parameters: [
          {
            name: 'kyc_entity_template_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_entity_template_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '130cf9ff-1c61-4d6f-9a49-977502e85071',
                      type: 'designation_template',
                      attributes: {
                        title: 'Director',
                        required: false,
                        additional_info: [],
                      },
                    },
                    {
                      id: 'ca71d229-ed36-430b-9bc5-6ff94b5162d1',
                      type: 'designation_template',
                      attributes: {
                        title: 'Shareholder',
                        required: false,
                        additional_info: ['percentage_shareholding'],
                      },
                    },
                  ],
                  meta: {
                    total: 2,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycEntityTemplateDesignationTemplate',
      },
    },
    '/api/v2/related_entity_designations/{related_entity_designation_id}': {
      get: {
        tags: ['Related Entity Designations'],
        summary: 'Retrieve Related Entity Designation',
        description: 'Retrieve Related Entity Designation',
        parameters: [
          {
            name: 'related_entity_designation_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'related_entity_designation_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '9df96d3d-8b9d-47e4-a8ff-296310051d4e',
                    type: 'related_entity_designation',
                    attributes: {
                      title: 'Controller',
                      data_field_values: [
                        {
                          id: 3,
                          uuid: '281e5e0f-930e-48ae-a3df-171d34f8af3a',
                          data_field_id: 'first_names',
                          value: 'Bob',
                          serialized_data_field: {
                            first_names: 'Bob',
                          },
                          created_at: '2023-12-08T15:40:09.029+02:00',
                          updated_at: '2023-12-08T15:40:09.029+02:00',
                        },
                      ],
                    },
                    relationships: {
                      related_entity: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/related_entities/62df63e1-6880-42f8-b026-db46a2d74dfa',
                        },
                      },
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getRelatedEntityDesignation',
      },
      delete: {
        tags: ['Related Entity Designations'],
        summary: 'Delete Related Entity Designation',
        description: 'Delete Related Entity Designation',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'related_entity_designation_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'related_entity_designation_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '204': {
            description: '',
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  description: '',
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              '*/*': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
              },
              'application/vnd.api+json': {
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'deleteRelatedEntityDesignation',
      },
    },
    '/api/v2/related_entities/{related_entity_id}/related_entity_designations': {
      get: {
        tags: ['Related Entity Designations'],
        summary: 'List Related Entity Designations for Related Entity',
        description: 'List Related Entity Designations for Related Entity',
        parameters: [
          {
            name: 'related_entity_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'related_entity_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '9b704701-b5ef-451e-b61f-931e1fb50cb7',
                      type: 'related_entity_designation',
                      attributes: {
                        title: 'Controller',
                        data_field_values: [
                          {
                            id: 4,
                            uuid: '2fe9a17a-6850-4f52-bfe1-a02397c53a37',
                            data_field_id: 'first_names',
                            value: 'Bob',
                            serialized_data_field: {
                              first_names: 'Bob',
                            },
                            created_at: '2023-12-08T15:40:10.078+02:00',
                            updated_at: '2023-12-08T15:40:10.078+02:00',
                          },
                        ],
                      },
                      relationships: {
                        related_entity: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/related_entities/14f5f9bf-e230-4f92-81d1-c8e0aa3273dc',
                          },
                        },
                      },
                    },
                  ],
                  meta: {
                    total: 1,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listRelatedEntitieRelatedEntityDesignation',
      },
      post: {
        tags: ['Related Entity Designations'],
        summary: 'Create Related Entity Designation',
        description: 'Create Related Entity Designation',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'related_entity_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'related_entity_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'c41b7133-c24e-4d04-8ccc-c6d77a94c16e',
                    type: 'related_entity_designation',
                    attributes: {
                      title: 'Shareholder',
                      data_field_values: [
                        {
                          id: 5,
                          uuid: '1211fea8-5ce0-42bc-9928-9fbdfbe49a32',
                          data_field_id: 'percentage_shareholding',
                          value: '70.0',
                          serialized_data_field: {
                            percentage_shareholding: 70,
                          },
                          created_at: '2023-12-08T15:40:11.753+02:00',
                          updated_at: '2023-12-08T15:40:11.753+02:00',
                        },
                      ],
                    },
                    relationships: {
                      related_entity: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/related_entities/50b3f705-c70a-4e13-b87c-e3272cbf7d9f',
                        },
                      },
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '422': {
            description:
              'Request with data that is invalid against the additional info requirements',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'unprocessable_entity',
                      status: '422',
                      detail:
                        'Additional info was expected, but none was provided, Additional info is missing at least one value',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createRelatedEntitieRelatedEntityDesignation',
      },
    },
    '/api/v2/products/{product_id}/product_product_addons': {
      get: {
        tags: ['Product Addons'],
        summary: 'List addons for a product',
        description: 'List addons for a product',
        parameters: [
          {
            name: 'product_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'product_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '13feecd0-5890-4ede-954d-f3bc874b589b',
                      type: 'product_product_addon',
                      attributes: {
                        active_from: null,
                        active_to: null,
                        required: false,
                        default: false,
                        addon_product_id: '940579bb-dd31-442c-b5d1-a74cb36d435d',
                        addon_name: 'Product Name',
                        addon_description: 'Product Description',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/product_product_addons/dcb4856e-bfa0-4736-9420-ddb6ce896017.13feecd0-5890-4ede-954d-f3bc874b589b',
                      },
                    },
                    {
                      id: 'd553ecd1-74b0-42d4-9516-b9e1a8180b95',
                      type: 'product_product_addon',
                      attributes: {
                        active_from: null,
                        active_to: null,
                        required: false,
                        default: false,
                        addon_product_id: '845be608-a788-411a-89bf-e49070f35b8a',
                        addon_name: 'Product Name',
                        addon_description: 'Product Description',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/product_product_addons/dcb4856e-bfa0-4736-9420-ddb6ce896017.d553ecd1-74b0-42d4-9516-b9e1a8180b95',
                      },
                    },
                  ],
                  meta: {
                    total: 2,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listProductProductProductAddon',
      },
    },
    '/api/v2/account_applications/{account_application_id}/account_addons': {
      get: {
        tags: ['Account Addons'],
        summary: 'List addons for an account application',
        description: 'List addons for an account application',
        parameters: [
          {
            name: 'account_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'account_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '02198d2a-0b4d-42ca-83ab-cbc739cce540',
                      type: 'account_addon',
                      attributes: {
                        product_addon_name: 'This is product addon 1',
                      },
                      relationships: {
                        product_addon: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/products/5ed57497-968a-4c5b-a604-88ecd31a9af6',
                          },
                        },
                        account_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/account_applications/747d24e9-3cf2-4863-a4fe-3cfecd6465f6',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/account_addons/02198d2a-0b4d-42ca-83ab-cbc739cce540',
                      },
                    },
                    {
                      id: 'a658c3dc-908a-4d6a-964e-a9265b9d506e',
                      type: 'account_addon',
                      attributes: {
                        product_addon_name: 'This is product addon 2',
                      },
                      relationships: {
                        product_addon: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/products/9338c5d4-2790-4e8e-b7e6-30dbe8fe40df',
                          },
                        },
                        account_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/account_applications/747d24e9-3cf2-4863-a4fe-3cfecd6465f6',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/account_addons/a658c3dc-908a-4d6a-964e-a9265b9d506e',
                      },
                    },
                  ],
                  meta: {
                    total: 2,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listAccountApplicationAccountAddon',
      },
    },
    '/api/v2/account_addons/{account_addon_id}': {
      get: {
        tags: ['Account Addons'],
        summary: 'Retrieve Account Addon',
        description: 'Retrieve Account Addon',
        parameters: [
          {
            name: 'account_addon_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'account_addon_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '440318ac-ac70-453c-95fc-6ed24235ac76',
                    type: 'account_addon',
                    attributes: {
                      product_addon_name: 'This is product addon 1',
                    },
                    relationships: {
                      product_addon: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/products/354063b3-be2e-4c9f-b022-97659610567c',
                        },
                      },
                      account_application: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/b76b0676-cd7e-48a4-a953-29430a90d0ec',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/account_addons/440318ac-ac70-453c-95fc-6ed24235ac76',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getAccountAddon',
      },
    },
    '/api/v2/products/{product_id}/disclosures': {
      get: {
        tags: ['Product Disclosures'],
        summary: 'List disclosures for a product',
        description: 'List disclosures for a product',
        parameters: [
          {
            name: 'product_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'product_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '97d72144-a4d0-4629-a7dd-c1f94cf4a193',
                      type: 'disclosure',
                      attributes: {
                        name: 'Disclosure_1',
                        url: 'https://www.disclosure_1.com',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/disclosures/97d72144-a4d0-4629-a7dd-c1f94cf4a193',
                      },
                    },
                  ],
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '403': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_authorized',
                      status: '403',
                      detail: 'You are not authorized to perform this action',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Request with an invalid identifying path parameter',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listProductDisclosure',
      },
    },
    '/api/v2/disclosures': {
      get: {
        tags: ['Disclosures'],
        summary: 'List Disclosure',
        description: 'List Disclosure',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '822c6edb-f87b-4e24-8aa6-f129715f7bac',
                      type: 'disclosure',
                      attributes: {
                        name: 'Disclosure_1',
                        url: 'https://www.disclosure_1.com',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/disclosures/822c6edb-f87b-4e24-8aa6-f129715f7bac',
                      },
                    },
                    {
                      id: '1a2e956f-5120-493a-9858-00bf38ecab50',
                      type: 'disclosure',
                      attributes: {
                        name: 'Disclosure_2',
                        url: 'https://www.disclosure_2.com',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/disclosures/1a2e956f-5120-493a-9858-00bf38ecab50',
                      },
                    },
                  ],
                  meta: {
                    total: 2,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '403': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_authorized',
                      status: '403',
                      detail: 'You are not authorized to perform this action',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listDisclosure',
      },
    },
    '/api/v2/disclosures/{disclosure_id}': {
      get: {
        tags: ['Disclosures'],
        summary: 'Retrieve Disclosure',
        description: 'Retrieve Disclosure',
        parameters: [
          {
            name: 'disclosure_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'disclosure_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '5eb6fe56-9c21-482b-84e6-02e0dd6921e6',
                    type: 'disclosure',
                    attributes: {
                      name: 'Disclosure_1',
                      url: 'https://www.disclosure_1.com',
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/disclosures/5eb6fe56-9c21-482b-84e6-02e0dd6921e6',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getDisclosure',
      },
    },
    '/api/v2/products': {
      get: {
        tags: ['Products'],
        summary: 'List products ',
        description: 'List products ',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '7c819de7-dbdb-46b3-964a-a6446cbd635e',
                      type: 'product',
                      attributes: {
                        name: ' Product 3',
                        description: '',
                      },
                      relationships: {
                        product_product_addons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/products/7c819de7-dbdb-46b3-964a-a6446cbd635e/product_product_addons',
                          },
                        },
                        disclosures: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/products/7c819de7-dbdb-46b3-964a-a6446cbd635e/disclosures',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/products/7c819de7-dbdb-46b3-964a-a6446cbd635e',
                      },
                    },
                    {
                      id: 'c997a3d7-3aa9-4600-b544-1f4a3c28c201',
                      type: 'product',
                      attributes: {
                        name: 'Product 1',
                        description: '',
                      },
                      relationships: {
                        product_product_addons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/products/c997a3d7-3aa9-4600-b544-1f4a3c28c201/product_product_addons',
                          },
                        },
                        disclosures: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/products/c997a3d7-3aa9-4600-b544-1f4a3c28c201/disclosures',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/products/c997a3d7-3aa9-4600-b544-1f4a3c28c201',
                      },
                    },
                    {
                      id: 'c70d023e-f31f-4a37-b732-e5a836caab0f',
                      type: 'product',
                      attributes: {
                        name: 'Product 2',
                        description: '',
                      },
                      relationships: {
                        product_product_addons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/products/c70d023e-f31f-4a37-b732-e5a836caab0f/product_product_addons',
                          },
                        },
                        disclosures: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/products/c70d023e-f31f-4a37-b732-e5a836caab0f/disclosures',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/products/c70d023e-f31f-4a37-b732-e5a836caab0f',
                      },
                    },
                  ],
                  meta: {
                    total: 3,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '403': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_authorized',
                      status: '403',
                      detail: 'You are not authorized to perform this action',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listProduct',
      },
    },
    '/api/v2/products/{id}': {
      get: {
        tags: ['Products'],
        summary: 'Retrieve Product',
        description: 'Retrieve Product',
        parameters: [
          {
            name: 'id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '37879b2b-69d8-4a28-b050-0a0955b497ee',
                    type: 'product',
                    attributes: {
                      name: 'Product 1',
                      description: '',
                    },
                    relationships: {
                      product_product_addons: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/products/37879b2b-69d8-4a28-b050-0a0955b497ee/product_product_addons',
                        },
                      },
                      disclosures: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/products/37879b2b-69d8-4a28-b050-0a0955b497ee/disclosures',
                        },
                      },
                    },
                    links: {
                      self: 'https://www.docfoxapp.com/api/v2/products/37879b2b-69d8-4a28-b050-0a0955b497ee',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getProduct',
      },
    },
    '/api/v2/kyc_entity_templates/{kyc_entity_template_id}/products': {
      get: {
        tags: ['KycEntityTemplates Products'],
        summary: 'List products for a KYC Entity Template',
        description: 'List products for a KYC Entity Template',
        parameters: [
          {
            name: 'kyc_entity_template_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_entity_template_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'a89c4de6-0a3e-4c62-8b19-b552b4c4c731',
                      type: 'product',
                      attributes: {
                        name: 'Product 1',
                        description: '',
                      },
                      relationships: {
                        product_product_addons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/products/a89c4de6-0a3e-4c62-8b19-b552b4c4c731/product_product_addons',
                          },
                        },
                        disclosures: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/products/a89c4de6-0a3e-4c62-8b19-b552b4c4c731/disclosures',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/products/a89c4de6-0a3e-4c62-8b19-b552b4c4c731',
                      },
                    },
                    {
                      id: '001bc222-22aa-4eea-b64a-3f984a0c1a84',
                      type: 'product',
                      attributes: {
                        name: 'Product 2',
                        description: '',
                      },
                      relationships: {
                        product_product_addons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/products/001bc222-22aa-4eea-b64a-3f984a0c1a84/product_product_addons',
                          },
                        },
                        disclosures: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/products/001bc222-22aa-4eea-b64a-3f984a0c1a84/disclosures',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/products/001bc222-22aa-4eea-b64a-3f984a0c1a84',
                      },
                    },
                  ],
                  meta: {
                    total: 2,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycEntityTemplateProduct',
      },
    },
    '/api/v2/account_applications/{id}/account_summary_pdf': {
      get: {
        tags: ['Account Application Pdf Summary'],
        summary: 'Retrieve account application PDF summary ',
        description: 'Retrieve account application PDF summary ',
        parameters: [
          {
            name: 'id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Operation Successful',
            headers: {},
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                    },
                  },
                  description: '',
                },
              },
            },
          },
          '404': {
            description: 'Request with an invalid identifying path parameter',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getAccountApplicationAccountSummaryPdf',
      },
    },
    '/api/v2/kyc_entity_templates/{kyc_entity_template_id}/disclosures': {
      get: {
        tags: ['KycEntityTemplates Disclosures'],
        summary: 'List disclosures for a KYC Entity Template',
        description: 'List disclosures for a KYC Entity Template',
        parameters: [
          {
            name: 'kyc_entity_template_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_entity_template_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '24f28f65-7696-46df-824a-adbc6c1d67d1',
                      type: 'disclosure',
                      attributes: {
                        name: 'Disclosure_1',
                        url: 'https://www.disclosure_1.com',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/disclosures/24f28f65-7696-46df-824a-adbc6c1d67d1',
                      },
                    },
                    {
                      id: '7dd604bc-123d-48b5-bcf6-3395048b8836',
                      type: 'disclosure',
                      attributes: {
                        name: 'Disclosure_2',
                        url: 'https://www.disclosure_2.com',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/disclosures/7dd604bc-123d-48b5-bcf6-3395048b8836',
                      },
                    },
                  ],
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '403': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_authorized',
                      status: '403',
                      detail: 'You are not authorized to perform this action',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Request with an invalid identifying path parameter',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycEntityTemplateDisclosure',
      },
    },
    '/api/v2/account_applications/{account_application_id}/data_requirements': {
      get: {
        tags: ['Data Requirements'],
        summary: 'List Data Requirements associated with an Account Application',
        description: 'List Data Requirements associated with an Account Application',
        parameters: [
          {
            name: 'account_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'forms',
            in: 'query',
            description: '',
            schema: {
              type: 'boolean',
            },
          },
          {
            name: 'account_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: 'd4a3ccec-647e-4779-8179-158f1caf7a33',
                      type: 'data_requirement',
                      attributes: {
                        created_at: '2023-12-08T15:40:34.901+02:00',
                        updated_at: '2023-12-08T15:40:34.904+02:00',
                        required: true,
                        valid_evidence_types: ['form_evidence_type_r21zcjhyo9'],
                        name: 'Primary Form',
                        slug: 'primary_form',
                        form: true,
                        duplicable: false,
                        duplicate_of: null,
                        duplicates_min: 1,
                        duplicates_max: 30,
                      },
                      relationships: {
                        account_application: {
                          data: {
                            id: '7c004018-e1a0-4851-a539-55ddd3146d7c',
                            type: 'account_application',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/account_applications/7c004018-e1a0-4851-a539-55ddd3146d7c',
                          },
                        },
                        active_evidence_submission: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/1e4e52b9-58a2-4f90-bed5-e17c5ec18674',
                          },
                        },
                        evidence_submissions: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/d4a3ccec-647e-4779-8179-158f1caf7a33/evidence_submissions',
                          },
                        },
                        data_comparisons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/d4a3ccec-647e-4779-8179-158f1caf7a33/data_comparisons',
                          },
                        },
                        data_requirement_permissions: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/d4a3ccec-647e-4779-8179-158f1caf7a33/data_requirement_permissions',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/data_requirements/d4a3ccec-647e-4779-8179-158f1caf7a33',
                      },
                    },
                    {
                      id: '3ab0a44a-f885-4110-92cf-d2eaf3520f68',
                      type: 'data_requirement',
                      attributes: {
                        created_at: '2023-12-08T15:40:34.908+02:00',
                        updated_at: '2023-12-08T15:40:34.910+02:00',
                        required: true,
                        valid_evidence_types: ['id_document', 'smart_card_id'],
                        name: 'Unknown',
                        slug: 'unknown',
                        form: false,
                        duplicable: false,
                        duplicate_of: null,
                        duplicates_min: 1,
                        duplicates_max: 30,
                      },
                      relationships: {
                        account_application: {
                          data: {
                            id: '7c004018-e1a0-4851-a539-55ddd3146d7c',
                            type: 'account_application',
                          },
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/account_applications/7c004018-e1a0-4851-a539-55ddd3146d7c',
                          },
                        },
                        active_evidence_submission: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/evidence_submissions/ffb2cb8e-1887-486d-bd64-38023a71263c',
                          },
                        },
                        evidence_submissions: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/3ab0a44a-f885-4110-92cf-d2eaf3520f68/evidence_submissions',
                          },
                        },
                        data_comparisons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/3ab0a44a-f885-4110-92cf-d2eaf3520f68/data_comparisons',
                          },
                        },
                        data_requirement_permissions: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/data_requirements/3ab0a44a-f885-4110-92cf-d2eaf3520f68/data_requirement_permissions',
                          },
                        },
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/data_requirements/3ab0a44a-f885-4110-92cf-d2eaf3520f68',
                      },
                    },
                  ],
                  meta: {
                    total: 2,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listAccountApplicationDataRequirement',
      },
    },
    '/api/v2/product_product_addons/disclosures': {
      get: {
        tags: ['Product Product Addon Disclosures'],
        summary: 'List Product Product Addon Disclosures',
        description: 'List Product Product Addon Disclosures',
        parameters: [
          {
            name: 'product_product_addon_ids',
            in: 'query',
            description: '',
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '244a6024-3ec9-4aa6-a1bb-4f5942fea6eb',
                      type: 'disclosure',
                      attributes: {
                        name: 'Disclosure_2',
                        url: 'https://www.disclosure_1.com',
                      },
                      links: {
                        self: 'https://www.docfoxapp.com/api/v2/disclosures/244a6024-3ec9-4aa6-a1bb-4f5942fea6eb',
                      },
                    },
                  ],
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '403': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_authorized',
                      status: '403',
                      detail: 'You are not authorized to perform this action',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listProductProductAddonsDisclosure',
      },
    },
    '/api/v2/account_applications/{id}/account_summary': {
      get: {
        tags: ['Account Application Summary'],
        summary: 'Retrieve account application summary ',
        description: 'Retrieve account application summary ',
        parameters: [
          {
            name: 'id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Operation Successful',
            headers: {},
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                    },
                  },
                  description: '',
                },
              },
            },
          },
          '404': {
            description: 'Request with an invalid identifying path parameter',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getAccountApplicationAccountSummary',
      },
    },
    '/api/v2/kyc_applications/{kyc_application_id}/account_applications': {
      get: {
        tags: ['Account Applications'],
        summary: 'List KYC Application Account Applications',
        description: 'List KYC Application Account Applications',
        parameters: [
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'page',
            in: 'query',
            description: '',
            schema: {
              minimum: 1,
              type: 'integer',
              default: 1,
            },
          },
          {
            name: 'per_page',
            in: 'query',
            description: '',
            schema: {
              maximum: 100,
              minimum: 1,
              type: 'integer',
              default: 10,
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for listing a resource collection',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: [
                    {
                      id: '4d9b681d-2a72-430e-9418-04e2bc784d4d',
                      type: 'account_application',
                      attributes: {
                        account_number: 'rfhswbch',
                        status: 'incomplete',
                        submitted_at: null,
                        opened_at: null,
                        account_product_name: 'Product Name',
                        product_external_ref_number: '95345679-9855-4909-b7e1-c81622065a15',
                        disclosures_outstanding: false,
                        product_service_charge_code: '76750efd-6f9c-4eb5-b27a-921e6cffabee',
                        account_kyc_disclosures: [],
                        account_kyc_entity_template_uuid: '7e0b5895-080f-42a4-b952-3a14521d4fef',
                      },
                      relationships: {
                        product: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/products/cda96df9-8493-4ce8-8a91-e926bbc85183',
                          },
                        },
                        kyc_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/2d19c778-6c0d-4bc6-84fe-6de341a9fe0b',
                          },
                        },
                        account_addons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/account_applications/4d9b681d-2a72-430e-9418-04e2bc784d4d/account_addons',
                          },
                        },
                        account_addon_disclosure_acceptances: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/account_applications/4d9b681d-2a72-430e-9418-04e2bc784d4d/account_addon_disclosure_acceptances',
                          },
                        },
                        product_disclosure_acceptances: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/account_applications/4d9b681d-2a72-430e-9418-04e2bc784d4d/product_disclosure_acceptances',
                          },
                        },
                        data_requirements: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/account_applications/4d9b681d-2a72-430e-9418-04e2bc784d4d/data_requirements',
                          },
                        },
                      },
                      links: {
                        account_summary:
                          'https://www.docfoxapp.com/api/v2/account_applications/4d9b681d-2a72-430e-9418-04e2bc784d4d/account_summary_pdf',
                        self: 'https://www.docfoxapp.com/api/v2/account_applications/4d9b681d-2a72-430e-9418-04e2bc784d4d',
                      },
                    },
                    {
                      id: '58a637c1-b632-4b29-8d99-bdf815c42e0b',
                      type: 'account_application',
                      attributes: {
                        account_number: 'hbubqmll',
                        status: 'incomplete',
                        submitted_at: null,
                        opened_at: null,
                        account_product_name: 'Product Name',
                        product_external_ref_number: '95345679-9855-4909-b7e1-c81622065a15',
                        disclosures_outstanding: false,
                        product_service_charge_code: '76750efd-6f9c-4eb5-b27a-921e6cffabee',
                        account_kyc_disclosures: [],
                        account_kyc_entity_template_uuid: '7e0b5895-080f-42a4-b952-3a14521d4fef',
                      },
                      relationships: {
                        product: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/products/cda96df9-8493-4ce8-8a91-e926bbc85183',
                          },
                        },
                        kyc_application: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/kyc_applications/2d19c778-6c0d-4bc6-84fe-6de341a9fe0b',
                          },
                        },
                        account_addons: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/account_applications/58a637c1-b632-4b29-8d99-bdf815c42e0b/account_addons',
                          },
                        },
                        account_addon_disclosure_acceptances: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/account_applications/58a637c1-b632-4b29-8d99-bdf815c42e0b/account_addon_disclosure_acceptances',
                          },
                        },
                        product_disclosure_acceptances: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/account_applications/58a637c1-b632-4b29-8d99-bdf815c42e0b/product_disclosure_acceptances',
                          },
                        },
                        data_requirements: {
                          links: {
                            related:
                              'https://www.docfoxapp.com/api/v2/account_applications/58a637c1-b632-4b29-8d99-bdf815c42e0b/data_requirements',
                          },
                        },
                      },
                      links: {
                        account_summary:
                          'https://www.docfoxapp.com/api/v2/account_applications/58a637c1-b632-4b29-8d99-bdf815c42e0b/account_summary_pdf',
                        self: 'https://www.docfoxapp.com/api/v2/account_applications/58a637c1-b632-4b29-8d99-bdf815c42e0b',
                      },
                    },
                  ],
                  meta: {
                    total: 2,
                    per_page: 10,
                    page: 1,
                  },
                },
              },
            },
          },
          '400': {
            description: 'Request with a per_page parameter exceeding the maximum',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'bad_request',
                      status: '400',
                      detail: 'The maximum pagination per page value is 100',
                      source: {
                        parameter: 'per_page',
                      },
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'listKycApplicationAccountApplication',
      },
      post: {
        tags: ['Account Applications'],
        summary: 'Create a new Account Application for a Kyc Application',
        description: 'Create a new Account Application for a Kyc Application',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'kyc_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/vnd.api+json': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '201': {
            description: 'Successful request for creating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '5d32704e-8d83-4346-a1ab-38315a95246c',
                    type: 'account_application',
                    attributes: {
                      account_number: null,
                      status: 'incomplete',
                      submitted_at: null,
                      opened_at: null,
                      account_product_name: 'Product Name',
                      product_external_ref_number: '122f4e74-1b6e-4194-be00-a59d9482f061',
                      disclosures_outstanding: false,
                      product_service_charge_code: '2a84c924-c2d7-41cf-ab35-6643d0ef3a76',
                      account_kyc_disclosures: [
                        {
                          accepted_at: '2023-12-08T15:40:49.262+02:00',
                          accepted_at_ip: '127.0.0.1',
                          url: 'https://www.test.com',
                          name: 'Entity Disclosure',
                        },
                      ],
                      account_kyc_entity_template_uuid: '2ba212a2-2686-4b09-8880-bc9a9932ef8e',
                    },
                    relationships: {
                      product: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/products/474dda08-7c76-42c6-9fe0-3be849a9fb4e',
                        },
                      },
                      kyc_application: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/0bdf506b-f049-4549-80c3-195b626069c7',
                        },
                      },
                      account_addons: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/5d32704e-8d83-4346-a1ab-38315a95246c/account_addons',
                        },
                      },
                      account_addon_disclosure_acceptances: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/5d32704e-8d83-4346-a1ab-38315a95246c/account_addon_disclosure_acceptances',
                        },
                      },
                      product_disclosure_acceptances: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/5d32704e-8d83-4346-a1ab-38315a95246c/product_disclosure_acceptances',
                        },
                      },
                      data_requirements: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/5d32704e-8d83-4346-a1ab-38315a95246c/data_requirements',
                        },
                      },
                    },
                    links: {
                      account_summary:
                        'https://www.docfoxapp.com/api/v2/account_applications/5d32704e-8d83-4346-a1ab-38315a95246c/account_summary_pdf',
                      self: 'https://www.docfoxapp.com/api/v2/account_applications/5d32704e-8d83-4346-a1ab-38315a95246c',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'createKycApplicationAccountApplication',
      },
    },
    '/api/v2/account_applications/{account_application_id}': {
      get: {
        tags: ['Account Applications'],
        summary: 'Retrieve Account Application',
        description: 'Retrieve Account Application',
        parameters: [
          {
            name: 'account_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'account_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        responses: {
          '200': {
            description: 'Successful request for fetching a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: '654d5173-8624-4d3c-8753-4d177da18ba0',
                    type: 'account_application',
                    attributes: {
                      account_number: 'yschfqru',
                      status: 'incomplete',
                      submitted_at: null,
                      opened_at: null,
                      account_product_name: 'Product Name',
                      product_external_ref_number: '63308f26-a0e6-4142-9784-7afe8368d26f',
                      disclosures_outstanding: false,
                      product_service_charge_code: 'aec2e581-236c-4556-8d62-4ad1b10bf680',
                      account_kyc_disclosures: [],
                      account_kyc_entity_template_uuid: 'd911a7b6-c772-49bf-b0fb-1efc1bcb20a1',
                    },
                    relationships: {
                      product: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/products/819c4b0c-c8d2-4026-97d8-7918f2deb3fb',
                        },
                      },
                      kyc_application: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/6ce02c4e-031d-4854-b946-2ba57ddc2dc5',
                        },
                      },
                      account_addons: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/654d5173-8624-4d3c-8753-4d177da18ba0/account_addons',
                        },
                      },
                      account_addon_disclosure_acceptances: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/654d5173-8624-4d3c-8753-4d177da18ba0/account_addon_disclosure_acceptances',
                        },
                      },
                      product_disclosure_acceptances: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/654d5173-8624-4d3c-8753-4d177da18ba0/product_disclosure_acceptances',
                        },
                      },
                      data_requirements: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/654d5173-8624-4d3c-8753-4d177da18ba0/data_requirements',
                        },
                      },
                    },
                    links: {
                      account_summary:
                        'https://www.docfoxapp.com/api/v2/account_applications/654d5173-8624-4d3c-8753-4d177da18ba0/account_summary_pdf',
                      self: 'https://www.docfoxapp.com/api/v2/account_applications/654d5173-8624-4d3c-8753-4d177da18ba0',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'getAccountApplication',
      },
      patch: {
        tags: ['Account Applications'],
        summary: 'Update an Account Application',
        description: 'Update an Account Application',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'account_application_id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'account_application_id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'dfa72812-43ac-44f7-821d-c8e6a1a75425',
                    type: 'account_application',
                    attributes: {
                      account_number: 'A123984721',
                      status: 'ready_to_submit',
                      submitted_at: null,
                      opened_at: '2023-12-08T15:40:50.163+02:00',
                      account_product_name: 'Product Name',
                      product_external_ref_number: '0b71f108-c75e-4f6b-a306-b6d6b3d20e2a',
                      disclosures_outstanding: false,
                      product_service_charge_code: 'a6821d3e-b265-4d05-bc0d-aa1e49218a59',
                      account_kyc_disclosures: [],
                      account_kyc_entity_template_uuid: 'b10619c4-4d61-4fa0-8608-5c00c2ca34a4',
                    },
                    relationships: {
                      product: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/products/c8ee7382-9c58-487e-9a3b-03a5b6f81b63',
                        },
                      },
                      kyc_application: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/a722bfa0-2a24-4724-88b1-105c8f54bdb6',
                        },
                      },
                      account_addons: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/dfa72812-43ac-44f7-821d-c8e6a1a75425/account_addons',
                        },
                      },
                      account_addon_disclosure_acceptances: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/dfa72812-43ac-44f7-821d-c8e6a1a75425/account_addon_disclosure_acceptances',
                        },
                      },
                      product_disclosure_acceptances: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/dfa72812-43ac-44f7-821d-c8e6a1a75425/product_disclosure_acceptances',
                        },
                      },
                      data_requirements: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/dfa72812-43ac-44f7-821d-c8e6a1a75425/data_requirements',
                        },
                      },
                    },
                    links: {
                      account_summary:
                        'https://www.docfoxapp.com/api/v2/account_applications/dfa72812-43ac-44f7-821d-c8e6a1a75425/account_summary_pdf',
                      self: 'https://www.docfoxapp.com/api/v2/account_applications/dfa72812-43ac-44f7-821d-c8e6a1a75425',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateAccountApplication',
      },
    },
    '/api/v2/account_applications/{id}/disclosure_acceptances': {
      patch: {
        tags: ['Disclosure Acceptances'],
        summary: 'Update discosures for Account Application',
        description: 'Update discosures for Account Application',
        parameters: [
          {
            name: 'Authorization',
            in: 'header',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'Accept',
            in: 'header',
            description: '',
            schema: {
              type: 'string',
              enum: ['application/vnd.api+json'],
            },
          },
          {
            name: 'id',
            in: 'path',
            description: '',
            required: true,
            schema: {
              type: 'string',
            },
          },
          {
            name: 'id',
            in: 'path',
            required: true,
            schema: {
              type: 'string',
            },
          },
        ],
        requestBody: {
          content: {
            'application/x-www-form-urlencoded': {
              schema: {
                required: ['data'],
                type: 'object',
                properties: {
                  data: {
                    description: '',
                  },
                },
              },
            },
          },
          required: true,
        },
        responses: {
          '200': {
            description: 'Successful request for updating a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    data: {
                      type: 'object',
                      properties: {
                        id: {
                          type: 'string',
                          description: '',
                        },
                        type: {
                          type: 'string',
                          description: '',
                        },
                        attributes: {
                          type: 'object',
                          properties: {},
                          description: '',
                        },
                        relationships: {
                          type: 'object',
                          properties: {},
                        },
                        links: {
                          type: 'object',
                          properties: {},
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  data: {
                    id: 'b2ff5f69-78fb-4572-a0f5-cac8ac7c39cc',
                    type: 'account_application',
                    attributes: {
                      account_number: 'nesuvzdg',
                      status: 'account_number_generated_and_assigned',
                      submitted_at: null,
                      opened_at: null,
                      account_product_name: 'Product Name',
                      product_external_ref_number: '761a658e-a747-446a-b0c9-948a7eb2ff16',
                      disclosures_outstanding: false,
                      product_service_charge_code: '3b6d4e1e-8e25-4d61-98fa-f42334625b87',
                      account_kyc_disclosures: [
                        {
                          accepted_at: '2023-12-08T15:40:52.737+02:00',
                          accepted_at_ip: '127.0.0.1',
                          url: 'https://www.test.com',
                          name: 'This is an KYC business disclosure',
                        },
                      ],
                      account_kyc_entity_template_uuid: '43cbf3de-8f82-48ba-a13f-05afaf682f74',
                    },
                    relationships: {
                      product: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/products/b139e688-e2f2-4459-83c8-449d175ed4f5',
                        },
                      },
                      kyc_application: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/kyc_applications/d77ff98e-59b2-4bec-bafa-ee41f49e94f2',
                        },
                      },
                      account_addons: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/b2ff5f69-78fb-4572-a0f5-cac8ac7c39cc/account_addons',
                        },
                      },
                      account_addon_disclosure_acceptances: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/b2ff5f69-78fb-4572-a0f5-cac8ac7c39cc/account_addon_disclosure_acceptances',
                        },
                      },
                      product_disclosure_acceptances: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/b2ff5f69-78fb-4572-a0f5-cac8ac7c39cc/product_disclosure_acceptances',
                        },
                      },
                      data_requirements: {
                        links: {
                          related:
                            'https://www.docfoxapp.com/api/v2/account_applications/b2ff5f69-78fb-4572-a0f5-cac8ac7c39cc/data_requirements',
                        },
                      },
                    },
                    links: {
                      account_summary:
                        'https://www.docfoxapp.com/api/v2/account_applications/b2ff5f69-78fb-4572-a0f5-cac8ac7c39cc/account_summary_pdf',
                      self: 'https://www.docfoxapp.com/api/v2/account_applications/b2ff5f69-78fb-4572-a0f5-cac8ac7c39cc',
                    },
                  },
                },
              },
            },
          },
          '400': {
            description: 'Unauthenticated request with missing Authorization header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'missing_header',
                      status: '400',
                      detail: 'Missing required header: Authorization',
                    },
                  ],
                },
              },
            },
          },
          '401': {
            description: 'Unauthenticated request with an invalid access token',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_authentication',
                      status: '401',
                      detail: 'The authentication data you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
          '404': {
            description: 'Unauthorized request for a resource',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'not_found',
                      status: '404',
                      detail: 'The resource you requested could not be found',
                    },
                  ],
                },
              },
            },
          },
          '406': {
            description:
              'Request for creating or updating a resource with an invalid Content-Type header',
            headers: {
              'Content-Length': {
                description: 'The Content-Length header',
                schema: {
                  type: 'string',
                },
              },
              'Content-Type': {
                description: 'The Content-Type header',
                schema: {
                  type: 'string',
                },
              },
            },
            content: {
              'application/vnd.api+json': {
                schema: {
                  type: 'object',
                  properties: {
                    errors: {
                      type: 'object',
                      properties: {
                        title: {
                          type: 'string',
                          description: '',
                        },
                        status: {
                          type: 'string',
                          description: '',
                        },
                        detail: {
                          type: 'string',
                          description: '',
                        },
                      },
                    },
                  },
                  description: '',
                },
                example: {
                  errors: [
                    {
                      title: 'invalid_content_type',
                      status: '406',
                      detail: 'The Content-Type header you provided is invalid',
                    },
                  ],
                },
              },
            },
          },
        },
        deprecated: false,
        security: [],
        operationId: 'updateAccountApplicationDisclosureAcceptances',
      },
    },
  },
  components: {
    schemas: {
      phone: {
        type: 'string',
      },
      email: {
        type: 'string',
        format: 'email',
      },
      address: {
        required: ['address_line_one', 'country'],
        type: 'object',
        properties: {
          country: {
            type: 'string',
          },
          address_line_one: {
            type: 'string',
          },
        },
      },
      last_names: {
        type: 'string',
        minLength: 2,
        maxLength: 100,
        title: 'Last names',
      },
      first_names: {
        type: 'string',
        minLength: 2,
        maxLength: 100,
        title: 'First names',
      },
    },
  },
}
